#line 1 "C:/Users/Public/Documents/Mikroelektronika/Visual TFT/MyProjects/TFR_Code/mikroC PRO for ARM/TFR_driver.c"
#line 1 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/tfr_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct Button {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton;

typedef struct Button_Round {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char Corner_Radius;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TButton_Round;

typedef struct Label {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char *Caption;
 const char *FontName;
 unsigned int Font_Color;
 char Visible;
 char Active;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TLabel;

typedef struct CircleButton {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Radius;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char *Caption;
 TTextAlign TextAlign;
 const char *FontName;
 unsigned int Font_Color;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TCircleButton;

typedef struct Box_Round {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 char Pen_Width;
 unsigned int Pen_Color;
 char Visible;
 char Active;
 char Transparent;
 char Gradient;
 char Gradient_Orientation;
 unsigned int Gradient_Start_Color;
 unsigned int Gradient_End_Color;
 unsigned int Color;
 char Corner_Radius;
 char PressColEnabled;
 unsigned int Press_Color;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TBox_Round;

typedef struct Line {
 TScreen* OwnerScreen;
 char Order;
 unsigned int First_Point_X;
 unsigned int First_Point_Y;
 unsigned int Second_Point_X;
 unsigned int Second_Point_Y;
 char Pen_Width;
 char Visible;
 unsigned int Color;
} TLine;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned short ObjectsCount;
 unsigned int ButtonsCount;
 TButton * const code *Buttons;
 unsigned int Buttons_RoundCount;
 TButton_Round * const code *Buttons_Round;
 unsigned int LabelsCount;
 TLabel * const code *Labels;
 unsigned int CircleButtonsCount;
 TCircleButton * const code *CircleButtons;
 unsigned int Boxes_RoundCount;
 TBox_Round * const code *Boxes_Round;
 unsigned int LinesCount;
 TLine * const code *Lines;
};

extern TScreen Start;
extern TButton Start_Button1;
extern TButton Start_Button2;
extern TButton Start_Button3;
extern TButton_Round Start_ButtonRound1;
extern TButton_Round Start_ButtonRound2;
extern TButton_Round Start_ButtonRound3;
extern TLabel Start_Label1;
extern TLabel Start_Label2;
extern TLabel Start_Label3;
extern TLabel Start_Label4;
extern TLine Start_Line1;
extern TLine Start_Line2;
extern TButton Start_Button4;
extern TButton Start_Button5;
extern TButton Start_Button6;
extern TButton Start_Button7;
extern TButton Start_Button8;
extern TButton Start_Button9;
extern TButton Start_Button10;
extern TButton_Round Start_ButtonRound4;
extern TButton Start_Button11;
extern TButton Start_Button12;
extern TBox_Round Start_BoxRound1;
extern TLabel Start_Label5;
extern TButton * const code Screen1_Buttons[12];
extern TButton_Round * const code Screen1_Buttons_Round[4];
extern TLabel * const code Screen1_Labels[5];
extern TBox_Round * const code Screen1_Boxes_Round[1];
extern TLine * const code Screen1_Lines[2];


extern TScreen KeyBoard;
extern TButton KeyBoard_Button1;
extern TButton KeyBoard_Button2;
extern TButton KeyBoard_Button3;
extern TButton KeyBoard_Button4;
extern TButton KeyBoard_Button5;
extern TButton KeyBoard_Button6;
extern TButton KeyBoard_Button7;
extern TButton KeyBoard_Button8;
extern TButton KeyBoard_Button9;
extern TButton KeyBoard_Button10;
extern TButton KeyBoard_Button11;
extern TButton KeyBoard_Button12;
extern TButton KeyBoard_Button13;
extern TButton KeyBoard_Button14;
extern TLabel KeyBoard_Label1;
extern TLabel KeyBoard_Label2;
extern TButton * const code Screen2_Buttons[14];
extern TLabel * const code Screen2_Labels[2];


extern TScreen Road;
extern TButton Road_Button1;
extern TButton Road_Button2;
extern TButton Road_Button3;
extern TButton Road_Button4;
extern TButton Road_Button5;
extern TButton Road_Button6;
extern TButton Road_Button7;
extern TButton Road_Button8;
extern TButton Road_Button9;
extern TButton Road_Button10;
extern TButton Road_Button11;
extern TButton Road_Button12;
extern TButton Road_Button13;
extern TButton Road_Button14;
extern TButton Road_Button15;
extern TButton Road_Button16;
extern TButton Road_Button17;
extern TButton Road_Button18;
extern TButton Road_Button19;
extern TButton Road_Button20;
extern TButton Road_Button21;
extern TButton Road_Button22;
extern TButton Road_Button23;
extern TButton Road_Button24;
extern TButton Road_Button25;
extern TButton Road_Button26;
extern TButton Road_Button27;
extern TButton Road_Button28;
extern TButton Road_Button29;
extern TButton Road_Button30;
extern TButton Road_Button31;
extern TButton Road_Button32;
extern TButton Road_Button33;
extern TButton Road_Button34;
extern TButton Road_Button35;
extern TButton Road_Button36;
extern TButton Road_Button37;
extern TButton Road_Button38;
extern TButton Road_Button39;
extern TButton Road_Button40;
extern TButton Road_Button41;
extern TButton Road_Button42;
extern TButton Road_Button43;
extern TButton Road_Button44;
extern TButton Road_Button45;
extern TButton Road_Button46;
extern TButton Road_Button47;
extern TButton Road_Button48;
extern TButton_Round Road_ButtonRound1;
extern TLabel Road_Label1;
extern TLabel Road_Label2;
extern TLabel Road_Label3;
extern TLabel Road_Label4;
extern TLine Road_Line1;
extern TLine Road_Line2;
extern TLine Road_Line3;
extern TLine Road_Line4;
extern TLine Road_Line5;
extern TLine Road_Line6;
extern TLabel Road_Label5;
extern TLabel Road_Label6;
extern TLabel Road_Label7;
extern TLabel Road_Label8;
extern TLine Road_Line7;
extern TLine Road_Line8;
extern TLine Road_Line9;
extern TLine Road_Line10;
extern TLine Road_Line11;
extern TLine Road_Line12;
extern TCircleButton Road_CircleButton1;
extern TLabel Road_Label9;
extern TCircleButton Road_CircleButton2;
extern TLabel Road_Label10;
extern TCircleButton Road_CircleButton3;
extern TLabel Road_Label11;
extern TCircleButton Road_CircleButton4;
extern TCircleButton Road_CircleButton5;
extern TButton_Round Road_ButtonRound2;
extern TButton Road_Button49;
extern TButton Road_Button50;
extern TButton Road_Button51;
extern TButton Road_Button52;
extern TButton_Round Road_ButtonRound3;
extern TButton * const code Screen3_Buttons[52];
extern TButton_Round * const code Screen3_Buttons_Round[3];
extern TLabel * const code Screen3_Labels[11];
extern TCircleButton * const code Screen3_CircleButtons[5];
extern TLine * const code Screen3_Lines[12];





void KeyBoard_Button10Click();
void KeyBoard_Button11Click();
void KeyBoard_Button12Click();
void KeyBoard_Button13Click();
void KeyBoard_Button14Click();
void KeyBoard_Button1Click();
void KeyBoard_Button2Click();
void KeyBoard_Button3Click();
void KeyBoard_Button4Click();
void KeyBoard_Button5Click();
void KeyBoard_Button6Click();
void KeyBoard_Button7Click();
void KeyBoard_Button8Click();
void KeyBoard_Button9Click();
void Road_Button10Click();
void Road_Button11Click();
void Road_Button12Click();
void Road_Button13Click();
void Road_Button14Click();
void Road_Button15Click();
void Road_Button16Click();
void Road_Button17Click();
void Road_Button18Click();
void Road_Button19Click();
void Road_Button1Click();
void Road_Button20Click();
void Road_Button21Click();
void Road_Button22Click();
void Road_Button23Click();
void Road_Button24Click();
void Road_Button25Click();
void Road_Button26Click();
void Road_Button27Click();
void Road_Button28Click();
void Road_Button29Click();
void Road_Button2Click();
void Road_Button30Click();
void Road_Button31Click();
void Road_Button32Click();
void Road_Button33Click();
void Road_Button34Click();
void Road_Button35Click();
void Road_Button36Click();
void Road_Button37Click();
void Road_Button38Click();
void Road_Button39Click();
void Road_Button3Click();
void Road_Button40Click();
void Road_Button41Click();
void Road_Button42Click();
void Road_Button43Click();
void Road_Button44Click();
void Road_Button45Click();
void Road_Button46Click();
void Road_Button47Click();
void Road_Button48Click();
void Road_Button49Click();
void Road_Button4Click();
void Road_Button50Click();
void Road_Button51Click();
void Road_Button52Click();
void Road_Button5Click();
void Road_Button6Click();
void Road_Button7Click();
void Road_Button8Click();
void Road_Button9Click();
void Road_ButtonRound3Click();
void Road_CircleButton1Click();
void Road_CircleButton2Click();
void Road_CircleButton3Click();
void Road_CircleButton4Click();
void Road_CircleButton5Click();
void Start_Button10Click();
void Start_Button11Click();
void Start_Button12Click();
void Start_Button1Click();
void Start_Button2Click();
void Start_Button3Click();
void Start_Button4Click();
void Start_Button5Click();
void Start_Button6Click();
void Start_Button7Click();
void Start_Button8Click();
void Start_Button9Click();
void Start_ButtonRound4Click();




extern char Start_Button1_Caption[];
extern char Start_Button2_Caption[];
extern char Start_Button3_Caption[];
extern char Start_ButtonRound1_Caption[];
extern char Start_ButtonRound2_Caption[];
extern char Start_ButtonRound3_Caption[];
extern char Start_Label1_Caption[];
extern char Start_Label2_Caption[];
extern char Start_Label3_Caption[];
extern char Start_Label4_Caption[];
extern char Start_Line1_Caption[];
extern char Start_Line2_Caption[];
extern char Start_Button4_Caption[];
extern char Start_Button5_Caption[];
extern char Start_Button6_Caption[];
extern char Start_Button7_Caption[];
extern char Start_Button8_Caption[];
extern char Start_Button9_Caption[];
extern char Start_Button10_Caption[];
extern char Start_ButtonRound4_Caption[];
extern char Start_Button11_Caption[];
extern char Start_Button12_Caption[];
extern char Start_BoxRound1_Caption[];
extern char Start_Label5_Caption[];
extern char KeyBoard_Button1_Caption[];
extern char KeyBoard_Button2_Caption[];
extern char KeyBoard_Button3_Caption[];
extern char KeyBoard_Button4_Caption[];
extern char KeyBoard_Button5_Caption[];
extern char KeyBoard_Button6_Caption[];
extern char KeyBoard_Button7_Caption[];
extern char KeyBoard_Button8_Caption[];
extern char KeyBoard_Button9_Caption[];
extern char KeyBoard_Button10_Caption[];
extern char KeyBoard_Button11_Caption[];
extern char KeyBoard_Button12_Caption[];
extern char KeyBoard_Button13_Caption[];
extern char KeyBoard_Button14_Caption[];
extern char KeyBoard_Label1_Caption[];
extern char KeyBoard_Label2_Caption[];
extern char Road_Button1_Caption[];
extern char Road_Button2_Caption[];
extern char Road_Button3_Caption[];
extern char Road_Button4_Caption[];
extern char Road_Button5_Caption[];
extern char Road_Button6_Caption[];
extern char Road_Button7_Caption[];
extern char Road_Button8_Caption[];
extern char Road_Button9_Caption[];
extern char Road_Button10_Caption[];
extern char Road_Button11_Caption[];
extern char Road_Button12_Caption[];
extern char Road_Button13_Caption[];
extern char Road_Button14_Caption[];
extern char Road_Button15_Caption[];
extern char Road_Button16_Caption[];
extern char Road_Button17_Caption[];
extern char Road_Button18_Caption[];
extern char Road_Button19_Caption[];
extern char Road_Button20_Caption[];
extern char Road_Button21_Caption[];
extern char Road_Button22_Caption[];
extern char Road_Button23_Caption[];
extern char Road_Button24_Caption[];
extern char Road_Button25_Caption[];
extern char Road_Button26_Caption[];
extern char Road_Button27_Caption[];
extern char Road_Button28_Caption[];
extern char Road_Button29_Caption[];
extern char Road_Button30_Caption[];
extern char Road_Button31_Caption[];
extern char Road_Button32_Caption[];
extern char Road_Button33_Caption[];
extern char Road_Button34_Caption[];
extern char Road_Button35_Caption[];
extern char Road_Button36_Caption[];
extern char Road_Button37_Caption[];
extern char Road_Button38_Caption[];
extern char Road_Button39_Caption[];
extern char Road_Button40_Caption[];
extern char Road_Button41_Caption[];
extern char Road_Button42_Caption[];
extern char Road_Button43_Caption[];
extern char Road_Button44_Caption[];
extern char Road_Button45_Caption[];
extern char Road_Button46_Caption[];
extern char Road_Button47_Caption[];
extern char Road_Button48_Caption[];
extern char Road_ButtonRound1_Caption[];
extern char Road_Label1_Caption[];
extern char Road_Label2_Caption[];
extern char Road_Label3_Caption[];
extern char Road_Label4_Caption[];
extern char Road_Line1_Caption[];
extern char Road_Line2_Caption[];
extern char Road_Line3_Caption[];
extern char Road_Line4_Caption[];
extern char Road_Line5_Caption[];
extern char Road_Line6_Caption[];
extern char Road_Label5_Caption[];
extern char Road_Label6_Caption[];
extern char Road_Label7_Caption[];
extern char Road_Label8_Caption[];
extern char Road_Line7_Caption[];
extern char Road_Line8_Caption[];
extern char Road_Line9_Caption[];
extern char Road_Line10_Caption[];
extern char Road_Line11_Caption[];
extern char Road_Line12_Caption[];
extern char Road_CircleButton1_Caption[];
extern char Road_Label9_Caption[];
extern char Road_CircleButton2_Caption[];
extern char Road_Label10_Caption[];
extern char Road_CircleButton3_Caption[];
extern char Road_Label11_Caption[];
extern char Road_CircleButton4_Caption[];
extern char Road_CircleButton5_Caption[];
extern char Road_ButtonRound2_Caption[];
extern char Road_Button49_Caption[];
extern char Road_Button50_Caption[];
extern char Road_Button51_Caption[];
extern char Road_Button52_Caption[];
extern char Road_ButtonRound3_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawRoundButton(TButton_Round *Around_button);
void DrawLabel(TLabel *ALabel);
void DrawCircleButton(TCircleButton *ACircle_button);
void DrawRoundBox(TBox_Round *Around_box);
void DrawLine(TLine *Aline);
void Check_TP();
void Start_TP();
#line 1 "c:/users/public/documents/mikroelektronika/visual tft/myprojects/tfr_code/mikroc pro for arm/tfr_resources.h"
const code char Tahoma12x16_Regular[];
const code char Tahoma14x16_Bold[];
const code char Tahoma19x19_Bold[];
const code char Tahoma19x23_Regular[];
const code char Tahoma29x29_Bold[];
const code char Tahoma11x13_Regular[];
const code char Tahoma13x13_Bold[];
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/built_in.h"
#line 7 "C:/Users/Public/Documents/Mikroelektronika/Visual TFT/MyProjects/TFR_Code/mikroC PRO for ARM/TFR_driver.c"
char TFT_DataPort at GPIO_PORTJ_DATA;
sbit TFT_RST at GPIO_PORTH_DATA.B5;
sbit TFT_BLED at GPIO_PORTD_DATA.B3;
sbit TFT_RS at GPIO_PORTG_DATA.B7;
sbit TFT_CS at GPIO_PORTH_DATA.B6;
sbit TFT_RD at GPIO_PORTA_DATA.B6;
sbit TFT_WR at GPIO_PORTA_DATA.B7;
char TFT_DataPort_Direction at GPIO_PORTJ_DIR;
sbit TFT_RST_Direction at GPIO_PORTH_DIR.B5;
sbit TFT_BLED_Direction at GPIO_PORTD_DIR.B3;
sbit TFT_RS_Direction at GPIO_PORTG_DIR.B7;
sbit TFT_CS_Direction at GPIO_PORTH_DIR.B6;
sbit TFT_RD_Direction at GPIO_PORTA_DIR.B6;
sbit TFT_WR_Direction at GPIO_PORTA_DIR.B7;



sbit DRIVEX_LEFT at GPIO_PORTB_DATA.B4;
sbit DRIVEX_RIGHT at GPIO_PORTE_DATA.B0;
sbit DRIVEY_UP at GPIO_PORTE_DATA.B1;
sbit DRIVEY_DOWN at GPIO_PORTB_DATA.B5;
sbit DRIVEX_LEFT_DIRECTION at GPIO_PORTB_DIR.B4;
sbit DRIVEX_RIGHT_DIRECTION at GPIO_PORTE_DIR.B0;
sbit DRIVEY_UP_DIRECTION at GPIO_PORTE_DIR.B1;
sbit DRIVEY_DOWN_DIRECTION at GPIO_PORTB_DIR.B5;



unsigned int Xcoord, Ycoord;
const ADC_THRESHOLD = 750;
char PenDown;
void *PressedObject;
int PressedObjectType;
unsigned int caption_length, caption_height;
unsigned int display_width, display_height;

int _object_count;
unsigned short object_pressed;
TButton *local_button;
TButton *exec_button;
int button_order;
TButton_Round *local_round_button;
TButton_Round *exec_round_button;
int round_button_order;
TLabel *local_label;
TLabel *exec_label;
int label_order;
TCircleButton *local_circle_button;
TCircleButton *exec_circle_button;
int circle_button_order;
TBox_Round *local_round_box;
TBox_Round *exec_round_box;
int box_round_order;


void Init_ADC() {
 ADC_Set_Input_Channel(_ADC_CHANNEL_10 | _ADC_CHANNEL_11);
 ADC0_Init_Advanced(_ADC_EXTERNAL_REF);
}
static void InitializeTouchPanel() {
 Init_ADC();
 TFT_Init(320, 240);

 TP_TFT_Init(320, 240, 11, 10);
 TP_TFT_Set_ADC_Threshold(ADC_THRESHOLD);

 PenDown = 0;
 PressedObject = 0;
 PressedObjectType = -1;
}



 TScreen* CurrentScreen;

 TScreen Start;
 TButton Start_Button1;
char Start_Button1_Caption[9] = "Set Date";

 TButton Start_Button2;
char Start_Button2_Caption[9] = "Set Time";

 TButton Start_Button3;
char Start_Button3_Caption[9] = "Set Site";

 TButton_Round Start_ButtonRound1;
char Start_ButtonRound1_Caption[2] = " ";

 TButton_Round Start_ButtonRound2;
char Start_ButtonRound2_Caption[2] = " ";

 TButton_Round Start_ButtonRound3;
char Start_ButtonRound3_Caption[2] = " ";

 TLabel Start_Label1;
char Start_Label1_Caption[11] = " ";

 TLabel Start_Label2;
char Start_Label2_Caption[11] = " ";

 TLabel Start_Label3;
char Start_Label3_Caption[11] = " ";

 TLabel Start_Label4;
char Start_Label4_Caption[9] = "Interval";

 TLine Start_Line1;
 TLine Start_Line2;
 TButton Start_Button4;
char Start_Button4_Caption[2] = "0";

 TButton Start_Button5;
char Start_Button5_Caption[2] = "1";

 TButton Start_Button6;
char Start_Button6_Caption[2] = "5";

 TButton Start_Button7;
char Start_Button7_Caption[3] = "10";

 TButton Start_Button8;
char Start_Button8_Caption[3] = "15";

 TButton Start_Button9;
char Start_Button9_Caption[3] = "30";

 TButton Start_Button10;
char Start_Button10_Caption[3] = "60";

 TButton_Round Start_ButtonRound4;
char Start_ButtonRound4_Caption[10] = "Road Keys";

 TButton Start_Button11;
char Start_Button11_Caption[16] = "Start Recording";

 TButton Start_Button12;
char Start_Button12_Caption[15] = "Stop Recording";

 TBox_Round Start_BoxRound1;
 TLabel Start_Label5;
char Start_Label5_Caption[2] = " ";

 TButton * const code Screen1_Buttons[12]=
 {
 &Start_Button1,
 &Start_Button2,
 &Start_Button3,
 &Start_Button4,
 &Start_Button5,
 &Start_Button6,
 &Start_Button7,
 &Start_Button8,
 &Start_Button9,
 &Start_Button10,
 &Start_Button11,
 &Start_Button12
 };
 TButton_Round * const code Screen1_Buttons_Round[4]=
 {
 &Start_ButtonRound1,
 &Start_ButtonRound2,
 &Start_ButtonRound3,
 &Start_ButtonRound4
 };
 TLabel * const code Screen1_Labels[5]=
 {
 &Start_Label1,
 &Start_Label2,
 &Start_Label3,
 &Start_Label4,
 &Start_Label5
 };
 TBox_Round * const code Screen1_Boxes_Round[1]=
 {
 &Start_BoxRound1
 };
 TLine * const code Screen1_Lines[2]=
 {
 &Start_Line1,
 &Start_Line2
 };


 TScreen KeyBoard;
 TButton KeyBoard_Button1;
char KeyBoard_Button1_Caption[2] = "1";

 TButton KeyBoard_Button2;
char KeyBoard_Button2_Caption[2] = "2";

 TButton KeyBoard_Button3;
char KeyBoard_Button3_Caption[2] = "3";

 TButton KeyBoard_Button4;
char KeyBoard_Button4_Caption[2] = "4";

 TButton KeyBoard_Button5;
char KeyBoard_Button5_Caption[2] = "5";

 TButton KeyBoard_Button6;
char KeyBoard_Button6_Caption[2] = "6";

 TButton KeyBoard_Button7;
char KeyBoard_Button7_Caption[2] = "7";

 TButton KeyBoard_Button8;
char KeyBoard_Button8_Caption[2] = "8";

 TButton KeyBoard_Button9;
char KeyBoard_Button9_Caption[2] = "9";

 TButton KeyBoard_Button10;
char KeyBoard_Button10_Caption[2] = "0";

 TButton KeyBoard_Button11;
char KeyBoard_Button11_Caption[6] = "Enter";

 TButton KeyBoard_Button12;
char KeyBoard_Button12_Caption[7] = "Cancel";

 TButton KeyBoard_Button13;
char KeyBoard_Button13_Caption[4] = "Rst";

 TButton KeyBoard_Button14;
char KeyBoard_Button14_Caption[4] = "Del";

 TLabel KeyBoard_Label1;
char KeyBoard_Label1_Caption[33] = " ";

 TLabel KeyBoard_Label2;
char KeyBoard_Label2_Caption[33] = " ";

 TButton * const code Screen2_Buttons[14]=
 {
 &KeyBoard_Button1,
 &KeyBoard_Button2,
 &KeyBoard_Button3,
 &KeyBoard_Button4,
 &KeyBoard_Button5,
 &KeyBoard_Button6,
 &KeyBoard_Button7,
 &KeyBoard_Button8,
 &KeyBoard_Button9,
 &KeyBoard_Button10,
 &KeyBoard_Button11,
 &KeyBoard_Button12,
 &KeyBoard_Button13,
 &KeyBoard_Button14
 };
 TLabel * const code Screen2_Labels[2]=
 {
 &KeyBoard_Label1,
 &KeyBoard_Label2
 };


 TScreen Road;
 TButton Road_Button1;
char Road_Button1_Caption[1] = "";

 TButton Road_Button2;
char Road_Button2_Caption[4] = "NPC";

 TButton Road_Button3;
char Road_Button3_Caption[1] = "";

 TButton Road_Button4;
char Road_Button4_Caption[4] = "NHR";

 TButton Road_Button5;
char Road_Button5_Caption[4] = "NHT";

 TButton Road_Button6;
char Road_Button6_Caption[4] = "NHL";

 TButton Road_Button7;
char Road_Button7_Caption[4] = "NTR";

 TButton Road_Button8;
char Road_Button8_Caption[4] = "NTT";

 TButton Road_Button9;
char Road_Button9_Caption[4] = "NTL";

 TButton Road_Button10;
char Road_Button10_Caption[4] = "NCR";

 TButton Road_Button11;
char Road_Button11_Caption[4] = "NCT";

 TButton Road_Button12;
char Road_Button12_Caption[4] = "NCL";

 TButton Road_Button13;
char Road_Button13_Caption[4] = "SCL";

 TButton Road_Button14;
char Road_Button14_Caption[4] = "SCT";

 TButton Road_Button15;
char Road_Button15_Caption[4] = "SCR";

 TButton Road_Button16;
char Road_Button16_Caption[4] = "STL";

 TButton Road_Button17;
char Road_Button17_Caption[4] = "STT";

 TButton Road_Button18;
char Road_Button18_Caption[4] = "STR";

 TButton Road_Button19;
char Road_Button19_Caption[4] = "SHL";

 TButton Road_Button20;
char Road_Button20_Caption[4] = "SHT";

 TButton Road_Button21;
char Road_Button21_Caption[4] = "SHR";

 TButton Road_Button22;
char Road_Button22_Caption[1] = "";

 TButton Road_Button23;
char Road_Button23_Caption[4] = "SPC";

 TButton Road_Button24;
char Road_Button24_Caption[1] = "";

 TButton Road_Button25;
char Road_Button25_Caption[1] = "";

 TButton Road_Button26;
char Road_Button26_Caption[4] = "WHL";

 TButton Road_Button27;
char Road_Button27_Caption[4] = "WTL";

 TButton Road_Button28;
char Road_Button28_Caption[4] = "WCL";

 TButton Road_Button29;
char Road_Button29_Caption[4] = "WPC";

 TButton Road_Button30;
char Road_Button30_Caption[4] = "WHT";

 TButton Road_Button31;
char Road_Button31_Caption[4] = "WTT";

 TButton Road_Button32;
char Road_Button32_Caption[4] = "WCT";

 TButton Road_Button33;
char Road_Button33_Caption[1] = "";

 TButton Road_Button34;
char Road_Button34_Caption[4] = "WHR";

 TButton Road_Button35;
char Road_Button35_Caption[4] = "WTR";

 TButton Road_Button36;
char Road_Button36_Caption[4] = "WCR";

 TButton Road_Button37;
char Road_Button37_Caption[4] = "ECR";

 TButton Road_Button38;
char Road_Button38_Caption[4] = "ETR";

 TButton Road_Button39;
char Road_Button39_Caption[4] = "EHR";

 TButton Road_Button40;
char Road_Button40_Caption[1] = "";

 TButton Road_Button41;
char Road_Button41_Caption[4] = "ECT";

 TButton Road_Button42;
char Road_Button42_Caption[4] = "ETT";

 TButton Road_Button43;
char Road_Button43_Caption[4] = "EHT";

 TButton Road_Button44;
char Road_Button44_Caption[4] = "EPC";

 TButton Road_Button45;
char Road_Button45_Caption[4] = "ECL";

 TButton Road_Button46;
char Road_Button46_Caption[4] = "ETL";

 TButton Road_Button47;
char Road_Button47_Caption[4] = "EHL";

 TButton Road_Button48;
char Road_Button48_Caption[1] = "";

 TButton_Round Road_ButtonRound1;
char Road_ButtonRound1_Caption[1] = "";

 TLabel Road_Label1;
char Road_Label1_Caption[5] = "Cars";

 TLabel Road_Label2;
char Road_Label2_Caption[7] = "Trucks";

 TLabel Road_Label3;
char Road_Label3_Caption[7] = "Heavys";

 TLabel Road_Label4;
char Road_Label4_Caption[12] = "Pedestrians";

 TLine Road_Line1;
 TLine Road_Line2;
 TLine Road_Line3;
 TLine Road_Line4;
 TLine Road_Line5;
 TLine Road_Line6;
 TLabel Road_Label5;
char Road_Label5_Caption[5] = "Cars";

 TLabel Road_Label6;
char Road_Label6_Caption[7] = "Trucks";

 TLabel Road_Label7;
char Road_Label7_Caption[7] = "Heavys";

 TLabel Road_Label8;
char Road_Label8_Caption[12] = "Pedestrians";

 TLine Road_Line7;
 TLine Road_Line8;
 TLine Road_Line9;
 TLine Road_Line10;
 TLine Road_Line11;
 TLine Road_Line12;
 TCircleButton Road_CircleButton1;
char Road_CircleButton1_Caption[1] = "";

 TLabel Road_Label9;
char Road_Label9_Caption[6] = "Count";

 TCircleButton Road_CircleButton2;
char Road_CircleButton2_Caption[1] = "";

 TLabel Road_Label10;
char Road_Label10_Caption[5] = "View";

 TCircleButton Road_CircleButton3;
char Road_CircleButton3_Caption[1] = "";

 TLabel Road_Label11;
char Road_Label11_Caption[8] = "Disable";

 TCircleButton Road_CircleButton4;
char Road_CircleButton4_Caption[2] = "-";

 TCircleButton Road_CircleButton5;
char Road_CircleButton5_Caption[2] = "+";

 TButton_Round Road_ButtonRound2;
char Road_ButtonRound2_Caption[1] = "";

 TButton Road_Button49;
char Road_Button49_Caption[2] = "N";

 TButton Road_Button50;
char Road_Button50_Caption[2] = "E";

 TButton Road_Button51;
char Road_Button51_Caption[2] = "S";

 TButton Road_Button52;
char Road_Button52_Caption[2] = "W";

 TButton_Round Road_ButtonRound3;
char Road_ButtonRound3_Caption[7] = "Set Up";

 TButton * const code Screen3_Buttons[52]=
 {
 &Road_Button1,
 &Road_Button2,
 &Road_Button3,
 &Road_Button4,
 &Road_Button5,
 &Road_Button6,
 &Road_Button7,
 &Road_Button8,
 &Road_Button9,
 &Road_Button10,
 &Road_Button11,
 &Road_Button12,
 &Road_Button13,
 &Road_Button14,
 &Road_Button15,
 &Road_Button16,
 &Road_Button17,
 &Road_Button18,
 &Road_Button19,
 &Road_Button20,
 &Road_Button21,
 &Road_Button22,
 &Road_Button23,
 &Road_Button24,
 &Road_Button25,
 &Road_Button26,
 &Road_Button27,
 &Road_Button28,
 &Road_Button29,
 &Road_Button30,
 &Road_Button31,
 &Road_Button32,
 &Road_Button33,
 &Road_Button34,
 &Road_Button35,
 &Road_Button36,
 &Road_Button37,
 &Road_Button38,
 &Road_Button39,
 &Road_Button40,
 &Road_Button41,
 &Road_Button42,
 &Road_Button43,
 &Road_Button44,
 &Road_Button45,
 &Road_Button46,
 &Road_Button47,
 &Road_Button48,
 &Road_Button49,
 &Road_Button50,
 &Road_Button51,
 &Road_Button52
 };
 TButton_Round * const code Screen3_Buttons_Round[3]=
 {
 &Road_ButtonRound1,
 &Road_ButtonRound2,
 &Road_ButtonRound3
 };
 TLabel * const code Screen3_Labels[11]=
 {
 &Road_Label1,
 &Road_Label2,
 &Road_Label3,
 &Road_Label4,
 &Road_Label5,
 &Road_Label6,
 &Road_Label7,
 &Road_Label8,
 &Road_Label9,
 &Road_Label10,
 &Road_Label11
 };
 TCircleButton * const code Screen3_CircleButtons[5]=
 {
 &Road_CircleButton1,
 &Road_CircleButton2,
 &Road_CircleButton3,
 &Road_CircleButton4,
 &Road_CircleButton5
 };
 TLine * const code Screen3_Lines[12]=
 {
 &Road_Line1,
 &Road_Line2,
 &Road_Line3,
 &Road_Line4,
 &Road_Line5,
 &Road_Line6,
 &Road_Line7,
 &Road_Line8,
 &Road_Line9,
 &Road_Line10,
 &Road_Line11,
 &Road_Line12
 };




static void InitializeObjects() {
 Start.Color = 0x8410;
 Start.Width = 320;
 Start.Height = 240;
 Start.ButtonsCount = 12;
 Start.Buttons = Screen1_Buttons;
 Start.Buttons_RoundCount = 4;
 Start.Buttons_Round = Screen1_Buttons_Round;
 Start.LabelsCount = 5;
 Start.Labels = Screen1_Labels;
 Start.CircleButtonsCount = 0;
 Start.Boxes_RoundCount = 1;
 Start.Boxes_Round = Screen1_Boxes_Round;
 Start.LinesCount = 2;
 Start.Lines = Screen1_Lines;
 Start.ObjectsCount = 24;

 KeyBoard.Color = 0xC618;
 KeyBoard.Width = 320;
 KeyBoard.Height = 240;
 KeyBoard.ButtonsCount = 14;
 KeyBoard.Buttons = Screen2_Buttons;
 KeyBoard.Buttons_RoundCount = 0;
 KeyBoard.LabelsCount = 2;
 KeyBoard.Labels = Screen2_Labels;
 KeyBoard.CircleButtonsCount = 0;
 KeyBoard.Boxes_RoundCount = 0;
 KeyBoard.LinesCount = 0;
 KeyBoard.ObjectsCount = 16;

 Road.Color = 0x8410;
 Road.Width = 320;
 Road.Height = 240;
 Road.ButtonsCount = 52;
 Road.Buttons = Screen3_Buttons;
 Road.Buttons_RoundCount = 3;
 Road.Buttons_Round = Screen3_Buttons_Round;
 Road.LabelsCount = 11;
 Road.Labels = Screen3_Labels;
 Road.CircleButtonsCount = 5;
 Road.CircleButtons = Screen3_CircleButtons;
 Road.Boxes_RoundCount = 0;
 Road.LinesCount = 12;
 Road.Lines = Screen3_Lines;
 Road.ObjectsCount = 83;


 Start_Button1.OwnerScreen = &Start;
 Start_Button1.Order = 0;
 Start_Button1.Left = 26;
 Start_Button1.Top = 15;
 Start_Button1.Width = 50;
 Start_Button1.Height = 25;
 Start_Button1.Pen_Width = 1;
 Start_Button1.Pen_Color = 0x0000;
 Start_Button1.Visible = 1;
 Start_Button1.Active = 1;
 Start_Button1.Transparent = 1;
 Start_Button1.Caption = Start_Button1_Caption;
 Start_Button1.TextAlign = _taCenter;
 Start_Button1.FontName = Tahoma11x13_Regular;
 Start_Button1.PressColEnabled = 1;
 Start_Button1.Font_Color = 0x0000;
 Start_Button1.Gradient = 1;
 Start_Button1.Gradient_Orientation = 0;
 Start_Button1.Gradient_Start_Color = 0xF81F;
 Start_Button1.Gradient_End_Color = 0xC618;
 Start_Button1.Color = 0xC618;
 Start_Button1.Press_Color = 0xC618;
 Start_Button1.OnUpPtr = 0;
 Start_Button1.OnDownPtr = 0;
 Start_Button1.OnClickPtr = Start_Button1Click;
 Start_Button1.OnPressPtr = 0;

 Start_Button2.OwnerScreen = &Start;
 Start_Button2.Order = 1;
 Start_Button2.Left = 26;
 Start_Button2.Top = 45;
 Start_Button2.Width = 50;
 Start_Button2.Height = 25;
 Start_Button2.Pen_Width = 1;
 Start_Button2.Pen_Color = 0x0000;
 Start_Button2.Visible = 1;
 Start_Button2.Active = 1;
 Start_Button2.Transparent = 1;
 Start_Button2.Caption = Start_Button2_Caption;
 Start_Button2.TextAlign = _taCenter;
 Start_Button2.FontName = Tahoma11x13_Regular;
 Start_Button2.PressColEnabled = 1;
 Start_Button2.Font_Color = 0x0000;
 Start_Button2.Gradient = 1;
 Start_Button2.Gradient_Orientation = 0;
 Start_Button2.Gradient_Start_Color = 0xF81F;
 Start_Button2.Gradient_End_Color = 0xC618;
 Start_Button2.Color = 0xC618;
 Start_Button2.Press_Color = 0xC618;
 Start_Button2.OnUpPtr = 0;
 Start_Button2.OnDownPtr = 0;
 Start_Button2.OnClickPtr = Start_Button2Click;
 Start_Button2.OnPressPtr = 0;

 Start_Button3.OwnerScreen = &Start;
 Start_Button3.Order = 2;
 Start_Button3.Left = 26;
 Start_Button3.Top = 75;
 Start_Button3.Width = 50;
 Start_Button3.Height = 25;
 Start_Button3.Pen_Width = 1;
 Start_Button3.Pen_Color = 0x0000;
 Start_Button3.Visible = 1;
 Start_Button3.Active = 1;
 Start_Button3.Transparent = 1;
 Start_Button3.Caption = Start_Button3_Caption;
 Start_Button3.TextAlign = _taCenter;
 Start_Button3.FontName = Tahoma11x13_Regular;
 Start_Button3.PressColEnabled = 1;
 Start_Button3.Font_Color = 0x0000;
 Start_Button3.Gradient = 1;
 Start_Button3.Gradient_Orientation = 0;
 Start_Button3.Gradient_Start_Color = 0xF81F;
 Start_Button3.Gradient_End_Color = 0xC618;
 Start_Button3.Color = 0xC618;
 Start_Button3.Press_Color = 0xC618;
 Start_Button3.OnUpPtr = 0;
 Start_Button3.OnDownPtr = 0;
 Start_Button3.OnClickPtr = Start_Button3Click;
 Start_Button3.OnPressPtr = 0;

 Start_ButtonRound1.OwnerScreen = &Start;
 Start_ButtonRound1.Order = 3;
 Start_ButtonRound1.Left = 100;
 Start_ButtonRound1.Top = 15;
 Start_ButtonRound1.Width = 100;
 Start_ButtonRound1.Height = 25;
 Start_ButtonRound1.Pen_Width = 1;
 Start_ButtonRound1.Pen_Color = 0x0000;
 Start_ButtonRound1.Visible = 1;
 Start_ButtonRound1.Active = 1;
 Start_ButtonRound1.Transparent = 1;
 Start_ButtonRound1.Caption = Start_ButtonRound1_Caption;
 Start_ButtonRound1.TextAlign = _taCenter;
 Start_ButtonRound1.FontName = Tahoma11x13_Regular;
 Start_ButtonRound1.PressColEnabled = 0;
 Start_ButtonRound1.Font_Color = 0x0000;
 Start_ButtonRound1.Gradient = 1;
 Start_ButtonRound1.Gradient_Orientation = 0;
 Start_ButtonRound1.Gradient_Start_Color = 0xC618;
 Start_ButtonRound1.Gradient_End_Color = 0xC618;
 Start_ButtonRound1.Color = 0x0000;
 Start_ButtonRound1.Press_Color = 0xC618;
 Start_ButtonRound1.Corner_Radius = 3;
 Start_ButtonRound1.OnUpPtr = 0;
 Start_ButtonRound1.OnDownPtr = 0;
 Start_ButtonRound1.OnClickPtr = 0;
 Start_ButtonRound1.OnPressPtr = 0;

 Start_ButtonRound2.OwnerScreen = &Start;
 Start_ButtonRound2.Order = 4;
 Start_ButtonRound2.Left = 100;
 Start_ButtonRound2.Top = 45;
 Start_ButtonRound2.Width = 100;
 Start_ButtonRound2.Height = 25;
 Start_ButtonRound2.Pen_Width = 1;
 Start_ButtonRound2.Pen_Color = 0x0000;
 Start_ButtonRound2.Visible = 1;
 Start_ButtonRound2.Active = 1;
 Start_ButtonRound2.Transparent = 1;
 Start_ButtonRound2.Caption = Start_ButtonRound2_Caption;
 Start_ButtonRound2.TextAlign = _taCenter;
 Start_ButtonRound2.FontName = Tahoma11x13_Regular;
 Start_ButtonRound2.PressColEnabled = 0;
 Start_ButtonRound2.Font_Color = 0x0000;
 Start_ButtonRound2.Gradient = 1;
 Start_ButtonRound2.Gradient_Orientation = 0;
 Start_ButtonRound2.Gradient_Start_Color = 0xC618;
 Start_ButtonRound2.Gradient_End_Color = 0xC618;
 Start_ButtonRound2.Color = 0x0000;
 Start_ButtonRound2.Press_Color = 0xC618;
 Start_ButtonRound2.Corner_Radius = 3;
 Start_ButtonRound2.OnUpPtr = 0;
 Start_ButtonRound2.OnDownPtr = 0;
 Start_ButtonRound2.OnClickPtr = 0;
 Start_ButtonRound2.OnPressPtr = 0;

 Start_ButtonRound3.OwnerScreen = &Start;
 Start_ButtonRound3.Order = 5;
 Start_ButtonRound3.Left = 100;
 Start_ButtonRound3.Top = 75;
 Start_ButtonRound3.Width = 100;
 Start_ButtonRound3.Height = 25;
 Start_ButtonRound3.Pen_Width = 1;
 Start_ButtonRound3.Pen_Color = 0x0000;
 Start_ButtonRound3.Visible = 1;
 Start_ButtonRound3.Active = 1;
 Start_ButtonRound3.Transparent = 1;
 Start_ButtonRound3.Caption = Start_ButtonRound3_Caption;
 Start_ButtonRound3.TextAlign = _taCenter;
 Start_ButtonRound3.FontName = Tahoma11x13_Regular;
 Start_ButtonRound3.PressColEnabled = 0;
 Start_ButtonRound3.Font_Color = 0x0000;
 Start_ButtonRound3.Gradient = 1;
 Start_ButtonRound3.Gradient_Orientation = 0;
 Start_ButtonRound3.Gradient_Start_Color = 0xC618;
 Start_ButtonRound3.Gradient_End_Color = 0xC618;
 Start_ButtonRound3.Color = 0x0000;
 Start_ButtonRound3.Press_Color = 0xC618;
 Start_ButtonRound3.Corner_Radius = 3;
 Start_ButtonRound3.OnUpPtr = 0;
 Start_ButtonRound3.OnDownPtr = 0;
 Start_ButtonRound3.OnClickPtr = 0;
 Start_ButtonRound3.OnPressPtr = 0;

 Start_Label1.OwnerScreen = &Start;
 Start_Label1.Order = 6;
 Start_Label1.Left = 108;
 Start_Label1.Top = 20;
 Start_Label1.Width = 0;
 Start_Label1.Height = 17;
 Start_Label1.Visible = 1;
 Start_Label1.Active = 1;
 Start_Label1.Caption = Start_Label1_Caption;
 Start_Label1.FontName = Tahoma14x16_Bold;
 Start_Label1.Font_Color = 0x0000;
 Start_Label1.OnUpPtr = 0;
 Start_Label1.OnDownPtr = 0;
 Start_Label1.OnClickPtr = 0;
 Start_Label1.OnPressPtr = 0;

 Start_Label2.OwnerScreen = &Start;
 Start_Label2.Order = 7;
 Start_Label2.Left = 108;
 Start_Label2.Top = 50;
 Start_Label2.Width = 0;
 Start_Label2.Height = 17;
 Start_Label2.Visible = 1;
 Start_Label2.Active = 1;
 Start_Label2.Caption = Start_Label2_Caption;
 Start_Label2.FontName = Tahoma14x16_Bold;
 Start_Label2.Font_Color = 0x0000;
 Start_Label2.OnUpPtr = 0;
 Start_Label2.OnDownPtr = 0;
 Start_Label2.OnClickPtr = 0;
 Start_Label2.OnPressPtr = 0;

 Start_Label3.OwnerScreen = &Start;
 Start_Label3.Order = 8;
 Start_Label3.Left = 108;
 Start_Label3.Top = 80;
 Start_Label3.Width = 0;
 Start_Label3.Height = 17;
 Start_Label3.Visible = 1;
 Start_Label3.Active = 1;
 Start_Label3.Caption = Start_Label3_Caption;
 Start_Label3.FontName = Tahoma14x16_Bold;
 Start_Label3.Font_Color = 0x0000;
 Start_Label3.OnUpPtr = 0;
 Start_Label3.OnDownPtr = 0;
 Start_Label3.OnClickPtr = 0;
 Start_Label3.OnPressPtr = 0;

 Start_Label4.OwnerScreen = &Start;
 Start_Label4.Order = 9;
 Start_Label4.Left = 135;
 Start_Label4.Top = 115;
 Start_Label4.Width = 39;
 Start_Label4.Height = 15;
 Start_Label4.Visible = 1;
 Start_Label4.Active = 1;
 Start_Label4.Caption = Start_Label4_Caption;
 Start_Label4.FontName = Tahoma11x13_Regular;
 Start_Label4.Font_Color = 0x0000;
 Start_Label4.OnUpPtr = 0;
 Start_Label4.OnDownPtr = 0;
 Start_Label4.OnClickPtr = 0;
 Start_Label4.OnPressPtr = 0;

 Start_Line1.OwnerScreen = &Start;
 Start_Line1.Order = 10;
 Start_Line1.First_Point_X = 185;
 Start_Line1.First_Point_Y = 123;
 Start_Line1.Second_Point_X = 290;
 Start_Line1.Second_Point_Y = 123;
 Start_Line1.Visible = 1;
 Start_Line1.Pen_Width = 1;
 Start_Line1.Color = 0x0000;

 Start_Line2.OwnerScreen = &Start;
 Start_Line2.Order = 11;
 Start_Line2.First_Point_X = 125;
 Start_Line2.First_Point_Y = 123;
 Start_Line2.Second_Point_X = 25;
 Start_Line2.Second_Point_Y = 123;
 Start_Line2.Visible = 1;
 Start_Line2.Pen_Width = 1;
 Start_Line2.Color = 0x0000;

 Start_Button4.OwnerScreen = &Start;
 Start_Button4.Order = 12;
 Start_Button4.Left = 25;
 Start_Button4.Top = 135;
 Start_Button4.Width = 25;
 Start_Button4.Height = 25;
 Start_Button4.Pen_Width = 1;
 Start_Button4.Pen_Color = 0x0000;
 Start_Button4.Visible = 1;
 Start_Button4.Active = 1;
 Start_Button4.Transparent = 1;
 Start_Button4.Caption = Start_Button4_Caption;
 Start_Button4.TextAlign = _taCenter;
 Start_Button4.FontName = Tahoma11x13_Regular;
 Start_Button4.PressColEnabled = 1;
 Start_Button4.Font_Color = 0x0000;
 Start_Button4.Gradient = 1;
 Start_Button4.Gradient_Orientation = 0;
 Start_Button4.Gradient_Start_Color = 0x07FF;
 Start_Button4.Gradient_End_Color = 0xC618;
 Start_Button4.Color = 0xC618;
 Start_Button4.Press_Color = 0xC618;
 Start_Button4.OnUpPtr = 0;
 Start_Button4.OnDownPtr = 0;
 Start_Button4.OnClickPtr = Start_Button4Click;
 Start_Button4.OnPressPtr = 0;

 Start_Button5.OwnerScreen = &Start;
 Start_Button5.Order = 13;
 Start_Button5.Left = 65;
 Start_Button5.Top = 135;
 Start_Button5.Width = 25;
 Start_Button5.Height = 25;
 Start_Button5.Pen_Width = 1;
 Start_Button5.Pen_Color = 0x0000;
 Start_Button5.Visible = 1;
 Start_Button5.Active = 1;
 Start_Button5.Transparent = 1;
 Start_Button5.Caption = Start_Button5_Caption;
 Start_Button5.TextAlign = _taCenter;
 Start_Button5.FontName = Tahoma11x13_Regular;
 Start_Button5.PressColEnabled = 1;
 Start_Button5.Font_Color = 0x0000;
 Start_Button5.Gradient = 1;
 Start_Button5.Gradient_Orientation = 0;
 Start_Button5.Gradient_Start_Color = 0xFFFF;
 Start_Button5.Gradient_End_Color = 0xC618;
 Start_Button5.Color = 0xC618;
 Start_Button5.Press_Color = 0xC618;
 Start_Button5.OnUpPtr = 0;
 Start_Button5.OnDownPtr = 0;
 Start_Button5.OnClickPtr = Start_Button5Click;
 Start_Button5.OnPressPtr = 0;

 Start_Button6.OwnerScreen = &Start;
 Start_Button6.Order = 14;
 Start_Button6.Left = 105;
 Start_Button6.Top = 135;
 Start_Button6.Width = 25;
 Start_Button6.Height = 25;
 Start_Button6.Pen_Width = 1;
 Start_Button6.Pen_Color = 0x0000;
 Start_Button6.Visible = 1;
 Start_Button6.Active = 1;
 Start_Button6.Transparent = 1;
 Start_Button6.Caption = Start_Button6_Caption;
 Start_Button6.TextAlign = _taCenter;
 Start_Button6.FontName = Tahoma11x13_Regular;
 Start_Button6.PressColEnabled = 1;
 Start_Button6.Font_Color = 0x0000;
 Start_Button6.Gradient = 1;
 Start_Button6.Gradient_Orientation = 0;
 Start_Button6.Gradient_Start_Color = 0xFFFF;
 Start_Button6.Gradient_End_Color = 0xC618;
 Start_Button6.Color = 0xC618;
 Start_Button6.Press_Color = 0xC618;
 Start_Button6.OnUpPtr = 0;
 Start_Button6.OnDownPtr = 0;
 Start_Button6.OnClickPtr = Start_Button6Click;
 Start_Button6.OnPressPtr = 0;

 Start_Button7.OwnerScreen = &Start;
 Start_Button7.Order = 15;
 Start_Button7.Left = 145;
 Start_Button7.Top = 135;
 Start_Button7.Width = 25;
 Start_Button7.Height = 25;
 Start_Button7.Pen_Width = 1;
 Start_Button7.Pen_Color = 0x0000;
 Start_Button7.Visible = 1;
 Start_Button7.Active = 1;
 Start_Button7.Transparent = 1;
 Start_Button7.Caption = Start_Button7_Caption;
 Start_Button7.TextAlign = _taCenter;
 Start_Button7.FontName = Tahoma11x13_Regular;
 Start_Button7.PressColEnabled = 1;
 Start_Button7.Font_Color = 0x0000;
 Start_Button7.Gradient = 1;
 Start_Button7.Gradient_Orientation = 0;
 Start_Button7.Gradient_Start_Color = 0xFFFF;
 Start_Button7.Gradient_End_Color = 0xC618;
 Start_Button7.Color = 0xC618;
 Start_Button7.Press_Color = 0xC618;
 Start_Button7.OnUpPtr = 0;
 Start_Button7.OnDownPtr = 0;
 Start_Button7.OnClickPtr = Start_Button7Click;
 Start_Button7.OnPressPtr = 0;

 Start_Button8.OwnerScreen = &Start;
 Start_Button8.Order = 16;
 Start_Button8.Left = 185;
 Start_Button8.Top = 135;
 Start_Button8.Width = 25;
 Start_Button8.Height = 25;
 Start_Button8.Pen_Width = 1;
 Start_Button8.Pen_Color = 0x0000;
 Start_Button8.Visible = 1;
 Start_Button8.Active = 1;
 Start_Button8.Transparent = 1;
 Start_Button8.Caption = Start_Button8_Caption;
 Start_Button8.TextAlign = _taCenter;
 Start_Button8.FontName = Tahoma11x13_Regular;
 Start_Button8.PressColEnabled = 1;
 Start_Button8.Font_Color = 0x0000;
 Start_Button8.Gradient = 1;
 Start_Button8.Gradient_Orientation = 0;
 Start_Button8.Gradient_Start_Color = 0xFFFF;
 Start_Button8.Gradient_End_Color = 0xC618;
 Start_Button8.Color = 0xC618;
 Start_Button8.Press_Color = 0xC618;
 Start_Button8.OnUpPtr = 0;
 Start_Button8.OnDownPtr = 0;
 Start_Button8.OnClickPtr = Start_Button8Click;
 Start_Button8.OnPressPtr = 0;

 Start_Button9.OwnerScreen = &Start;
 Start_Button9.Order = 17;
 Start_Button9.Left = 225;
 Start_Button9.Top = 135;
 Start_Button9.Width = 25;
 Start_Button9.Height = 25;
 Start_Button9.Pen_Width = 1;
 Start_Button9.Pen_Color = 0x0000;
 Start_Button9.Visible = 1;
 Start_Button9.Active = 1;
 Start_Button9.Transparent = 1;
 Start_Button9.Caption = Start_Button9_Caption;
 Start_Button9.TextAlign = _taCenter;
 Start_Button9.FontName = Tahoma11x13_Regular;
 Start_Button9.PressColEnabled = 1;
 Start_Button9.Font_Color = 0x0000;
 Start_Button9.Gradient = 1;
 Start_Button9.Gradient_Orientation = 0;
 Start_Button9.Gradient_Start_Color = 0xFFFF;
 Start_Button9.Gradient_End_Color = 0xC618;
 Start_Button9.Color = 0xC618;
 Start_Button9.Press_Color = 0xC618;
 Start_Button9.OnUpPtr = 0;
 Start_Button9.OnDownPtr = 0;
 Start_Button9.OnClickPtr = Start_Button9Click;
 Start_Button9.OnPressPtr = 0;

 Start_Button10.OwnerScreen = &Start;
 Start_Button10.Order = 18;
 Start_Button10.Left = 265;
 Start_Button10.Top = 135;
 Start_Button10.Width = 25;
 Start_Button10.Height = 25;
 Start_Button10.Pen_Width = 1;
 Start_Button10.Pen_Color = 0x0000;
 Start_Button10.Visible = 1;
 Start_Button10.Active = 1;
 Start_Button10.Transparent = 1;
 Start_Button10.Caption = Start_Button10_Caption;
 Start_Button10.TextAlign = _taCenter;
 Start_Button10.FontName = Tahoma11x13_Regular;
 Start_Button10.PressColEnabled = 1;
 Start_Button10.Font_Color = 0x0000;
 Start_Button10.Gradient = 1;
 Start_Button10.Gradient_Orientation = 0;
 Start_Button10.Gradient_Start_Color = 0xFFFF;
 Start_Button10.Gradient_End_Color = 0xC618;
 Start_Button10.Color = 0xC618;
 Start_Button10.Press_Color = 0xC618;
 Start_Button10.OnUpPtr = 0;
 Start_Button10.OnDownPtr = 0;
 Start_Button10.OnClickPtr = Start_Button10Click;
 Start_Button10.OnPressPtr = 0;

 Start_ButtonRound4.OwnerScreen = &Start;
 Start_ButtonRound4.Order = 19;
 Start_ButtonRound4.Left = 25;
 Start_ButtonRound4.Top = 175;
 Start_ButtonRound4.Width = 65;
 Start_ButtonRound4.Height = 25;
 Start_ButtonRound4.Pen_Width = 1;
 Start_ButtonRound4.Pen_Color = 0x0000;
 Start_ButtonRound4.Visible = 1;
 Start_ButtonRound4.Active = 1;
 Start_ButtonRound4.Transparent = 1;
 Start_ButtonRound4.Caption = Start_ButtonRound4_Caption;
 Start_ButtonRound4.TextAlign = _taCenter;
 Start_ButtonRound4.FontName = Tahoma11x13_Regular;
 Start_ButtonRound4.PressColEnabled = 1;
 Start_ButtonRound4.Font_Color = 0x0000;
 Start_ButtonRound4.Gradient = 1;
 Start_ButtonRound4.Gradient_Orientation = 0;
 Start_ButtonRound4.Gradient_Start_Color = 0xFFFF;
 Start_ButtonRound4.Gradient_End_Color = 0xC618;
 Start_ButtonRound4.Color = 0xC618;
 Start_ButtonRound4.Press_Color = 0x8410;
 Start_ButtonRound4.Corner_Radius = 3;
 Start_ButtonRound4.OnUpPtr = 0;
 Start_ButtonRound4.OnDownPtr = 0;
 Start_ButtonRound4.OnClickPtr = Start_ButtonRound4Click;
 Start_ButtonRound4.OnPressPtr = 0;

 Start_Button11.OwnerScreen = &Start;
 Start_Button11.Order = 20;
 Start_Button11.Left = 105;
 Start_Button11.Top = 175;
 Start_Button11.Width = 90;
 Start_Button11.Height = 25;
 Start_Button11.Pen_Width = 1;
 Start_Button11.Pen_Color = 0x0000;
 Start_Button11.Visible = 1;
 Start_Button11.Active = 1;
 Start_Button11.Transparent = 1;
 Start_Button11.Caption = Start_Button11_Caption;
 Start_Button11.TextAlign = _taCenter;
 Start_Button11.FontName = Tahoma11x13_Regular;
 Start_Button11.PressColEnabled = 1;
 Start_Button11.Font_Color = 0x0000;
 Start_Button11.Gradient = 1;
 Start_Button11.Gradient_Orientation = 0;
 Start_Button11.Gradient_Start_Color = 0x0400;
 Start_Button11.Gradient_End_Color = 0xC618;
 Start_Button11.Color = 0xC618;
 Start_Button11.Press_Color = 0xC618;
 Start_Button11.OnUpPtr = 0;
 Start_Button11.OnDownPtr = 0;
 Start_Button11.OnClickPtr = Start_Button11Click;
 Start_Button11.OnPressPtr = 0;

 Start_Button12.OwnerScreen = &Start;
 Start_Button12.Order = 21;
 Start_Button12.Left = 206;
 Start_Button12.Top = 175;
 Start_Button12.Width = 90;
 Start_Button12.Height = 25;
 Start_Button12.Pen_Width = 1;
 Start_Button12.Pen_Color = 0x0000;
 Start_Button12.Visible = 1;
 Start_Button12.Active = 1;
 Start_Button12.Transparent = 1;
 Start_Button12.Caption = Start_Button12_Caption;
 Start_Button12.TextAlign = _taCenter;
 Start_Button12.FontName = Tahoma11x13_Regular;
 Start_Button12.PressColEnabled = 1;
 Start_Button12.Font_Color = 0x0000;
 Start_Button12.Gradient = 0;
 Start_Button12.Gradient_Orientation = 0;
 Start_Button12.Gradient_Start_Color = 0xF800;
 Start_Button12.Gradient_End_Color = 0xC618;
 Start_Button12.Color = 0xC618;
 Start_Button12.Press_Color = 0xC618;
 Start_Button12.OnUpPtr = 0;
 Start_Button12.OnDownPtr = 0;
 Start_Button12.OnClickPtr = Start_Button12Click;
 Start_Button12.OnPressPtr = 0;

 Start_BoxRound1.OwnerScreen = &Start;
 Start_BoxRound1.Order = 22;
 Start_BoxRound1.Left = 25;
 Start_BoxRound1.Top = 210;
 Start_BoxRound1.Width = 271;
 Start_BoxRound1.Height = 25;
 Start_BoxRound1.Pen_Width = 1;
 Start_BoxRound1.Pen_Color = 0x0000;
 Start_BoxRound1.Visible = 1;
 Start_BoxRound1.Active = 1;
 Start_BoxRound1.Transparent = 1;
 Start_BoxRound1.Gradient = 1;
 Start_BoxRound1.Gradient_Orientation = 0;
 Start_BoxRound1.Gradient_Start_Color = 0xC618;
 Start_BoxRound1.Gradient_End_Color = 0xC618;
 Start_BoxRound1.Color = 0xC618;
 Start_BoxRound1.PressColEnabled = 1;
 Start_BoxRound1.Press_Color = 0x8410;
 Start_BoxRound1.Corner_Radius = 3;
 Start_BoxRound1.OnUpPtr = 0;
 Start_BoxRound1.OnDownPtr = 0;
 Start_BoxRound1.OnClickPtr = 0;
 Start_BoxRound1.OnPressPtr = 0;

 Start_Label5.OwnerScreen = &Start;
 Start_Label5.Order = 23;
 Start_Label5.Left = 32;
 Start_Label5.Top = 215;
 Start_Label5.Width = 0;
 Start_Label5.Height = 17;
 Start_Label5.Visible = 1;
 Start_Label5.Active = 1;
 Start_Label5.Caption = Start_Label5_Caption;
 Start_Label5.FontName = Tahoma12x16_Regular;
 Start_Label5.Font_Color = 0x0000;
 Start_Label5.OnUpPtr = 0;
 Start_Label5.OnDownPtr = 0;
 Start_Label5.OnClickPtr = 0;
 Start_Label5.OnPressPtr = 0;

 KeyBoard_Button1.OwnerScreen = &KeyBoard;
 KeyBoard_Button1.Order = 0;
 KeyBoard_Button1.Left = 0;
 KeyBoard_Button1.Top = 96;
 KeyBoard_Button1.Width = 64;
 KeyBoard_Button1.Height = 48;
 KeyBoard_Button1.Pen_Width = 2;
 KeyBoard_Button1.Pen_Color = 0x0000;
 KeyBoard_Button1.Visible = 1;
 KeyBoard_Button1.Active = 1;
 KeyBoard_Button1.Transparent = 1;
 KeyBoard_Button1.Caption = KeyBoard_Button1_Caption;
 KeyBoard_Button1.TextAlign = _taCenter;
 KeyBoard_Button1.FontName = Tahoma29x29_Bold;
 KeyBoard_Button1.PressColEnabled = 1;
 KeyBoard_Button1.Font_Color = 0x0000;
 KeyBoard_Button1.Gradient = 1;
 KeyBoard_Button1.Gradient_Orientation = 0;
 KeyBoard_Button1.Gradient_Start_Color = 0x001F;
 KeyBoard_Button1.Gradient_End_Color = 0xC618;
 KeyBoard_Button1.Color = 0xC618;
 KeyBoard_Button1.Press_Color = 0xC618;
 KeyBoard_Button1.OnUpPtr = 0;
 KeyBoard_Button1.OnDownPtr = 0;
 KeyBoard_Button1.OnClickPtr = KeyBoard_Button1Click;
 KeyBoard_Button1.OnPressPtr = 0;

 KeyBoard_Button2.OwnerScreen = &KeyBoard;
 KeyBoard_Button2.Order = 1;
 KeyBoard_Button2.Left = 64;
 KeyBoard_Button2.Top = 96;
 KeyBoard_Button2.Width = 64;
 KeyBoard_Button2.Height = 48;
 KeyBoard_Button2.Pen_Width = 2;
 KeyBoard_Button2.Pen_Color = 0x0000;
 KeyBoard_Button2.Visible = 1;
 KeyBoard_Button2.Active = 1;
 KeyBoard_Button2.Transparent = 1;
 KeyBoard_Button2.Caption = KeyBoard_Button2_Caption;
 KeyBoard_Button2.TextAlign = _taCenter;
 KeyBoard_Button2.FontName = Tahoma29x29_Bold;
 KeyBoard_Button2.PressColEnabled = 1;
 KeyBoard_Button2.Font_Color = 0x0000;
 KeyBoard_Button2.Gradient = 1;
 KeyBoard_Button2.Gradient_Orientation = 0;
 KeyBoard_Button2.Gradient_Start_Color = 0x001F;
 KeyBoard_Button2.Gradient_End_Color = 0xC618;
 KeyBoard_Button2.Color = 0xC618;
 KeyBoard_Button2.Press_Color = 0xC618;
 KeyBoard_Button2.OnUpPtr = 0;
 KeyBoard_Button2.OnDownPtr = 0;
 KeyBoard_Button2.OnClickPtr = KeyBoard_Button2Click;
 KeyBoard_Button2.OnPressPtr = 0;

 KeyBoard_Button3.OwnerScreen = &KeyBoard;
 KeyBoard_Button3.Order = 2;
 KeyBoard_Button3.Left = 128;
 KeyBoard_Button3.Top = 96;
 KeyBoard_Button3.Width = 64;
 KeyBoard_Button3.Height = 48;
 KeyBoard_Button3.Pen_Width = 2;
 KeyBoard_Button3.Pen_Color = 0x0000;
 KeyBoard_Button3.Visible = 1;
 KeyBoard_Button3.Active = 1;
 KeyBoard_Button3.Transparent = 1;
 KeyBoard_Button3.Caption = KeyBoard_Button3_Caption;
 KeyBoard_Button3.TextAlign = _taCenter;
 KeyBoard_Button3.FontName = Tahoma29x29_Bold;
 KeyBoard_Button3.PressColEnabled = 1;
 KeyBoard_Button3.Font_Color = 0x0000;
 KeyBoard_Button3.Gradient = 1;
 KeyBoard_Button3.Gradient_Orientation = 0;
 KeyBoard_Button3.Gradient_Start_Color = 0x001F;
 KeyBoard_Button3.Gradient_End_Color = 0xC618;
 KeyBoard_Button3.Color = 0xC618;
 KeyBoard_Button3.Press_Color = 0xC618;
 KeyBoard_Button3.OnUpPtr = 0;
 KeyBoard_Button3.OnDownPtr = 0;
 KeyBoard_Button3.OnClickPtr = KeyBoard_Button3Click;
 KeyBoard_Button3.OnPressPtr = 0;

 KeyBoard_Button4.OwnerScreen = &KeyBoard;
 KeyBoard_Button4.Order = 3;
 KeyBoard_Button4.Left = 192;
 KeyBoard_Button4.Top = 96;
 KeyBoard_Button4.Width = 64;
 KeyBoard_Button4.Height = 48;
 KeyBoard_Button4.Pen_Width = 2;
 KeyBoard_Button4.Pen_Color = 0x0000;
 KeyBoard_Button4.Visible = 1;
 KeyBoard_Button4.Active = 1;
 KeyBoard_Button4.Transparent = 1;
 KeyBoard_Button4.Caption = KeyBoard_Button4_Caption;
 KeyBoard_Button4.TextAlign = _taCenter;
 KeyBoard_Button4.FontName = Tahoma29x29_Bold;
 KeyBoard_Button4.PressColEnabled = 1;
 KeyBoard_Button4.Font_Color = 0x0000;
 KeyBoard_Button4.Gradient = 1;
 KeyBoard_Button4.Gradient_Orientation = 0;
 KeyBoard_Button4.Gradient_Start_Color = 0x001F;
 KeyBoard_Button4.Gradient_End_Color = 0xC618;
 KeyBoard_Button4.Color = 0xC618;
 KeyBoard_Button4.Press_Color = 0xC618;
 KeyBoard_Button4.OnUpPtr = 0;
 KeyBoard_Button4.OnDownPtr = 0;
 KeyBoard_Button4.OnClickPtr = KeyBoard_Button4Click;
 KeyBoard_Button4.OnPressPtr = 0;

 KeyBoard_Button5.OwnerScreen = &KeyBoard;
 KeyBoard_Button5.Order = 4;
 KeyBoard_Button5.Left = 256;
 KeyBoard_Button5.Top = 96;
 KeyBoard_Button5.Width = 64;
 KeyBoard_Button5.Height = 48;
 KeyBoard_Button5.Pen_Width = 2;
 KeyBoard_Button5.Pen_Color = 0x0000;
 KeyBoard_Button5.Visible = 1;
 KeyBoard_Button5.Active = 1;
 KeyBoard_Button5.Transparent = 1;
 KeyBoard_Button5.Caption = KeyBoard_Button5_Caption;
 KeyBoard_Button5.TextAlign = _taCenter;
 KeyBoard_Button5.FontName = Tahoma29x29_Bold;
 KeyBoard_Button5.PressColEnabled = 1;
 KeyBoard_Button5.Font_Color = 0x0000;
 KeyBoard_Button5.Gradient = 1;
 KeyBoard_Button5.Gradient_Orientation = 0;
 KeyBoard_Button5.Gradient_Start_Color = 0x001F;
 KeyBoard_Button5.Gradient_End_Color = 0xC618;
 KeyBoard_Button5.Color = 0xC618;
 KeyBoard_Button5.Press_Color = 0xC618;
 KeyBoard_Button5.OnUpPtr = 0;
 KeyBoard_Button5.OnDownPtr = 0;
 KeyBoard_Button5.OnClickPtr = KeyBoard_Button5Click;
 KeyBoard_Button5.OnPressPtr = 0;

 KeyBoard_Button6.OwnerScreen = &KeyBoard;
 KeyBoard_Button6.Order = 5;
 KeyBoard_Button6.Left = 0;
 KeyBoard_Button6.Top = 144;
 KeyBoard_Button6.Width = 64;
 KeyBoard_Button6.Height = 48;
 KeyBoard_Button6.Pen_Width = 2;
 KeyBoard_Button6.Pen_Color = 0x0000;
 KeyBoard_Button6.Visible = 1;
 KeyBoard_Button6.Active = 1;
 KeyBoard_Button6.Transparent = 1;
 KeyBoard_Button6.Caption = KeyBoard_Button6_Caption;
 KeyBoard_Button6.TextAlign = _taCenter;
 KeyBoard_Button6.FontName = Tahoma29x29_Bold;
 KeyBoard_Button6.PressColEnabled = 1;
 KeyBoard_Button6.Font_Color = 0x0000;
 KeyBoard_Button6.Gradient = 1;
 KeyBoard_Button6.Gradient_Orientation = 0;
 KeyBoard_Button6.Gradient_Start_Color = 0x001F;
 KeyBoard_Button6.Gradient_End_Color = 0xC618;
 KeyBoard_Button6.Color = 0xC618;
 KeyBoard_Button6.Press_Color = 0xC618;
 KeyBoard_Button6.OnUpPtr = 0;
 KeyBoard_Button6.OnDownPtr = 0;
 KeyBoard_Button6.OnClickPtr = KeyBoard_Button6Click;
 KeyBoard_Button6.OnPressPtr = 0;

 KeyBoard_Button7.OwnerScreen = &KeyBoard;
 KeyBoard_Button7.Order = 6;
 KeyBoard_Button7.Left = 64;
 KeyBoard_Button7.Top = 144;
 KeyBoard_Button7.Width = 64;
 KeyBoard_Button7.Height = 48;
 KeyBoard_Button7.Pen_Width = 2;
 KeyBoard_Button7.Pen_Color = 0x0000;
 KeyBoard_Button7.Visible = 1;
 KeyBoard_Button7.Active = 1;
 KeyBoard_Button7.Transparent = 1;
 KeyBoard_Button7.Caption = KeyBoard_Button7_Caption;
 KeyBoard_Button7.TextAlign = _taCenter;
 KeyBoard_Button7.FontName = Tahoma29x29_Bold;
 KeyBoard_Button7.PressColEnabled = 1;
 KeyBoard_Button7.Font_Color = 0x0000;
 KeyBoard_Button7.Gradient = 1;
 KeyBoard_Button7.Gradient_Orientation = 0;
 KeyBoard_Button7.Gradient_Start_Color = 0x001F;
 KeyBoard_Button7.Gradient_End_Color = 0xC618;
 KeyBoard_Button7.Color = 0xC618;
 KeyBoard_Button7.Press_Color = 0xC618;
 KeyBoard_Button7.OnUpPtr = 0;
 KeyBoard_Button7.OnDownPtr = 0;
 KeyBoard_Button7.OnClickPtr = KeyBoard_Button7Click;
 KeyBoard_Button7.OnPressPtr = 0;

 KeyBoard_Button8.OwnerScreen = &KeyBoard;
 KeyBoard_Button8.Order = 7;
 KeyBoard_Button8.Left = 128;
 KeyBoard_Button8.Top = 144;
 KeyBoard_Button8.Width = 64;
 KeyBoard_Button8.Height = 48;
 KeyBoard_Button8.Pen_Width = 2;
 KeyBoard_Button8.Pen_Color = 0x0000;
 KeyBoard_Button8.Visible = 1;
 KeyBoard_Button8.Active = 1;
 KeyBoard_Button8.Transparent = 1;
 KeyBoard_Button8.Caption = KeyBoard_Button8_Caption;
 KeyBoard_Button8.TextAlign = _taCenter;
 KeyBoard_Button8.FontName = Tahoma29x29_Bold;
 KeyBoard_Button8.PressColEnabled = 1;
 KeyBoard_Button8.Font_Color = 0x0000;
 KeyBoard_Button8.Gradient = 1;
 KeyBoard_Button8.Gradient_Orientation = 0;
 KeyBoard_Button8.Gradient_Start_Color = 0x001F;
 KeyBoard_Button8.Gradient_End_Color = 0xC618;
 KeyBoard_Button8.Color = 0xC618;
 KeyBoard_Button8.Press_Color = 0xC618;
 KeyBoard_Button8.OnUpPtr = 0;
 KeyBoard_Button8.OnDownPtr = 0;
 KeyBoard_Button8.OnClickPtr = KeyBoard_Button8Click;
 KeyBoard_Button8.OnPressPtr = 0;

 KeyBoard_Button9.OwnerScreen = &KeyBoard;
 KeyBoard_Button9.Order = 8;
 KeyBoard_Button9.Left = 192;
 KeyBoard_Button9.Top = 144;
 KeyBoard_Button9.Width = 64;
 KeyBoard_Button9.Height = 48;
 KeyBoard_Button9.Pen_Width = 2;
 KeyBoard_Button9.Pen_Color = 0x0000;
 KeyBoard_Button9.Visible = 1;
 KeyBoard_Button9.Active = 1;
 KeyBoard_Button9.Transparent = 1;
 KeyBoard_Button9.Caption = KeyBoard_Button9_Caption;
 KeyBoard_Button9.TextAlign = _taCenter;
 KeyBoard_Button9.FontName = Tahoma29x29_Bold;
 KeyBoard_Button9.PressColEnabled = 1;
 KeyBoard_Button9.Font_Color = 0x0000;
 KeyBoard_Button9.Gradient = 1;
 KeyBoard_Button9.Gradient_Orientation = 0;
 KeyBoard_Button9.Gradient_Start_Color = 0x001F;
 KeyBoard_Button9.Gradient_End_Color = 0xC618;
 KeyBoard_Button9.Color = 0xC618;
 KeyBoard_Button9.Press_Color = 0xC618;
 KeyBoard_Button9.OnUpPtr = 0;
 KeyBoard_Button9.OnDownPtr = 0;
 KeyBoard_Button9.OnClickPtr = KeyBoard_Button9Click;
 KeyBoard_Button9.OnPressPtr = 0;

 KeyBoard_Button10.OwnerScreen = &KeyBoard;
 KeyBoard_Button10.Order = 9;
 KeyBoard_Button10.Left = 256;
 KeyBoard_Button10.Top = 144;
 KeyBoard_Button10.Width = 64;
 KeyBoard_Button10.Height = 48;
 KeyBoard_Button10.Pen_Width = 2;
 KeyBoard_Button10.Pen_Color = 0x0000;
 KeyBoard_Button10.Visible = 1;
 KeyBoard_Button10.Active = 1;
 KeyBoard_Button10.Transparent = 1;
 KeyBoard_Button10.Caption = KeyBoard_Button10_Caption;
 KeyBoard_Button10.TextAlign = _taCenter;
 KeyBoard_Button10.FontName = Tahoma29x29_Bold;
 KeyBoard_Button10.PressColEnabled = 1;
 KeyBoard_Button10.Font_Color = 0x0000;
 KeyBoard_Button10.Gradient = 1;
 KeyBoard_Button10.Gradient_Orientation = 0;
 KeyBoard_Button10.Gradient_Start_Color = 0x001F;
 KeyBoard_Button10.Gradient_End_Color = 0xC618;
 KeyBoard_Button10.Color = 0xC618;
 KeyBoard_Button10.Press_Color = 0xC618;
 KeyBoard_Button10.OnUpPtr = 0;
 KeyBoard_Button10.OnDownPtr = 0;
 KeyBoard_Button10.OnClickPtr = KeyBoard_Button10Click;
 KeyBoard_Button10.OnPressPtr = 0;

 KeyBoard_Button11.OwnerScreen = &KeyBoard;
 KeyBoard_Button11.Order = 10;
 KeyBoard_Button11.Left = 0;
 KeyBoard_Button11.Top = 192;
 KeyBoard_Button11.Width = 128;
 KeyBoard_Button11.Height = 48;
 KeyBoard_Button11.Pen_Width = 2;
 KeyBoard_Button11.Pen_Color = 0x0000;
 KeyBoard_Button11.Visible = 1;
 KeyBoard_Button11.Active = 1;
 KeyBoard_Button11.Transparent = 1;
 KeyBoard_Button11.Caption = KeyBoard_Button11_Caption;
 KeyBoard_Button11.TextAlign = _taCenter;
 KeyBoard_Button11.FontName = Tahoma29x29_Bold;
 KeyBoard_Button11.PressColEnabled = 1;
 KeyBoard_Button11.Font_Color = 0x0000;
 KeyBoard_Button11.Gradient = 1;
 KeyBoard_Button11.Gradient_Orientation = 0;
 KeyBoard_Button11.Gradient_Start_Color = 0x07E8;
 KeyBoard_Button11.Gradient_End_Color = 0xC618;
 KeyBoard_Button11.Color = 0xC618;
 KeyBoard_Button11.Press_Color = 0xC618;
 KeyBoard_Button11.OnUpPtr = 0;
 KeyBoard_Button11.OnDownPtr = 0;
 KeyBoard_Button11.OnClickPtr = KeyBoard_Button11Click;
 KeyBoard_Button11.OnPressPtr = 0;

 KeyBoard_Button12.OwnerScreen = &KeyBoard;
 KeyBoard_Button12.Order = 11;
 KeyBoard_Button12.Left = 128;
 KeyBoard_Button12.Top = 192;
 KeyBoard_Button12.Width = 128;
 KeyBoard_Button12.Height = 48;
 KeyBoard_Button12.Pen_Width = 2;
 KeyBoard_Button12.Pen_Color = 0x0000;
 KeyBoard_Button12.Visible = 1;
 KeyBoard_Button12.Active = 1;
 KeyBoard_Button12.Transparent = 1;
 KeyBoard_Button12.Caption = KeyBoard_Button12_Caption;
 KeyBoard_Button12.TextAlign = _taCenter;
 KeyBoard_Button12.FontName = Tahoma29x29_Bold;
 KeyBoard_Button12.PressColEnabled = 1;
 KeyBoard_Button12.Font_Color = 0x0000;
 KeyBoard_Button12.Gradient = 1;
 KeyBoard_Button12.Gradient_Orientation = 0;
 KeyBoard_Button12.Gradient_Start_Color = 0xF800;
 KeyBoard_Button12.Gradient_End_Color = 0xC618;
 KeyBoard_Button12.Color = 0xC618;
 KeyBoard_Button12.Press_Color = 0xC618;
 KeyBoard_Button12.OnUpPtr = 0;
 KeyBoard_Button12.OnDownPtr = 0;
 KeyBoard_Button12.OnClickPtr = KeyBoard_Button12Click;
 KeyBoard_Button12.OnPressPtr = 0;

 KeyBoard_Button13.OwnerScreen = &KeyBoard;
 KeyBoard_Button13.Order = 12;
 KeyBoard_Button13.Left = 256;
 KeyBoard_Button13.Top = 192;
 KeyBoard_Button13.Width = 64;
 KeyBoard_Button13.Height = 48;
 KeyBoard_Button13.Pen_Width = 2;
 KeyBoard_Button13.Pen_Color = 0x0000;
 KeyBoard_Button13.Visible = 1;
 KeyBoard_Button13.Active = 1;
 KeyBoard_Button13.Transparent = 1;
 KeyBoard_Button13.Caption = KeyBoard_Button13_Caption;
 KeyBoard_Button13.TextAlign = _taCenter;
 KeyBoard_Button13.FontName = Tahoma29x29_Bold;
 KeyBoard_Button13.PressColEnabled = 1;
 KeyBoard_Button13.Font_Color = 0x0000;
 KeyBoard_Button13.Gradient = 1;
 KeyBoard_Button13.Gradient_Orientation = 0;
 KeyBoard_Button13.Gradient_Start_Color = 0x001F;
 KeyBoard_Button13.Gradient_End_Color = 0xC618;
 KeyBoard_Button13.Color = 0xC618;
 KeyBoard_Button13.Press_Color = 0xC618;
 KeyBoard_Button13.OnUpPtr = 0;
 KeyBoard_Button13.OnDownPtr = 0;
 KeyBoard_Button13.OnClickPtr = KeyBoard_Button13Click;
 KeyBoard_Button13.OnPressPtr = 0;

 KeyBoard_Button14.OwnerScreen = &KeyBoard;
 KeyBoard_Button14.Order = 13;
 KeyBoard_Button14.Left = 256;
 KeyBoard_Button14.Top = 48;
 KeyBoard_Button14.Width = 64;
 KeyBoard_Button14.Height = 48;
 KeyBoard_Button14.Pen_Width = 2;
 KeyBoard_Button14.Pen_Color = 0x0000;
 KeyBoard_Button14.Visible = 1;
 KeyBoard_Button14.Active = 1;
 KeyBoard_Button14.Transparent = 1;
 KeyBoard_Button14.Caption = KeyBoard_Button14_Caption;
 KeyBoard_Button14.TextAlign = _taCenter;
 KeyBoard_Button14.FontName = Tahoma29x29_Bold;
 KeyBoard_Button14.PressColEnabled = 1;
 KeyBoard_Button14.Font_Color = 0x0000;
 KeyBoard_Button14.Gradient = 1;
 KeyBoard_Button14.Gradient_Orientation = 0;
 KeyBoard_Button14.Gradient_Start_Color = 0x001F;
 KeyBoard_Button14.Gradient_End_Color = 0xC618;
 KeyBoard_Button14.Color = 0xC618;
 KeyBoard_Button14.Press_Color = 0xC618;
 KeyBoard_Button14.OnUpPtr = 0;
 KeyBoard_Button14.OnDownPtr = 0;
 KeyBoard_Button14.OnClickPtr = KeyBoard_Button14Click;
 KeyBoard_Button14.OnPressPtr = 0;

 KeyBoard_Label1.OwnerScreen = &KeyBoard;
 KeyBoard_Label1.Order = 14;
 KeyBoard_Label1.Left = 10;
 KeyBoard_Label1.Top = 18;
 KeyBoard_Label1.Width = 0;
 KeyBoard_Label1.Height = 25;
 KeyBoard_Label1.Visible = 1;
 KeyBoard_Label1.Active = 1;
 KeyBoard_Label1.Caption = KeyBoard_Label1_Caption;
 KeyBoard_Label1.FontName = Tahoma19x23_Regular;
 KeyBoard_Label1.Font_Color = 0x0000;
 KeyBoard_Label1.OnUpPtr = 0;
 KeyBoard_Label1.OnDownPtr = 0;
 KeyBoard_Label1.OnClickPtr = 0;
 KeyBoard_Label1.OnPressPtr = 0;

 KeyBoard_Label2.OwnerScreen = &KeyBoard;
 KeyBoard_Label2.Order = 15;
 KeyBoard_Label2.Left = 10;
 KeyBoard_Label2.Top = 57;
 KeyBoard_Label2.Width = 0;
 KeyBoard_Label2.Height = 25;
 KeyBoard_Label2.Visible = 1;
 KeyBoard_Label2.Active = 1;
 KeyBoard_Label2.Caption = KeyBoard_Label2_Caption;
 KeyBoard_Label2.FontName = Tahoma19x23_Regular;
 KeyBoard_Label2.Font_Color = 0x0000;
 KeyBoard_Label2.OnUpPtr = 0;
 KeyBoard_Label2.OnDownPtr = 0;
 KeyBoard_Label2.OnClickPtr = 0;
 KeyBoard_Label2.OnPressPtr = 0;

 Road_Button1.OwnerScreen = &Road;
 Road_Button1.Order = 0;
 Road_Button1.Left = 118;
 Road_Button1.Top = 34;
 Road_Button1.Width = 28;
 Road_Button1.Height = 16;
 Road_Button1.Pen_Width = 1;
 Road_Button1.Pen_Color = 0x0000;
 Road_Button1.Visible = 1;
 Road_Button1.Active = 1;
 Road_Button1.Transparent = 1;
 Road_Button1.Caption = Road_Button1_Caption;
 Road_Button1.TextAlign = _taCenter;
 Road_Button1.FontName = Tahoma13x13_Bold;
 Road_Button1.PressColEnabled = 1;
 Road_Button1.Font_Color = 0x0000;
 Road_Button1.Gradient = 1;
 Road_Button1.Gradient_Orientation = 0;
 Road_Button1.Gradient_Start_Color = 0x87F0;
 Road_Button1.Gradient_End_Color = 0x0400;
 Road_Button1.Color = 0xC618;
 Road_Button1.Press_Color = 0xC618;
 Road_Button1.OnUpPtr = 0;
 Road_Button1.OnDownPtr = 0;
 Road_Button1.OnClickPtr = Road_Button1Click;
 Road_Button1.OnPressPtr = 0;

 Road_Button2.OwnerScreen = &Road;
 Road_Button2.Order = 1;
 Road_Button2.Left = 146;
 Road_Button2.Top = 34;
 Road_Button2.Width = 28;
 Road_Button2.Height = 16;
 Road_Button2.Pen_Width = 1;
 Road_Button2.Pen_Color = 0x0000;
 Road_Button2.Visible = 1;
 Road_Button2.Active = 1;
 Road_Button2.Transparent = 1;
 Road_Button2.Caption = Road_Button2_Caption;
 Road_Button2.TextAlign = _taCenter;
 Road_Button2.FontName = Tahoma13x13_Bold;
 Road_Button2.PressColEnabled = 1;
 Road_Button2.Font_Color = 0x0000;
 Road_Button2.Gradient = 1;
 Road_Button2.Gradient_Orientation = 0;
 Road_Button2.Gradient_Start_Color = 0x87F0;
 Road_Button2.Gradient_End_Color = 0x0400;
 Road_Button2.Color = 0xC618;
 Road_Button2.Press_Color = 0xC618;
 Road_Button2.OnUpPtr = 0;
 Road_Button2.OnDownPtr = 0;
 Road_Button2.OnClickPtr = Road_Button2Click;
 Road_Button2.OnPressPtr = 0;

 Road_Button3.OwnerScreen = &Road;
 Road_Button3.Order = 2;
 Road_Button3.Left = 174;
 Road_Button3.Top = 34;
 Road_Button3.Width = 28;
 Road_Button3.Height = 16;
 Road_Button3.Pen_Width = 1;
 Road_Button3.Pen_Color = 0x0000;
 Road_Button3.Visible = 1;
 Road_Button3.Active = 1;
 Road_Button3.Transparent = 1;
 Road_Button3.Caption = Road_Button3_Caption;
 Road_Button3.TextAlign = _taCenter;
 Road_Button3.FontName = Tahoma13x13_Bold;
 Road_Button3.PressColEnabled = 1;
 Road_Button3.Font_Color = 0x0000;
 Road_Button3.Gradient = 1;
 Road_Button3.Gradient_Orientation = 0;
 Road_Button3.Gradient_Start_Color = 0x87F0;
 Road_Button3.Gradient_End_Color = 0x0400;
 Road_Button3.Color = 0xC618;
 Road_Button3.Press_Color = 0xC618;
 Road_Button3.OnUpPtr = 0;
 Road_Button3.OnDownPtr = 0;
 Road_Button3.OnClickPtr = Road_Button3Click;
 Road_Button3.OnPressPtr = 0;

 Road_Button4.OwnerScreen = &Road;
 Road_Button4.Order = 3;
 Road_Button4.Left = 118;
 Road_Button4.Top = 50;
 Road_Button4.Width = 28;
 Road_Button4.Height = 16;
 Road_Button4.Pen_Width = 1;
 Road_Button4.Pen_Color = 0x0000;
 Road_Button4.Visible = 1;
 Road_Button4.Active = 1;
 Road_Button4.Transparent = 1;
 Road_Button4.Caption = Road_Button4_Caption;
 Road_Button4.TextAlign = _taCenter;
 Road_Button4.FontName = Tahoma13x13_Bold;
 Road_Button4.PressColEnabled = 1;
 Road_Button4.Font_Color = 0x0000;
 Road_Button4.Gradient = 1;
 Road_Button4.Gradient_Orientation = 0;
 Road_Button4.Gradient_Start_Color = 0x87F0;
 Road_Button4.Gradient_End_Color = 0x0400;
 Road_Button4.Color = 0xC618;
 Road_Button4.Press_Color = 0xC618;
 Road_Button4.OnUpPtr = 0;
 Road_Button4.OnDownPtr = 0;
 Road_Button4.OnClickPtr = Road_Button4Click;
 Road_Button4.OnPressPtr = 0;

 Road_Button5.OwnerScreen = &Road;
 Road_Button5.Order = 4;
 Road_Button5.Left = 146;
 Road_Button5.Top = 50;
 Road_Button5.Width = 28;
 Road_Button5.Height = 16;
 Road_Button5.Pen_Width = 1;
 Road_Button5.Pen_Color = 0x0000;
 Road_Button5.Visible = 1;
 Road_Button5.Active = 1;
 Road_Button5.Transparent = 1;
 Road_Button5.Caption = Road_Button5_Caption;
 Road_Button5.TextAlign = _taCenter;
 Road_Button5.FontName = Tahoma13x13_Bold;
 Road_Button5.PressColEnabled = 1;
 Road_Button5.Font_Color = 0x0000;
 Road_Button5.Gradient = 1;
 Road_Button5.Gradient_Orientation = 0;
 Road_Button5.Gradient_Start_Color = 0x87F0;
 Road_Button5.Gradient_End_Color = 0x0400;
 Road_Button5.Color = 0xC618;
 Road_Button5.Press_Color = 0xC618;
 Road_Button5.OnUpPtr = 0;
 Road_Button5.OnDownPtr = 0;
 Road_Button5.OnClickPtr = Road_Button5Click;
 Road_Button5.OnPressPtr = 0;

 Road_Button6.OwnerScreen = &Road;
 Road_Button6.Order = 5;
 Road_Button6.Left = 174;
 Road_Button6.Top = 50;
 Road_Button6.Width = 28;
 Road_Button6.Height = 16;
 Road_Button6.Pen_Width = 1;
 Road_Button6.Pen_Color = 0x0000;
 Road_Button6.Visible = 1;
 Road_Button6.Active = 1;
 Road_Button6.Transparent = 1;
 Road_Button6.Caption = Road_Button6_Caption;
 Road_Button6.TextAlign = _taCenter;
 Road_Button6.FontName = Tahoma13x13_Bold;
 Road_Button6.PressColEnabled = 1;
 Road_Button6.Font_Color = 0x0000;
 Road_Button6.Gradient = 1;
 Road_Button6.Gradient_Orientation = 0;
 Road_Button6.Gradient_Start_Color = 0x87F0;
 Road_Button6.Gradient_End_Color = 0x0400;
 Road_Button6.Color = 0xC618;
 Road_Button6.Press_Color = 0xC618;
 Road_Button6.OnUpPtr = 0;
 Road_Button6.OnDownPtr = 0;
 Road_Button6.OnClickPtr = Road_Button6Click;
 Road_Button6.OnPressPtr = 0;

 Road_Button7.OwnerScreen = &Road;
 Road_Button7.Order = 6;
 Road_Button7.Left = 118;
 Road_Button7.Top = 66;
 Road_Button7.Width = 28;
 Road_Button7.Height = 16;
 Road_Button7.Pen_Width = 1;
 Road_Button7.Pen_Color = 0x0000;
 Road_Button7.Visible = 1;
 Road_Button7.Active = 1;
 Road_Button7.Transparent = 1;
 Road_Button7.Caption = Road_Button7_Caption;
 Road_Button7.TextAlign = _taCenter;
 Road_Button7.FontName = Tahoma13x13_Bold;
 Road_Button7.PressColEnabled = 1;
 Road_Button7.Font_Color = 0x0000;
 Road_Button7.Gradient = 1;
 Road_Button7.Gradient_Orientation = 0;
 Road_Button7.Gradient_Start_Color = 0x87F0;
 Road_Button7.Gradient_End_Color = 0x0400;
 Road_Button7.Color = 0xC618;
 Road_Button7.Press_Color = 0xC618;
 Road_Button7.OnUpPtr = 0;
 Road_Button7.OnDownPtr = 0;
 Road_Button7.OnClickPtr = Road_Button7Click;
 Road_Button7.OnPressPtr = 0;

 Road_Button8.OwnerScreen = &Road;
 Road_Button8.Order = 7;
 Road_Button8.Left = 146;
 Road_Button8.Top = 66;
 Road_Button8.Width = 28;
 Road_Button8.Height = 16;
 Road_Button8.Pen_Width = 1;
 Road_Button8.Pen_Color = 0x0000;
 Road_Button8.Visible = 1;
 Road_Button8.Active = 1;
 Road_Button8.Transparent = 1;
 Road_Button8.Caption = Road_Button8_Caption;
 Road_Button8.TextAlign = _taCenter;
 Road_Button8.FontName = Tahoma13x13_Bold;
 Road_Button8.PressColEnabled = 1;
 Road_Button8.Font_Color = 0x0000;
 Road_Button8.Gradient = 1;
 Road_Button8.Gradient_Orientation = 0;
 Road_Button8.Gradient_Start_Color = 0x87F0;
 Road_Button8.Gradient_End_Color = 0x0400;
 Road_Button8.Color = 0xC618;
 Road_Button8.Press_Color = 0xC618;
 Road_Button8.OnUpPtr = 0;
 Road_Button8.OnDownPtr = 0;
 Road_Button8.OnClickPtr = Road_Button8Click;
 Road_Button8.OnPressPtr = 0;

 Road_Button9.OwnerScreen = &Road;
 Road_Button9.Order = 8;
 Road_Button9.Left = 174;
 Road_Button9.Top = 66;
 Road_Button9.Width = 28;
 Road_Button9.Height = 16;
 Road_Button9.Pen_Width = 1;
 Road_Button9.Pen_Color = 0x0000;
 Road_Button9.Visible = 1;
 Road_Button9.Active = 1;
 Road_Button9.Transparent = 1;
 Road_Button9.Caption = Road_Button9_Caption;
 Road_Button9.TextAlign = _taCenter;
 Road_Button9.FontName = Tahoma13x13_Bold;
 Road_Button9.PressColEnabled = 1;
 Road_Button9.Font_Color = 0x0000;
 Road_Button9.Gradient = 1;
 Road_Button9.Gradient_Orientation = 0;
 Road_Button9.Gradient_Start_Color = 0x87F0;
 Road_Button9.Gradient_End_Color = 0x0400;
 Road_Button9.Color = 0xC618;
 Road_Button9.Press_Color = 0xC618;
 Road_Button9.OnUpPtr = 0;
 Road_Button9.OnDownPtr = 0;
 Road_Button9.OnClickPtr = Road_Button9Click;
 Road_Button9.OnPressPtr = 0;

 Road_Button10.OwnerScreen = &Road;
 Road_Button10.Order = 9;
 Road_Button10.Left = 118;
 Road_Button10.Top = 82;
 Road_Button10.Width = 28;
 Road_Button10.Height = 16;
 Road_Button10.Pen_Width = 1;
 Road_Button10.Pen_Color = 0x0000;
 Road_Button10.Visible = 1;
 Road_Button10.Active = 1;
 Road_Button10.Transparent = 1;
 Road_Button10.Caption = Road_Button10_Caption;
 Road_Button10.TextAlign = _taCenter;
 Road_Button10.FontName = Tahoma13x13_Bold;
 Road_Button10.PressColEnabled = 1;
 Road_Button10.Font_Color = 0x0000;
 Road_Button10.Gradient = 1;
 Road_Button10.Gradient_Orientation = 0;
 Road_Button10.Gradient_Start_Color = 0x87F0;
 Road_Button10.Gradient_End_Color = 0x0400;
 Road_Button10.Color = 0xC618;
 Road_Button10.Press_Color = 0xC618;
 Road_Button10.OnUpPtr = 0;
 Road_Button10.OnDownPtr = 0;
 Road_Button10.OnClickPtr = Road_Button10Click;
 Road_Button10.OnPressPtr = 0;

 Road_Button11.OwnerScreen = &Road;
 Road_Button11.Order = 10;
 Road_Button11.Left = 146;
 Road_Button11.Top = 82;
 Road_Button11.Width = 28;
 Road_Button11.Height = 16;
 Road_Button11.Pen_Width = 1;
 Road_Button11.Pen_Color = 0x0000;
 Road_Button11.Visible = 1;
 Road_Button11.Active = 1;
 Road_Button11.Transparent = 1;
 Road_Button11.Caption = Road_Button11_Caption;
 Road_Button11.TextAlign = _taCenter;
 Road_Button11.FontName = Tahoma13x13_Bold;
 Road_Button11.PressColEnabled = 1;
 Road_Button11.Font_Color = 0x0000;
 Road_Button11.Gradient = 1;
 Road_Button11.Gradient_Orientation = 0;
 Road_Button11.Gradient_Start_Color = 0x87F0;
 Road_Button11.Gradient_End_Color = 0x0400;
 Road_Button11.Color = 0xC618;
 Road_Button11.Press_Color = 0xC618;
 Road_Button11.OnUpPtr = 0;
 Road_Button11.OnDownPtr = 0;
 Road_Button11.OnClickPtr = Road_Button11Click;
 Road_Button11.OnPressPtr = 0;

 Road_Button12.OwnerScreen = &Road;
 Road_Button12.Order = 11;
 Road_Button12.Left = 174;
 Road_Button12.Top = 82;
 Road_Button12.Width = 28;
 Road_Button12.Height = 16;
 Road_Button12.Pen_Width = 1;
 Road_Button12.Pen_Color = 0x0000;
 Road_Button12.Visible = 1;
 Road_Button12.Active = 1;
 Road_Button12.Transparent = 1;
 Road_Button12.Caption = Road_Button12_Caption;
 Road_Button12.TextAlign = _taCenter;
 Road_Button12.FontName = Tahoma13x13_Bold;
 Road_Button12.PressColEnabled = 1;
 Road_Button12.Font_Color = 0x0000;
 Road_Button12.Gradient = 1;
 Road_Button12.Gradient_Orientation = 0;
 Road_Button12.Gradient_Start_Color = 0x87F0;
 Road_Button12.Gradient_End_Color = 0x0400;
 Road_Button12.Color = 0xC618;
 Road_Button12.Press_Color = 0xC618;
 Road_Button12.OnUpPtr = 0;
 Road_Button12.OnDownPtr = 0;
 Road_Button12.OnClickPtr = Road_Button12Click;
 Road_Button12.OnPressPtr = 0;

 Road_Button13.OwnerScreen = &Road;
 Road_Button13.Order = 12;
 Road_Button13.Left = 118;
 Road_Button13.Top = 153;
 Road_Button13.Width = 28;
 Road_Button13.Height = 16;
 Road_Button13.Pen_Width = 1;
 Road_Button13.Pen_Color = 0x0000;
 Road_Button13.Visible = 1;
 Road_Button13.Active = 1;
 Road_Button13.Transparent = 1;
 Road_Button13.Caption = Road_Button13_Caption;
 Road_Button13.TextAlign = _taCenter;
 Road_Button13.FontName = Tahoma13x13_Bold;
 Road_Button13.PressColEnabled = 1;
 Road_Button13.Font_Color = 0x0000;
 Road_Button13.Gradient = 1;
 Road_Button13.Gradient_Orientation = 0;
 Road_Button13.Gradient_Start_Color = 0x87F0;
 Road_Button13.Gradient_End_Color = 0x0400;
 Road_Button13.Color = 0xC618;
 Road_Button13.Press_Color = 0xC618;
 Road_Button13.OnUpPtr = 0;
 Road_Button13.OnDownPtr = 0;
 Road_Button13.OnClickPtr = Road_Button13Click;
 Road_Button13.OnPressPtr = 0;

 Road_Button14.OwnerScreen = &Road;
 Road_Button14.Order = 13;
 Road_Button14.Left = 146;
 Road_Button14.Top = 153;
 Road_Button14.Width = 28;
 Road_Button14.Height = 16;
 Road_Button14.Pen_Width = 1;
 Road_Button14.Pen_Color = 0x0000;
 Road_Button14.Visible = 1;
 Road_Button14.Active = 1;
 Road_Button14.Transparent = 1;
 Road_Button14.Caption = Road_Button14_Caption;
 Road_Button14.TextAlign = _taCenter;
 Road_Button14.FontName = Tahoma13x13_Bold;
 Road_Button14.PressColEnabled = 1;
 Road_Button14.Font_Color = 0x0000;
 Road_Button14.Gradient = 1;
 Road_Button14.Gradient_Orientation = 0;
 Road_Button14.Gradient_Start_Color = 0x87F0;
 Road_Button14.Gradient_End_Color = 0x0400;
 Road_Button14.Color = 0xC618;
 Road_Button14.Press_Color = 0xC618;
 Road_Button14.OnUpPtr = 0;
 Road_Button14.OnDownPtr = 0;
 Road_Button14.OnClickPtr = Road_Button14Click;
 Road_Button14.OnPressPtr = 0;

 Road_Button15.OwnerScreen = &Road;
 Road_Button15.Order = 14;
 Road_Button15.Left = 174;
 Road_Button15.Top = 153;
 Road_Button15.Width = 28;
 Road_Button15.Height = 16;
 Road_Button15.Pen_Width = 1;
 Road_Button15.Pen_Color = 0x0000;
 Road_Button15.Visible = 1;
 Road_Button15.Active = 1;
 Road_Button15.Transparent = 1;
 Road_Button15.Caption = Road_Button15_Caption;
 Road_Button15.TextAlign = _taCenter;
 Road_Button15.FontName = Tahoma13x13_Bold;
 Road_Button15.PressColEnabled = 1;
 Road_Button15.Font_Color = 0x0000;
 Road_Button15.Gradient = 1;
 Road_Button15.Gradient_Orientation = 0;
 Road_Button15.Gradient_Start_Color = 0x87F0;
 Road_Button15.Gradient_End_Color = 0x0400;
 Road_Button15.Color = 0xC618;
 Road_Button15.Press_Color = 0xC618;
 Road_Button15.OnUpPtr = 0;
 Road_Button15.OnDownPtr = 0;
 Road_Button15.OnClickPtr = Road_Button15Click;
 Road_Button15.OnPressPtr = 0;

 Road_Button16.OwnerScreen = &Road;
 Road_Button16.Order = 15;
 Road_Button16.Left = 118;
 Road_Button16.Top = 169;
 Road_Button16.Width = 28;
 Road_Button16.Height = 16;
 Road_Button16.Pen_Width = 1;
 Road_Button16.Pen_Color = 0x0000;
 Road_Button16.Visible = 1;
 Road_Button16.Active = 1;
 Road_Button16.Transparent = 1;
 Road_Button16.Caption = Road_Button16_Caption;
 Road_Button16.TextAlign = _taCenter;
 Road_Button16.FontName = Tahoma13x13_Bold;
 Road_Button16.PressColEnabled = 1;
 Road_Button16.Font_Color = 0x0000;
 Road_Button16.Gradient = 1;
 Road_Button16.Gradient_Orientation = 0;
 Road_Button16.Gradient_Start_Color = 0x87F0;
 Road_Button16.Gradient_End_Color = 0x0400;
 Road_Button16.Color = 0xC618;
 Road_Button16.Press_Color = 0xC618;
 Road_Button16.OnUpPtr = 0;
 Road_Button16.OnDownPtr = 0;
 Road_Button16.OnClickPtr = Road_Button16Click;
 Road_Button16.OnPressPtr = 0;

 Road_Button17.OwnerScreen = &Road;
 Road_Button17.Order = 16;
 Road_Button17.Left = 146;
 Road_Button17.Top = 169;
 Road_Button17.Width = 28;
 Road_Button17.Height = 16;
 Road_Button17.Pen_Width = 1;
 Road_Button17.Pen_Color = 0x0000;
 Road_Button17.Visible = 1;
 Road_Button17.Active = 1;
 Road_Button17.Transparent = 1;
 Road_Button17.Caption = Road_Button17_Caption;
 Road_Button17.TextAlign = _taCenter;
 Road_Button17.FontName = Tahoma13x13_Bold;
 Road_Button17.PressColEnabled = 1;
 Road_Button17.Font_Color = 0x0000;
 Road_Button17.Gradient = 1;
 Road_Button17.Gradient_Orientation = 0;
 Road_Button17.Gradient_Start_Color = 0x87F0;
 Road_Button17.Gradient_End_Color = 0x0400;
 Road_Button17.Color = 0xC618;
 Road_Button17.Press_Color = 0xC618;
 Road_Button17.OnUpPtr = 0;
 Road_Button17.OnDownPtr = 0;
 Road_Button17.OnClickPtr = Road_Button17Click;
 Road_Button17.OnPressPtr = 0;

 Road_Button18.OwnerScreen = &Road;
 Road_Button18.Order = 17;
 Road_Button18.Left = 174;
 Road_Button18.Top = 169;
 Road_Button18.Width = 28;
 Road_Button18.Height = 16;
 Road_Button18.Pen_Width = 1;
 Road_Button18.Pen_Color = 0x0000;
 Road_Button18.Visible = 1;
 Road_Button18.Active = 1;
 Road_Button18.Transparent = 1;
 Road_Button18.Caption = Road_Button18_Caption;
 Road_Button18.TextAlign = _taCenter;
 Road_Button18.FontName = Tahoma13x13_Bold;
 Road_Button18.PressColEnabled = 1;
 Road_Button18.Font_Color = 0x0000;
 Road_Button18.Gradient = 1;
 Road_Button18.Gradient_Orientation = 0;
 Road_Button18.Gradient_Start_Color = 0x87F0;
 Road_Button18.Gradient_End_Color = 0x0400;
 Road_Button18.Color = 0xC618;
 Road_Button18.Press_Color = 0xC618;
 Road_Button18.OnUpPtr = 0;
 Road_Button18.OnDownPtr = 0;
 Road_Button18.OnClickPtr = Road_Button18Click;
 Road_Button18.OnPressPtr = 0;

 Road_Button19.OwnerScreen = &Road;
 Road_Button19.Order = 18;
 Road_Button19.Left = 118;
 Road_Button19.Top = 185;
 Road_Button19.Width = 28;
 Road_Button19.Height = 16;
 Road_Button19.Pen_Width = 1;
 Road_Button19.Pen_Color = 0x0000;
 Road_Button19.Visible = 1;
 Road_Button19.Active = 1;
 Road_Button19.Transparent = 1;
 Road_Button19.Caption = Road_Button19_Caption;
 Road_Button19.TextAlign = _taCenter;
 Road_Button19.FontName = Tahoma13x13_Bold;
 Road_Button19.PressColEnabled = 1;
 Road_Button19.Font_Color = 0x0000;
 Road_Button19.Gradient = 1;
 Road_Button19.Gradient_Orientation = 0;
 Road_Button19.Gradient_Start_Color = 0x87F0;
 Road_Button19.Gradient_End_Color = 0x0400;
 Road_Button19.Color = 0xC618;
 Road_Button19.Press_Color = 0xC618;
 Road_Button19.OnUpPtr = 0;
 Road_Button19.OnDownPtr = 0;
 Road_Button19.OnClickPtr = Road_Button19Click;
 Road_Button19.OnPressPtr = 0;

 Road_Button20.OwnerScreen = &Road;
 Road_Button20.Order = 19;
 Road_Button20.Left = 146;
 Road_Button20.Top = 185;
 Road_Button20.Width = 28;
 Road_Button20.Height = 16;
 Road_Button20.Pen_Width = 1;
 Road_Button20.Pen_Color = 0x0000;
 Road_Button20.Visible = 1;
 Road_Button20.Active = 1;
 Road_Button20.Transparent = 1;
 Road_Button20.Caption = Road_Button20_Caption;
 Road_Button20.TextAlign = _taCenter;
 Road_Button20.FontName = Tahoma13x13_Bold;
 Road_Button20.PressColEnabled = 1;
 Road_Button20.Font_Color = 0x0000;
 Road_Button20.Gradient = 1;
 Road_Button20.Gradient_Orientation = 0;
 Road_Button20.Gradient_Start_Color = 0x87F0;
 Road_Button20.Gradient_End_Color = 0x0400;
 Road_Button20.Color = 0xC618;
 Road_Button20.Press_Color = 0xC618;
 Road_Button20.OnUpPtr = 0;
 Road_Button20.OnDownPtr = 0;
 Road_Button20.OnClickPtr = Road_Button20Click;
 Road_Button20.OnPressPtr = 0;

 Road_Button21.OwnerScreen = &Road;
 Road_Button21.Order = 20;
 Road_Button21.Left = 174;
 Road_Button21.Top = 185;
 Road_Button21.Width = 28;
 Road_Button21.Height = 16;
 Road_Button21.Pen_Width = 1;
 Road_Button21.Pen_Color = 0x0000;
 Road_Button21.Visible = 1;
 Road_Button21.Active = 1;
 Road_Button21.Transparent = 1;
 Road_Button21.Caption = Road_Button21_Caption;
 Road_Button21.TextAlign = _taCenter;
 Road_Button21.FontName = Tahoma13x13_Bold;
 Road_Button21.PressColEnabled = 1;
 Road_Button21.Font_Color = 0x0000;
 Road_Button21.Gradient = 1;
 Road_Button21.Gradient_Orientation = 0;
 Road_Button21.Gradient_Start_Color = 0x87F0;
 Road_Button21.Gradient_End_Color = 0x0400;
 Road_Button21.Color = 0xC618;
 Road_Button21.Press_Color = 0xC618;
 Road_Button21.OnUpPtr = 0;
 Road_Button21.OnDownPtr = 0;
 Road_Button21.OnClickPtr = Road_Button21Click;
 Road_Button21.OnPressPtr = 0;

 Road_Button22.OwnerScreen = &Road;
 Road_Button22.Order = 21;
 Road_Button22.Left = 118;
 Road_Button22.Top = 201;
 Road_Button22.Width = 28;
 Road_Button22.Height = 16;
 Road_Button22.Pen_Width = 1;
 Road_Button22.Pen_Color = 0x0000;
 Road_Button22.Visible = 1;
 Road_Button22.Active = 1;
 Road_Button22.Transparent = 1;
 Road_Button22.Caption = Road_Button22_Caption;
 Road_Button22.TextAlign = _taCenter;
 Road_Button22.FontName = Tahoma13x13_Bold;
 Road_Button22.PressColEnabled = 1;
 Road_Button22.Font_Color = 0x0000;
 Road_Button22.Gradient = 1;
 Road_Button22.Gradient_Orientation = 0;
 Road_Button22.Gradient_Start_Color = 0x87F0;
 Road_Button22.Gradient_End_Color = 0x0400;
 Road_Button22.Color = 0xC618;
 Road_Button22.Press_Color = 0xC618;
 Road_Button22.OnUpPtr = 0;
 Road_Button22.OnDownPtr = 0;
 Road_Button22.OnClickPtr = Road_Button22Click;
 Road_Button22.OnPressPtr = 0;

 Road_Button23.OwnerScreen = &Road;
 Road_Button23.Order = 22;
 Road_Button23.Left = 146;
 Road_Button23.Top = 201;
 Road_Button23.Width = 28;
 Road_Button23.Height = 16;
 Road_Button23.Pen_Width = 1;
 Road_Button23.Pen_Color = 0x0000;
 Road_Button23.Visible = 1;
 Road_Button23.Active = 1;
 Road_Button23.Transparent = 1;
 Road_Button23.Caption = Road_Button23_Caption;
 Road_Button23.TextAlign = _taCenter;
 Road_Button23.FontName = Tahoma13x13_Bold;
 Road_Button23.PressColEnabled = 1;
 Road_Button23.Font_Color = 0x0000;
 Road_Button23.Gradient = 1;
 Road_Button23.Gradient_Orientation = 0;
 Road_Button23.Gradient_Start_Color = 0x87F0;
 Road_Button23.Gradient_End_Color = 0x0400;
 Road_Button23.Color = 0xC618;
 Road_Button23.Press_Color = 0xC618;
 Road_Button23.OnUpPtr = 0;
 Road_Button23.OnDownPtr = 0;
 Road_Button23.OnClickPtr = Road_Button23Click;
 Road_Button23.OnPressPtr = 0;

 Road_Button24.OwnerScreen = &Road;
 Road_Button24.Order = 23;
 Road_Button24.Left = 174;
 Road_Button24.Top = 201;
 Road_Button24.Width = 28;
 Road_Button24.Height = 16;
 Road_Button24.Pen_Width = 1;
 Road_Button24.Pen_Color = 0x0000;
 Road_Button24.Visible = 1;
 Road_Button24.Active = 1;
 Road_Button24.Transparent = 1;
 Road_Button24.Caption = Road_Button24_Caption;
 Road_Button24.TextAlign = _taCenter;
 Road_Button24.FontName = Tahoma13x13_Bold;
 Road_Button24.PressColEnabled = 1;
 Road_Button24.Font_Color = 0x0000;
 Road_Button24.Gradient = 1;
 Road_Button24.Gradient_Orientation = 0;
 Road_Button24.Gradient_Start_Color = 0x87F0;
 Road_Button24.Gradient_End_Color = 0x0400;
 Road_Button24.Color = 0xC618;
 Road_Button24.Press_Color = 0xC618;
 Road_Button24.OnUpPtr = 0;
 Road_Button24.OnDownPtr = 0;
 Road_Button24.OnClickPtr = Road_Button24Click;
 Road_Button24.OnPressPtr = 0;

 Road_Button25.OwnerScreen = &Road;
 Road_Button25.Order = 24;
 Road_Button25.Left = 4;
 Road_Button25.Top = 101;
 Road_Button25.Width = 28;
 Road_Button25.Height = 16;
 Road_Button25.Pen_Width = 1;
 Road_Button25.Pen_Color = 0x0000;
 Road_Button25.Visible = 1;
 Road_Button25.Active = 1;
 Road_Button25.Transparent = 1;
 Road_Button25.Caption = Road_Button25_Caption;
 Road_Button25.TextAlign = _taCenter;
 Road_Button25.FontName = Tahoma13x13_Bold;
 Road_Button25.PressColEnabled = 1;
 Road_Button25.Font_Color = 0x0000;
 Road_Button25.Gradient = 1;
 Road_Button25.Gradient_Orientation = 0;
 Road_Button25.Gradient_Start_Color = 0x87F0;
 Road_Button25.Gradient_End_Color = 0x0400;
 Road_Button25.Color = 0xC618;
 Road_Button25.Press_Color = 0xC618;
 Road_Button25.OnUpPtr = 0;
 Road_Button25.OnDownPtr = 0;
 Road_Button25.OnClickPtr = Road_Button25Click;
 Road_Button25.OnPressPtr = 0;

 Road_Button26.OwnerScreen = &Road;
 Road_Button26.Order = 25;
 Road_Button26.Left = 32;
 Road_Button26.Top = 101;
 Road_Button26.Width = 28;
 Road_Button26.Height = 16;
 Road_Button26.Pen_Width = 1;
 Road_Button26.Pen_Color = 0x0000;
 Road_Button26.Visible = 1;
 Road_Button26.Active = 1;
 Road_Button26.Transparent = 1;
 Road_Button26.Caption = Road_Button26_Caption;
 Road_Button26.TextAlign = _taCenter;
 Road_Button26.FontName = Tahoma13x13_Bold;
 Road_Button26.PressColEnabled = 1;
 Road_Button26.Font_Color = 0x0000;
 Road_Button26.Gradient = 1;
 Road_Button26.Gradient_Orientation = 0;
 Road_Button26.Gradient_Start_Color = 0x87F0;
 Road_Button26.Gradient_End_Color = 0x0400;
 Road_Button26.Color = 0xC618;
 Road_Button26.Press_Color = 0xC618;
 Road_Button26.OnUpPtr = 0;
 Road_Button26.OnDownPtr = 0;
 Road_Button26.OnClickPtr = Road_Button26Click;
 Road_Button26.OnPressPtr = 0;

 Road_Button27.OwnerScreen = &Road;
 Road_Button27.Order = 26;
 Road_Button27.Left = 60;
 Road_Button27.Top = 101;
 Road_Button27.Width = 28;
 Road_Button27.Height = 16;
 Road_Button27.Pen_Width = 1;
 Road_Button27.Pen_Color = 0x0000;
 Road_Button27.Visible = 1;
 Road_Button27.Active = 1;
 Road_Button27.Transparent = 1;
 Road_Button27.Caption = Road_Button27_Caption;
 Road_Button27.TextAlign = _taCenter;
 Road_Button27.FontName = Tahoma13x13_Bold;
 Road_Button27.PressColEnabled = 1;
 Road_Button27.Font_Color = 0x0000;
 Road_Button27.Gradient = 1;
 Road_Button27.Gradient_Orientation = 0;
 Road_Button27.Gradient_Start_Color = 0x87F0;
 Road_Button27.Gradient_End_Color = 0x0400;
 Road_Button27.Color = 0xC618;
 Road_Button27.Press_Color = 0xC618;
 Road_Button27.OnUpPtr = 0;
 Road_Button27.OnDownPtr = 0;
 Road_Button27.OnClickPtr = Road_Button27Click;
 Road_Button27.OnPressPtr = 0;

 Road_Button28.OwnerScreen = &Road;
 Road_Button28.Order = 27;
 Road_Button28.Left = 88;
 Road_Button28.Top = 101;
 Road_Button28.Width = 28;
 Road_Button28.Height = 16;
 Road_Button28.Pen_Width = 1;
 Road_Button28.Pen_Color = 0x0000;
 Road_Button28.Visible = 1;
 Road_Button28.Active = 1;
 Road_Button28.Transparent = 1;
 Road_Button28.Caption = Road_Button28_Caption;
 Road_Button28.TextAlign = _taCenter;
 Road_Button28.FontName = Tahoma13x13_Bold;
 Road_Button28.PressColEnabled = 1;
 Road_Button28.Font_Color = 0x0000;
 Road_Button28.Gradient = 1;
 Road_Button28.Gradient_Orientation = 0;
 Road_Button28.Gradient_Start_Color = 0x87F0;
 Road_Button28.Gradient_End_Color = 0x0400;
 Road_Button28.Color = 0xC618;
 Road_Button28.Press_Color = 0xC618;
 Road_Button28.OnUpPtr = 0;
 Road_Button28.OnDownPtr = 0;
 Road_Button28.OnClickPtr = Road_Button28Click;
 Road_Button28.OnPressPtr = 0;

 Road_Button29.OwnerScreen = &Road;
 Road_Button29.Order = 28;
 Road_Button29.Left = 4;
 Road_Button29.Top = 117;
 Road_Button29.Width = 28;
 Road_Button29.Height = 16;
 Road_Button29.Pen_Width = 1;
 Road_Button29.Pen_Color = 0x0000;
 Road_Button29.Visible = 1;
 Road_Button29.Active = 1;
 Road_Button29.Transparent = 1;
 Road_Button29.Caption = Road_Button29_Caption;
 Road_Button29.TextAlign = _taCenter;
 Road_Button29.FontName = Tahoma13x13_Bold;
 Road_Button29.PressColEnabled = 1;
 Road_Button29.Font_Color = 0x0000;
 Road_Button29.Gradient = 1;
 Road_Button29.Gradient_Orientation = 0;
 Road_Button29.Gradient_Start_Color = 0x87F0;
 Road_Button29.Gradient_End_Color = 0x0400;
 Road_Button29.Color = 0xC618;
 Road_Button29.Press_Color = 0xC618;
 Road_Button29.OnUpPtr = 0;
 Road_Button29.OnDownPtr = 0;
 Road_Button29.OnClickPtr = Road_Button29Click;
 Road_Button29.OnPressPtr = 0;

 Road_Button30.OwnerScreen = &Road;
 Road_Button30.Order = 29;
 Road_Button30.Left = 32;
 Road_Button30.Top = 117;
 Road_Button30.Width = 28;
 Road_Button30.Height = 16;
 Road_Button30.Pen_Width = 1;
 Road_Button30.Pen_Color = 0x0000;
 Road_Button30.Visible = 1;
 Road_Button30.Active = 1;
 Road_Button30.Transparent = 1;
 Road_Button30.Caption = Road_Button30_Caption;
 Road_Button30.TextAlign = _taCenter;
 Road_Button30.FontName = Tahoma13x13_Bold;
 Road_Button30.PressColEnabled = 1;
 Road_Button30.Font_Color = 0x0000;
 Road_Button30.Gradient = 1;
 Road_Button30.Gradient_Orientation = 0;
 Road_Button30.Gradient_Start_Color = 0x87F0;
 Road_Button30.Gradient_End_Color = 0x0400;
 Road_Button30.Color = 0xC618;
 Road_Button30.Press_Color = 0xC618;
 Road_Button30.OnUpPtr = 0;
 Road_Button30.OnDownPtr = 0;
 Road_Button30.OnClickPtr = Road_Button30Click;
 Road_Button30.OnPressPtr = 0;

 Road_Button31.OwnerScreen = &Road;
 Road_Button31.Order = 30;
 Road_Button31.Left = 60;
 Road_Button31.Top = 117;
 Road_Button31.Width = 28;
 Road_Button31.Height = 16;
 Road_Button31.Pen_Width = 1;
 Road_Button31.Pen_Color = 0x0000;
 Road_Button31.Visible = 1;
 Road_Button31.Active = 1;
 Road_Button31.Transparent = 1;
 Road_Button31.Caption = Road_Button31_Caption;
 Road_Button31.TextAlign = _taCenter;
 Road_Button31.FontName = Tahoma13x13_Bold;
 Road_Button31.PressColEnabled = 1;
 Road_Button31.Font_Color = 0x0000;
 Road_Button31.Gradient = 1;
 Road_Button31.Gradient_Orientation = 0;
 Road_Button31.Gradient_Start_Color = 0x87F0;
 Road_Button31.Gradient_End_Color = 0x0400;
 Road_Button31.Color = 0xC618;
 Road_Button31.Press_Color = 0xC618;
 Road_Button31.OnUpPtr = 0;
 Road_Button31.OnDownPtr = 0;
 Road_Button31.OnClickPtr = Road_Button31Click;
 Road_Button31.OnPressPtr = 0;

 Road_Button32.OwnerScreen = &Road;
 Road_Button32.Order = 31;
 Road_Button32.Left = 88;
 Road_Button32.Top = 117;
 Road_Button32.Width = 28;
 Road_Button32.Height = 16;
 Road_Button32.Pen_Width = 1;
 Road_Button32.Pen_Color = 0x0000;
 Road_Button32.Visible = 1;
 Road_Button32.Active = 1;
 Road_Button32.Transparent = 1;
 Road_Button32.Caption = Road_Button32_Caption;
 Road_Button32.TextAlign = _taCenter;
 Road_Button32.FontName = Tahoma13x13_Bold;
 Road_Button32.PressColEnabled = 1;
 Road_Button32.Font_Color = 0x0000;
 Road_Button32.Gradient = 1;
 Road_Button32.Gradient_Orientation = 0;
 Road_Button32.Gradient_Start_Color = 0x87F0;
 Road_Button32.Gradient_End_Color = 0x0400;
 Road_Button32.Color = 0xC618;
 Road_Button32.Press_Color = 0xC618;
 Road_Button32.OnUpPtr = 0;
 Road_Button32.OnDownPtr = 0;
 Road_Button32.OnClickPtr = Road_Button32Click;
 Road_Button32.OnPressPtr = 0;

 Road_Button33.OwnerScreen = &Road;
 Road_Button33.Order = 32;
 Road_Button33.Left = 4;
 Road_Button33.Top = 133;
 Road_Button33.Width = 28;
 Road_Button33.Height = 16;
 Road_Button33.Pen_Width = 1;
 Road_Button33.Pen_Color = 0x0000;
 Road_Button33.Visible = 1;
 Road_Button33.Active = 1;
 Road_Button33.Transparent = 1;
 Road_Button33.Caption = Road_Button33_Caption;
 Road_Button33.TextAlign = _taCenter;
 Road_Button33.FontName = Tahoma13x13_Bold;
 Road_Button33.PressColEnabled = 1;
 Road_Button33.Font_Color = 0x0000;
 Road_Button33.Gradient = 1;
 Road_Button33.Gradient_Orientation = 0;
 Road_Button33.Gradient_Start_Color = 0x87F0;
 Road_Button33.Gradient_End_Color = 0x0400;
 Road_Button33.Color = 0xC618;
 Road_Button33.Press_Color = 0xC618;
 Road_Button33.OnUpPtr = 0;
 Road_Button33.OnDownPtr = 0;
 Road_Button33.OnClickPtr = Road_Button33Click;
 Road_Button33.OnPressPtr = 0;

 Road_Button34.OwnerScreen = &Road;
 Road_Button34.Order = 33;
 Road_Button34.Left = 32;
 Road_Button34.Top = 133;
 Road_Button34.Width = 33;
 Road_Button34.Height = 16;
 Road_Button34.Pen_Width = 1;
 Road_Button34.Pen_Color = 0x0000;
 Road_Button34.Visible = 1;
 Road_Button34.Active = 1;
 Road_Button34.Transparent = 1;
 Road_Button34.Caption = Road_Button34_Caption;
 Road_Button34.TextAlign = _taCenter;
 Road_Button34.FontName = Tahoma13x13_Bold;
 Road_Button34.PressColEnabled = 1;
 Road_Button34.Font_Color = 0x0000;
 Road_Button34.Gradient = 1;
 Road_Button34.Gradient_Orientation = 0;
 Road_Button34.Gradient_Start_Color = 0x87F0;
 Road_Button34.Gradient_End_Color = 0x0400;
 Road_Button34.Color = 0xC618;
 Road_Button34.Press_Color = 0xC618;
 Road_Button34.OnUpPtr = 0;
 Road_Button34.OnDownPtr = 0;
 Road_Button34.OnClickPtr = Road_Button34Click;
 Road_Button34.OnPressPtr = 0;

 Road_Button35.OwnerScreen = &Road;
 Road_Button35.Order = 34;
 Road_Button35.Left = 60;
 Road_Button35.Top = 133;
 Road_Button35.Width = 28;
 Road_Button35.Height = 16;
 Road_Button35.Pen_Width = 1;
 Road_Button35.Pen_Color = 0x0000;
 Road_Button35.Visible = 1;
 Road_Button35.Active = 1;
 Road_Button35.Transparent = 1;
 Road_Button35.Caption = Road_Button35_Caption;
 Road_Button35.TextAlign = _taCenter;
 Road_Button35.FontName = Tahoma13x13_Bold;
 Road_Button35.PressColEnabled = 1;
 Road_Button35.Font_Color = 0x0000;
 Road_Button35.Gradient = 1;
 Road_Button35.Gradient_Orientation = 0;
 Road_Button35.Gradient_Start_Color = 0x87F0;
 Road_Button35.Gradient_End_Color = 0x0400;
 Road_Button35.Color = 0xC618;
 Road_Button35.Press_Color = 0xC618;
 Road_Button35.OnUpPtr = 0;
 Road_Button35.OnDownPtr = 0;
 Road_Button35.OnClickPtr = Road_Button35Click;
 Road_Button35.OnPressPtr = 0;

 Road_Button36.OwnerScreen = &Road;
 Road_Button36.Order = 35;
 Road_Button36.Left = 88;
 Road_Button36.Top = 133;
 Road_Button36.Width = 28;
 Road_Button36.Height = 16;
 Road_Button36.Pen_Width = 1;
 Road_Button36.Pen_Color = 0x0000;
 Road_Button36.Visible = 1;
 Road_Button36.Active = 1;
 Road_Button36.Transparent = 1;
 Road_Button36.Caption = Road_Button36_Caption;
 Road_Button36.TextAlign = _taCenter;
 Road_Button36.FontName = Tahoma13x13_Bold;
 Road_Button36.PressColEnabled = 1;
 Road_Button36.Font_Color = 0x0000;
 Road_Button36.Gradient = 1;
 Road_Button36.Gradient_Orientation = 0;
 Road_Button36.Gradient_Start_Color = 0x87F0;
 Road_Button36.Gradient_End_Color = 0x0400;
 Road_Button36.Color = 0xC618;
 Road_Button36.Press_Color = 0xC618;
 Road_Button36.OnUpPtr = 0;
 Road_Button36.OnDownPtr = 0;
 Road_Button36.OnClickPtr = Road_Button36Click;
 Road_Button36.OnPressPtr = 0;

 Road_Button37.OwnerScreen = &Road;
 Road_Button37.Order = 36;
 Road_Button37.Left = 204;
 Road_Button37.Top = 101;
 Road_Button37.Width = 28;
 Road_Button37.Height = 16;
 Road_Button37.Pen_Width = 1;
 Road_Button37.Pen_Color = 0x0000;
 Road_Button37.Visible = 1;
 Road_Button37.Active = 1;
 Road_Button37.Transparent = 1;
 Road_Button37.Caption = Road_Button37_Caption;
 Road_Button37.TextAlign = _taCenter;
 Road_Button37.FontName = Tahoma13x13_Bold;
 Road_Button37.PressColEnabled = 1;
 Road_Button37.Font_Color = 0x0000;
 Road_Button37.Gradient = 1;
 Road_Button37.Gradient_Orientation = 0;
 Road_Button37.Gradient_Start_Color = 0x87F0;
 Road_Button37.Gradient_End_Color = 0x0400;
 Road_Button37.Color = 0xC618;
 Road_Button37.Press_Color = 0xC618;
 Road_Button37.OnUpPtr = 0;
 Road_Button37.OnDownPtr = 0;
 Road_Button37.OnClickPtr = Road_Button37Click;
 Road_Button37.OnPressPtr = 0;

 Road_Button38.OwnerScreen = &Road;
 Road_Button38.Order = 37;
 Road_Button38.Left = 232;
 Road_Button38.Top = 101;
 Road_Button38.Width = 28;
 Road_Button38.Height = 16;
 Road_Button38.Pen_Width = 1;
 Road_Button38.Pen_Color = 0x0000;
 Road_Button38.Visible = 1;
 Road_Button38.Active = 1;
 Road_Button38.Transparent = 1;
 Road_Button38.Caption = Road_Button38_Caption;
 Road_Button38.TextAlign = _taCenter;
 Road_Button38.FontName = Tahoma13x13_Bold;
 Road_Button38.PressColEnabled = 1;
 Road_Button38.Font_Color = 0x0000;
 Road_Button38.Gradient = 1;
 Road_Button38.Gradient_Orientation = 0;
 Road_Button38.Gradient_Start_Color = 0x87F0;
 Road_Button38.Gradient_End_Color = 0x0400;
 Road_Button38.Color = 0xC618;
 Road_Button38.Press_Color = 0xC618;
 Road_Button38.OnUpPtr = 0;
 Road_Button38.OnDownPtr = 0;
 Road_Button38.OnClickPtr = Road_Button38Click;
 Road_Button38.OnPressPtr = 0;

 Road_Button39.OwnerScreen = &Road;
 Road_Button39.Order = 38;
 Road_Button39.Left = 260;
 Road_Button39.Top = 101;
 Road_Button39.Width = 28;
 Road_Button39.Height = 16;
 Road_Button39.Pen_Width = 1;
 Road_Button39.Pen_Color = 0x0000;
 Road_Button39.Visible = 1;
 Road_Button39.Active = 1;
 Road_Button39.Transparent = 1;
 Road_Button39.Caption = Road_Button39_Caption;
 Road_Button39.TextAlign = _taCenter;
 Road_Button39.FontName = Tahoma13x13_Bold;
 Road_Button39.PressColEnabled = 1;
 Road_Button39.Font_Color = 0x0000;
 Road_Button39.Gradient = 1;
 Road_Button39.Gradient_Orientation = 0;
 Road_Button39.Gradient_Start_Color = 0x87F0;
 Road_Button39.Gradient_End_Color = 0x0400;
 Road_Button39.Color = 0xC618;
 Road_Button39.Press_Color = 0xC618;
 Road_Button39.OnUpPtr = 0;
 Road_Button39.OnDownPtr = 0;
 Road_Button39.OnClickPtr = Road_Button39Click;
 Road_Button39.OnPressPtr = 0;

 Road_Button40.OwnerScreen = &Road;
 Road_Button40.Order = 39;
 Road_Button40.Left = 288;
 Road_Button40.Top = 101;
 Road_Button40.Width = 28;
 Road_Button40.Height = 16;
 Road_Button40.Pen_Width = 1;
 Road_Button40.Pen_Color = 0x0000;
 Road_Button40.Visible = 1;
 Road_Button40.Active = 1;
 Road_Button40.Transparent = 1;
 Road_Button40.Caption = Road_Button40_Caption;
 Road_Button40.TextAlign = _taCenter;
 Road_Button40.FontName = Tahoma13x13_Bold;
 Road_Button40.PressColEnabled = 1;
 Road_Button40.Font_Color = 0x0000;
 Road_Button40.Gradient = 1;
 Road_Button40.Gradient_Orientation = 0;
 Road_Button40.Gradient_Start_Color = 0x87F0;
 Road_Button40.Gradient_End_Color = 0x0400;
 Road_Button40.Color = 0xC618;
 Road_Button40.Press_Color = 0xC618;
 Road_Button40.OnUpPtr = 0;
 Road_Button40.OnDownPtr = 0;
 Road_Button40.OnClickPtr = Road_Button40Click;
 Road_Button40.OnPressPtr = 0;

 Road_Button41.OwnerScreen = &Road;
 Road_Button41.Order = 40;
 Road_Button41.Left = 204;
 Road_Button41.Top = 117;
 Road_Button41.Width = 28;
 Road_Button41.Height = 16;
 Road_Button41.Pen_Width = 1;
 Road_Button41.Pen_Color = 0x0000;
 Road_Button41.Visible = 1;
 Road_Button41.Active = 1;
 Road_Button41.Transparent = 1;
 Road_Button41.Caption = Road_Button41_Caption;
 Road_Button41.TextAlign = _taCenter;
 Road_Button41.FontName = Tahoma13x13_Bold;
 Road_Button41.PressColEnabled = 1;
 Road_Button41.Font_Color = 0x0000;
 Road_Button41.Gradient = 1;
 Road_Button41.Gradient_Orientation = 0;
 Road_Button41.Gradient_Start_Color = 0x87F0;
 Road_Button41.Gradient_End_Color = 0x0400;
 Road_Button41.Color = 0xC618;
 Road_Button41.Press_Color = 0xC618;
 Road_Button41.OnUpPtr = 0;
 Road_Button41.OnDownPtr = 0;
 Road_Button41.OnClickPtr = Road_Button41Click;
 Road_Button41.OnPressPtr = 0;

 Road_Button42.OwnerScreen = &Road;
 Road_Button42.Order = 41;
 Road_Button42.Left = 232;
 Road_Button42.Top = 117;
 Road_Button42.Width = 28;
 Road_Button42.Height = 16;
 Road_Button42.Pen_Width = 1;
 Road_Button42.Pen_Color = 0x0000;
 Road_Button42.Visible = 1;
 Road_Button42.Active = 1;
 Road_Button42.Transparent = 1;
 Road_Button42.Caption = Road_Button42_Caption;
 Road_Button42.TextAlign = _taCenter;
 Road_Button42.FontName = Tahoma13x13_Bold;
 Road_Button42.PressColEnabled = 1;
 Road_Button42.Font_Color = 0x0000;
 Road_Button42.Gradient = 1;
 Road_Button42.Gradient_Orientation = 0;
 Road_Button42.Gradient_Start_Color = 0x87F0;
 Road_Button42.Gradient_End_Color = 0x0400;
 Road_Button42.Color = 0xC618;
 Road_Button42.Press_Color = 0xC618;
 Road_Button42.OnUpPtr = 0;
 Road_Button42.OnDownPtr = 0;
 Road_Button42.OnClickPtr = Road_Button42Click;
 Road_Button42.OnPressPtr = 0;

 Road_Button43.OwnerScreen = &Road;
 Road_Button43.Order = 42;
 Road_Button43.Left = 260;
 Road_Button43.Top = 117;
 Road_Button43.Width = 28;
 Road_Button43.Height = 16;
 Road_Button43.Pen_Width = 1;
 Road_Button43.Pen_Color = 0x0000;
 Road_Button43.Visible = 1;
 Road_Button43.Active = 1;
 Road_Button43.Transparent = 1;
 Road_Button43.Caption = Road_Button43_Caption;
 Road_Button43.TextAlign = _taCenter;
 Road_Button43.FontName = Tahoma13x13_Bold;
 Road_Button43.PressColEnabled = 1;
 Road_Button43.Font_Color = 0x0000;
 Road_Button43.Gradient = 1;
 Road_Button43.Gradient_Orientation = 0;
 Road_Button43.Gradient_Start_Color = 0x87F0;
 Road_Button43.Gradient_End_Color = 0x0400;
 Road_Button43.Color = 0xC618;
 Road_Button43.Press_Color = 0xC618;
 Road_Button43.OnUpPtr = 0;
 Road_Button43.OnDownPtr = 0;
 Road_Button43.OnClickPtr = Road_Button43Click;
 Road_Button43.OnPressPtr = 0;

 Road_Button44.OwnerScreen = &Road;
 Road_Button44.Order = 43;
 Road_Button44.Left = 288;
 Road_Button44.Top = 117;
 Road_Button44.Width = 28;
 Road_Button44.Height = 16;
 Road_Button44.Pen_Width = 1;
 Road_Button44.Pen_Color = 0x0000;
 Road_Button44.Visible = 1;
 Road_Button44.Active = 1;
 Road_Button44.Transparent = 1;
 Road_Button44.Caption = Road_Button44_Caption;
 Road_Button44.TextAlign = _taCenter;
 Road_Button44.FontName = Tahoma13x13_Bold;
 Road_Button44.PressColEnabled = 1;
 Road_Button44.Font_Color = 0x0000;
 Road_Button44.Gradient = 1;
 Road_Button44.Gradient_Orientation = 0;
 Road_Button44.Gradient_Start_Color = 0x87F0;
 Road_Button44.Gradient_End_Color = 0x0400;
 Road_Button44.Color = 0xC618;
 Road_Button44.Press_Color = 0xC618;
 Road_Button44.OnUpPtr = 0;
 Road_Button44.OnDownPtr = 0;
 Road_Button44.OnClickPtr = Road_Button44Click;
 Road_Button44.OnPressPtr = 0;

 Road_Button45.OwnerScreen = &Road;
 Road_Button45.Order = 44;
 Road_Button45.Left = 204;
 Road_Button45.Top = 133;
 Road_Button45.Width = 28;
 Road_Button45.Height = 16;
 Road_Button45.Pen_Width = 1;
 Road_Button45.Pen_Color = 0x0000;
 Road_Button45.Visible = 1;
 Road_Button45.Active = 1;
 Road_Button45.Transparent = 1;
 Road_Button45.Caption = Road_Button45_Caption;
 Road_Button45.TextAlign = _taCenter;
 Road_Button45.FontName = Tahoma13x13_Bold;
 Road_Button45.PressColEnabled = 1;
 Road_Button45.Font_Color = 0x0000;
 Road_Button45.Gradient = 1;
 Road_Button45.Gradient_Orientation = 0;
 Road_Button45.Gradient_Start_Color = 0x87F0;
 Road_Button45.Gradient_End_Color = 0x0400;
 Road_Button45.Color = 0xC618;
 Road_Button45.Press_Color = 0xC618;
 Road_Button45.OnUpPtr = 0;
 Road_Button45.OnDownPtr = 0;
 Road_Button45.OnClickPtr = Road_Button45Click;
 Road_Button45.OnPressPtr = 0;

 Road_Button46.OwnerScreen = &Road;
 Road_Button46.Order = 45;
 Road_Button46.Left = 232;
 Road_Button46.Top = 133;
 Road_Button46.Width = 28;
 Road_Button46.Height = 16;
 Road_Button46.Pen_Width = 1;
 Road_Button46.Pen_Color = 0x0000;
 Road_Button46.Visible = 1;
 Road_Button46.Active = 1;
 Road_Button46.Transparent = 1;
 Road_Button46.Caption = Road_Button46_Caption;
 Road_Button46.TextAlign = _taCenter;
 Road_Button46.FontName = Tahoma13x13_Bold;
 Road_Button46.PressColEnabled = 1;
 Road_Button46.Font_Color = 0x0000;
 Road_Button46.Gradient = 1;
 Road_Button46.Gradient_Orientation = 0;
 Road_Button46.Gradient_Start_Color = 0x87F0;
 Road_Button46.Gradient_End_Color = 0x0400;
 Road_Button46.Color = 0xC618;
 Road_Button46.Press_Color = 0xC618;
 Road_Button46.OnUpPtr = 0;
 Road_Button46.OnDownPtr = 0;
 Road_Button46.OnClickPtr = Road_Button46Click;
 Road_Button46.OnPressPtr = 0;

 Road_Button47.OwnerScreen = &Road;
 Road_Button47.Order = 46;
 Road_Button47.Left = 260;
 Road_Button47.Top = 133;
 Road_Button47.Width = 28;
 Road_Button47.Height = 16;
 Road_Button47.Pen_Width = 1;
 Road_Button47.Pen_Color = 0x0000;
 Road_Button47.Visible = 1;
 Road_Button47.Active = 1;
 Road_Button47.Transparent = 1;
 Road_Button47.Caption = Road_Button47_Caption;
 Road_Button47.TextAlign = _taCenter;
 Road_Button47.FontName = Tahoma13x13_Bold;
 Road_Button47.PressColEnabled = 1;
 Road_Button47.Font_Color = 0x0000;
 Road_Button47.Gradient = 1;
 Road_Button47.Gradient_Orientation = 0;
 Road_Button47.Gradient_Start_Color = 0x87F0;
 Road_Button47.Gradient_End_Color = 0x0400;
 Road_Button47.Color = 0xC618;
 Road_Button47.Press_Color = 0xC618;
 Road_Button47.OnUpPtr = 0;
 Road_Button47.OnDownPtr = 0;
 Road_Button47.OnClickPtr = Road_Button47Click;
 Road_Button47.OnPressPtr = 0;

 Road_Button48.OwnerScreen = &Road;
 Road_Button48.Order = 47;
 Road_Button48.Left = 288;
 Road_Button48.Top = 133;
 Road_Button48.Width = 28;
 Road_Button48.Height = 16;
 Road_Button48.Pen_Width = 1;
 Road_Button48.Pen_Color = 0x0000;
 Road_Button48.Visible = 1;
 Road_Button48.Active = 1;
 Road_Button48.Transparent = 1;
 Road_Button48.Caption = Road_Button48_Caption;
 Road_Button48.TextAlign = _taCenter;
 Road_Button48.FontName = Tahoma13x13_Bold;
 Road_Button48.PressColEnabled = 1;
 Road_Button48.Font_Color = 0x0000;
 Road_Button48.Gradient = 1;
 Road_Button48.Gradient_Orientation = 0;
 Road_Button48.Gradient_Start_Color = 0x87F0;
 Road_Button48.Gradient_End_Color = 0x0400;
 Road_Button48.Color = 0xC618;
 Road_Button48.Press_Color = 0xC618;
 Road_Button48.OnUpPtr = 0;
 Road_Button48.OnDownPtr = 0;
 Road_Button48.OnClickPtr = Road_Button48Click;
 Road_Button48.OnPressPtr = 0;

 Road_ButtonRound1.OwnerScreen = &Road;
 Road_ButtonRound1.Order = 48;
 Road_ButtonRound1.Left = 40;
 Road_ButtonRound1.Top = 3;
 Road_ButtonRound1.Width = 176;
 Road_ButtonRound1.Height = 22;
 Road_ButtonRound1.Pen_Width = 5;
 Road_ButtonRound1.Pen_Color = 0xF800;
 Road_ButtonRound1.Visible = 1;
 Road_ButtonRound1.Active = 1;
 Road_ButtonRound1.Transparent = 1;
 Road_ButtonRound1.Caption = Road_ButtonRound1_Caption;
 Road_ButtonRound1.TextAlign = _taCenter;
 Road_ButtonRound1.FontName = Tahoma13x13_Bold;
 Road_ButtonRound1.PressColEnabled = 0;
 Road_ButtonRound1.Font_Color = 0x0000;
 Road_ButtonRound1.Gradient = 0;
 Road_ButtonRound1.Gradient_Orientation = 0;
 Road_ButtonRound1.Gradient_Start_Color = 0xFFFF;
 Road_ButtonRound1.Gradient_End_Color = 0xC618;
 Road_ButtonRound1.Color = 0xC618;
 Road_ButtonRound1.Press_Color = 0x8410;
 Road_ButtonRound1.Corner_Radius = 3;
 Road_ButtonRound1.OnUpPtr = 0;
 Road_ButtonRound1.OnDownPtr = 0;
 Road_ButtonRound1.OnClickPtr = 0;
 Road_ButtonRound1.OnPressPtr = 0;

 Road_Label1.OwnerScreen = &Road;
 Road_Label1.Order = 49;
 Road_Label1.Left = 87;
 Road_Label1.Top = 84;
 Road_Label1.Width = 22;
 Road_Label1.Height = 15;
 Road_Label1.Visible = 1;
 Road_Label1.Active = 1;
 Road_Label1.Caption = Road_Label1_Caption;
 Road_Label1.FontName = Tahoma11x13_Regular;
 Road_Label1.Font_Color = 0x0000;
 Road_Label1.OnUpPtr = 0;
 Road_Label1.OnDownPtr = 0;
 Road_Label1.OnClickPtr = 0;
 Road_Label1.OnPressPtr = 0;

 Road_Label2.OwnerScreen = &Road;
 Road_Label2.Order = 50;
 Road_Label2.Left = 77;
 Road_Label2.Top = 68;
 Road_Label2.Width = 33;
 Road_Label2.Height = 15;
 Road_Label2.Visible = 1;
 Road_Label2.Active = 1;
 Road_Label2.Caption = Road_Label2_Caption;
 Road_Label2.FontName = Tahoma11x13_Regular;
 Road_Label2.Font_Color = 0x0000;
 Road_Label2.OnUpPtr = 0;
 Road_Label2.OnDownPtr = 0;
 Road_Label2.OnClickPtr = 0;
 Road_Label2.OnPressPtr = 0;

 Road_Label3.OwnerScreen = &Road;
 Road_Label3.Order = 51;
 Road_Label3.Left = 75;
 Road_Label3.Top = 53;
 Road_Label3.Width = 36;
 Road_Label3.Height = 15;
 Road_Label3.Visible = 1;
 Road_Label3.Active = 1;
 Road_Label3.Caption = Road_Label3_Caption;
 Road_Label3.FontName = Tahoma11x13_Regular;
 Road_Label3.Font_Color = 0x0000;
 Road_Label3.OnUpPtr = 0;
 Road_Label3.OnDownPtr = 0;
 Road_Label3.OnClickPtr = 0;
 Road_Label3.OnPressPtr = 0;

 Road_Label4.OwnerScreen = &Road;
 Road_Label4.Order = 52;
 Road_Label4.Left = 54;
 Road_Label4.Top = 36;
 Road_Label4.Width = 57;
 Road_Label4.Height = 15;
 Road_Label4.Visible = 1;
 Road_Label4.Active = 1;
 Road_Label4.Caption = Road_Label4_Caption;
 Road_Label4.FontName = Tahoma11x13_Regular;
 Road_Label4.Font_Color = 0x0000;
 Road_Label4.OnUpPtr = 0;
 Road_Label4.OnDownPtr = 0;
 Road_Label4.OnClickPtr = 0;
 Road_Label4.OnPressPtr = 0;

 Road_Line1.OwnerScreen = &Road;
 Road_Line1.Order = 53;
 Road_Line1.First_Point_X = 54;
 Road_Line1.First_Point_Y = 41;
 Road_Line1.Second_Point_X = 19;
 Road_Line1.Second_Point_Y = 41;
 Road_Line1.Visible = 1;
 Road_Line1.Pen_Width = 1;
 Road_Line1.Color = 0x0000;

 Road_Line2.OwnerScreen = &Road;
 Road_Line2.Order = 54;
 Road_Line2.First_Point_X = 19;
 Road_Line2.First_Point_Y = 41;
 Road_Line2.Second_Point_X = 19;
 Road_Line2.Second_Point_Y = 97;
 Road_Line2.Visible = 1;
 Road_Line2.Pen_Width = 1;
 Road_Line2.Color = 0x0000;

 Road_Line3.OwnerScreen = &Road;
 Road_Line3.Order = 55;
 Road_Line3.First_Point_X = 47;
 Road_Line3.First_Point_Y = 59;
 Road_Line3.Second_Point_X = 76;
 Road_Line3.Second_Point_Y = 59;
 Road_Line3.Visible = 1;
 Road_Line3.Pen_Width = 1;
 Road_Line3.Color = 0x0000;

 Road_Line4.OwnerScreen = &Road;
 Road_Line4.Order = 56;
 Road_Line4.First_Point_X = 47;
 Road_Line4.First_Point_Y = 59;
 Road_Line4.Second_Point_X = 47;
 Road_Line4.Second_Point_Y = 97;
 Road_Line4.Visible = 1;
 Road_Line4.Pen_Width = 1;
 Road_Line4.Color = 0x0000;

 Road_Line5.OwnerScreen = &Road;
 Road_Line5.Order = 57;
 Road_Line5.First_Point_X = 73;
 Road_Line5.First_Point_Y = 75;
 Road_Line5.Second_Point_X = 78;
 Road_Line5.Second_Point_Y = 75;
 Road_Line5.Visible = 1;
 Road_Line5.Pen_Width = 1;
 Road_Line5.Color = 0x0000;

 Road_Line6.OwnerScreen = &Road;
 Road_Line6.Order = 58;
 Road_Line6.First_Point_X = 73;
 Road_Line6.First_Point_Y = 75;
 Road_Line6.Second_Point_X = 73;
 Road_Line6.Second_Point_Y = 97;
 Road_Line6.Visible = 1;
 Road_Line6.Pen_Width = 1;
 Road_Line6.Color = 0x0000;

 Road_Label5.OwnerScreen = &Road;
 Road_Label5.Order = 59;
 Road_Label5.Left = 204;
 Road_Label5.Top = 155;
 Road_Label5.Width = 22;
 Road_Label5.Height = 15;
 Road_Label5.Visible = 1;
 Road_Label5.Active = 1;
 Road_Label5.Caption = Road_Label5_Caption;
 Road_Label5.FontName = Tahoma11x13_Regular;
 Road_Label5.Font_Color = 0x0000;
 Road_Label5.OnUpPtr = 0;
 Road_Label5.OnDownPtr = 0;
 Road_Label5.OnClickPtr = 0;
 Road_Label5.OnPressPtr = 0;

 Road_Label6.OwnerScreen = &Road;
 Road_Label6.Order = 60;
 Road_Label6.Left = 204;
 Road_Label6.Top = 171;
 Road_Label6.Width = 33;
 Road_Label6.Height = 15;
 Road_Label6.Visible = 1;
 Road_Label6.Active = 1;
 Road_Label6.Caption = Road_Label6_Caption;
 Road_Label6.FontName = Tahoma11x13_Regular;
 Road_Label6.Font_Color = 0x0000;
 Road_Label6.OnUpPtr = 0;
 Road_Label6.OnDownPtr = 0;
 Road_Label6.OnClickPtr = 0;
 Road_Label6.OnPressPtr = 0;

 Road_Label7.OwnerScreen = &Road;
 Road_Label7.Order = 61;
 Road_Label7.Left = 204;
 Road_Label7.Top = 186;
 Road_Label7.Width = 36;
 Road_Label7.Height = 15;
 Road_Label7.Visible = 1;
 Road_Label7.Active = 1;
 Road_Label7.Caption = Road_Label7_Caption;
 Road_Label7.FontName = Tahoma11x13_Regular;
 Road_Label7.Font_Color = 0x0000;
 Road_Label7.OnUpPtr = 0;
 Road_Label7.OnDownPtr = 0;
 Road_Label7.OnClickPtr = 0;
 Road_Label7.OnPressPtr = 0;

 Road_Label8.OwnerScreen = &Road;
 Road_Label8.Order = 62;
 Road_Label8.Left = 204;
 Road_Label8.Top = 203;
 Road_Label8.Width = 57;
 Road_Label8.Height = 15;
 Road_Label8.Visible = 1;
 Road_Label8.Active = 1;
 Road_Label8.Caption = Road_Label8_Caption;
 Road_Label8.FontName = Tahoma11x13_Regular;
 Road_Label8.Font_Color = 0x0000;
 Road_Label8.OnUpPtr = 0;
 Road_Label8.OnDownPtr = 0;
 Road_Label8.OnClickPtr = 0;
 Road_Label8.OnPressPtr = 0;

 Road_Line7.OwnerScreen = &Road;
 Road_Line7.Order = 63;
 Road_Line7.First_Point_X = 302;
 Road_Line7.First_Point_Y = 153;
 Road_Line7.Second_Point_X = 302;
 Road_Line7.Second_Point_Y = 209;
 Road_Line7.Visible = 1;
 Road_Line7.Pen_Width = 1;
 Road_Line7.Color = 0x0000;

 Road_Line8.OwnerScreen = &Road;
 Road_Line8.Order = 64;
 Road_Line8.First_Point_X = 302;
 Road_Line8.First_Point_Y = 209;
 Road_Line8.Second_Point_X = 267;
 Road_Line8.Second_Point_Y = 209;
 Road_Line8.Visible = 1;
 Road_Line8.Pen_Width = 1;
 Road_Line8.Color = 0x0000;

 Road_Line9.OwnerScreen = &Road;
 Road_Line9.Order = 65;
 Road_Line9.First_Point_X = 274;
 Road_Line9.First_Point_Y = 153;
 Road_Line9.Second_Point_X = 274;
 Road_Line9.Second_Point_Y = 192;
 Road_Line9.Visible = 1;
 Road_Line9.Pen_Width = 1;
 Road_Line9.Color = 0x0000;

 Road_Line10.OwnerScreen = &Road;
 Road_Line10.Order = 66;
 Road_Line10.First_Point_X = 246;
 Road_Line10.First_Point_Y = 192;
 Road_Line10.Second_Point_X = 274;
 Road_Line10.Second_Point_Y = 192;
 Road_Line10.Visible = 1;
 Road_Line10.Pen_Width = 1;
 Road_Line10.Color = 0x0000;

 Road_Line11.OwnerScreen = &Road;
 Road_Line11.Order = 67;
 Road_Line11.First_Point_X = 247;
 Road_Line11.First_Point_Y = 153;
 Road_Line11.Second_Point_X = 247;
 Road_Line11.Second_Point_Y = 176;
 Road_Line11.Visible = 1;
 Road_Line11.Pen_Width = 1;
 Road_Line11.Color = 0x0000;

 Road_Line12.OwnerScreen = &Road;
 Road_Line12.Order = 68;
 Road_Line12.First_Point_X = 242;
 Road_Line12.First_Point_Y = 176;
 Road_Line12.Second_Point_X = 247;
 Road_Line12.Second_Point_Y = 176;
 Road_Line12.Visible = 1;
 Road_Line12.Pen_Width = 1;
 Road_Line12.Color = 0x0000;

 Road_CircleButton1.OwnerScreen = &Road;
 Road_CircleButton1.Order = 69;
 Road_CircleButton1.Left = 16;
 Road_CircleButton1.Top = 160;
 Road_CircleButton1.Radius = 8;
 Road_CircleButton1.Pen_Width = 3;
 Road_CircleButton1.Pen_Color = 0x801F;
 Road_CircleButton1.Visible = 1;
 Road_CircleButton1.Active = 1;
 Road_CircleButton1.Transparent = 1;
 Road_CircleButton1.Caption = Road_CircleButton1_Caption;
 Road_CircleButton1.TextAlign = _taCenter;
 Road_CircleButton1.FontName = Tahoma11x13_Regular;
 Road_CircleButton1.PressColEnabled = 1;
 Road_CircleButton1.Font_Color = 0x0000;
 Road_CircleButton1.Gradient = 1;
 Road_CircleButton1.Gradient_Orientation = 0;
 Road_CircleButton1.Gradient_Start_Color = 0xF800;
 Road_CircleButton1.Gradient_End_Color = 0xC618;
 Road_CircleButton1.Color = 0xC618;
 Road_CircleButton1.Press_Color = 0xC618;
 Road_CircleButton1.OnUpPtr = 0;
 Road_CircleButton1.OnDownPtr = 0;
 Road_CircleButton1.OnClickPtr = Road_CircleButton1Click;
 Road_CircleButton1.OnPressPtr = 0;

 Road_Label9.OwnerScreen = &Road;
 Road_Label9.Order = 70;
 Road_Label9.Left = 38;
 Road_Label9.Top = 162;
 Road_Label9.Width = 29;
 Road_Label9.Height = 15;
 Road_Label9.Visible = 1;
 Road_Label9.Active = 1;
 Road_Label9.Caption = Road_Label9_Caption;
 Road_Label9.FontName = Tahoma11x13_Regular;
 Road_Label9.Font_Color = 0x0000;
 Road_Label9.OnUpPtr = 0;
 Road_Label9.OnDownPtr = 0;
 Road_Label9.OnClickPtr = 0;
 Road_Label9.OnPressPtr = 0;

 Road_CircleButton2.OwnerScreen = &Road;
 Road_CircleButton2.Order = 71;
 Road_CircleButton2.Left = 16;
 Road_CircleButton2.Top = 186;
 Road_CircleButton2.Radius = 8;
 Road_CircleButton2.Pen_Width = 3;
 Road_CircleButton2.Pen_Color = 0x801F;
 Road_CircleButton2.Visible = 1;
 Road_CircleButton2.Active = 1;
 Road_CircleButton2.Transparent = 1;
 Road_CircleButton2.Caption = Road_CircleButton2_Caption;
 Road_CircleButton2.TextAlign = _taCenter;
 Road_CircleButton2.FontName = Tahoma11x13_Regular;
 Road_CircleButton2.PressColEnabled = 1;
 Road_CircleButton2.Font_Color = 0x0000;
 Road_CircleButton2.Gradient = 1;
 Road_CircleButton2.Gradient_Orientation = 0;
 Road_CircleButton2.Gradient_Start_Color = 0xFFFF;
 Road_CircleButton2.Gradient_End_Color = 0xC618;
 Road_CircleButton2.Color = 0xC618;
 Road_CircleButton2.Press_Color = 0xC618;
 Road_CircleButton2.OnUpPtr = 0;
 Road_CircleButton2.OnDownPtr = 0;
 Road_CircleButton2.OnClickPtr = Road_CircleButton2Click;
 Road_CircleButton2.OnPressPtr = 0;

 Road_Label10.OwnerScreen = &Road;
 Road_Label10.Order = 72;
 Road_Label10.Left = 38;
 Road_Label10.Top = 188;
 Road_Label10.Width = 24;
 Road_Label10.Height = 15;
 Road_Label10.Visible = 1;
 Road_Label10.Active = 1;
 Road_Label10.Caption = Road_Label10_Caption;
 Road_Label10.FontName = Tahoma11x13_Regular;
 Road_Label10.Font_Color = 0x0000;
 Road_Label10.OnUpPtr = 0;
 Road_Label10.OnDownPtr = 0;
 Road_Label10.OnClickPtr = 0;
 Road_Label10.OnPressPtr = 0;

 Road_CircleButton3.OwnerScreen = &Road;
 Road_CircleButton3.Order = 73;
 Road_CircleButton3.Left = 16;
 Road_CircleButton3.Top = 212;
 Road_CircleButton3.Radius = 8;
 Road_CircleButton3.Pen_Width = 3;
 Road_CircleButton3.Pen_Color = 0x801F;
 Road_CircleButton3.Visible = 1;
 Road_CircleButton3.Active = 1;
 Road_CircleButton3.Transparent = 1;
 Road_CircleButton3.Caption = Road_CircleButton3_Caption;
 Road_CircleButton3.TextAlign = _taCenter;
 Road_CircleButton3.FontName = Tahoma11x13_Regular;
 Road_CircleButton3.PressColEnabled = 1;
 Road_CircleButton3.Font_Color = 0x0000;
 Road_CircleButton3.Gradient = 1;
 Road_CircleButton3.Gradient_Orientation = 0;
 Road_CircleButton3.Gradient_Start_Color = 0xFFFF;
 Road_CircleButton3.Gradient_End_Color = 0xC618;
 Road_CircleButton3.Color = 0xC618;
 Road_CircleButton3.Press_Color = 0xC618;
 Road_CircleButton3.OnUpPtr = 0;
 Road_CircleButton3.OnDownPtr = 0;
 Road_CircleButton3.OnClickPtr = Road_CircleButton3Click;
 Road_CircleButton3.OnPressPtr = 0;

 Road_Label11.OwnerScreen = &Road;
 Road_Label11.Order = 74;
 Road_Label11.Left = 38;
 Road_Label11.Top = 214;
 Road_Label11.Width = 36;
 Road_Label11.Height = 15;
 Road_Label11.Visible = 1;
 Road_Label11.Active = 1;
 Road_Label11.Caption = Road_Label11_Caption;
 Road_Label11.FontName = Tahoma11x13_Regular;
 Road_Label11.Font_Color = 0x0000;
 Road_Label11.OnUpPtr = 0;
 Road_Label11.OnDownPtr = 0;
 Road_Label11.OnClickPtr = 0;
 Road_Label11.OnPressPtr = 0;

 Road_CircleButton4.OwnerScreen = &Road;
 Road_CircleButton4.Order = 75;
 Road_CircleButton4.Left = 7;
 Road_CircleButton4.Top = 3;
 Road_CircleButton4.Radius = 12;
 Road_CircleButton4.Pen_Width = 1;
 Road_CircleButton4.Pen_Color = 0x0000;
 Road_CircleButton4.Visible = 1;
 Road_CircleButton4.Active = 1;
 Road_CircleButton4.Transparent = 1;
 Road_CircleButton4.Caption = Road_CircleButton4_Caption;
 Road_CircleButton4.TextAlign = _taCenter;
 Road_CircleButton4.FontName = Tahoma19x19_Bold;
 Road_CircleButton4.PressColEnabled = 1;
 Road_CircleButton4.Font_Color = 0x0000;
 Road_CircleButton4.Gradient = 1;
 Road_CircleButton4.Gradient_Orientation = 0;
 Road_CircleButton4.Gradient_Start_Color = 0x001F;
 Road_CircleButton4.Gradient_End_Color = 0xC618;
 Road_CircleButton4.Color = 0xC618;
 Road_CircleButton4.Press_Color = 0x8410;
 Road_CircleButton4.OnUpPtr = 0;
 Road_CircleButton4.OnDownPtr = 0;
 Road_CircleButton4.OnClickPtr = Road_CircleButton4Click;
 Road_CircleButton4.OnPressPtr = 0;

 Road_CircleButton5.OwnerScreen = &Road;
 Road_CircleButton5.Order = 76;
 Road_CircleButton5.Left = 287;
 Road_CircleButton5.Top = 3;
 Road_CircleButton5.Radius = 12;
 Road_CircleButton5.Pen_Width = 1;
 Road_CircleButton5.Pen_Color = 0x0000;
 Road_CircleButton5.Visible = 1;
 Road_CircleButton5.Active = 1;
 Road_CircleButton5.Transparent = 1;
 Road_CircleButton5.Caption = Road_CircleButton5_Caption;
 Road_CircleButton5.TextAlign = _taCenter;
 Road_CircleButton5.FontName = Tahoma19x19_Bold;
 Road_CircleButton5.PressColEnabled = 1;
 Road_CircleButton5.Font_Color = 0x0000;
 Road_CircleButton5.Gradient = 1;
 Road_CircleButton5.Gradient_Orientation = 0;
 Road_CircleButton5.Gradient_Start_Color = 0x001F;
 Road_CircleButton5.Gradient_End_Color = 0xC618;
 Road_CircleButton5.Color = 0xC618;
 Road_CircleButton5.Press_Color = 0x8410;
 Road_CircleButton5.OnUpPtr = 0;
 Road_CircleButton5.OnDownPtr = 0;
 Road_CircleButton5.OnClickPtr = Road_CircleButton5Click;
 Road_CircleButton5.OnPressPtr = 0;

 Road_ButtonRound2.OwnerScreen = &Road;
 Road_ButtonRound2.Order = 77;
 Road_ButtonRound2.Left = 226;
 Road_ButtonRound2.Top = 3;
 Road_ButtonRound2.Width = 53;
 Road_ButtonRound2.Height = 22;
 Road_ButtonRound2.Pen_Width = 5;
 Road_ButtonRound2.Pen_Color = 0xF800;
 Road_ButtonRound2.Visible = 1;
 Road_ButtonRound2.Active = 1;
 Road_ButtonRound2.Transparent = 1;
 Road_ButtonRound2.Caption = Road_ButtonRound2_Caption;
 Road_ButtonRound2.TextAlign = _taCenter;
 Road_ButtonRound2.FontName = Tahoma13x13_Bold;
 Road_ButtonRound2.PressColEnabled = 0;
 Road_ButtonRound2.Font_Color = 0x0000;
 Road_ButtonRound2.Gradient = 0;
 Road_ButtonRound2.Gradient_Orientation = 0;
 Road_ButtonRound2.Gradient_Start_Color = 0xFFFF;
 Road_ButtonRound2.Gradient_End_Color = 0xC618;
 Road_ButtonRound2.Color = 0xC618;
 Road_ButtonRound2.Press_Color = 0x8410;
 Road_ButtonRound2.Corner_Radius = 3;
 Road_ButtonRound2.OnUpPtr = 0;
 Road_ButtonRound2.OnDownPtr = 0;
 Road_ButtonRound2.OnClickPtr = 0;
 Road_ButtonRound2.OnPressPtr = 0;

 Road_Button49.OwnerScreen = &Road;
 Road_Button49.Order = 78;
 Road_Button49.Left = 152;
 Road_Button49.Top = 100;
 Road_Button49.Width = 16;
 Road_Button49.Height = 18;
 Road_Button49.Pen_Width = 1;
 Road_Button49.Pen_Color = 0x0000;
 Road_Button49.Visible = 1;
 Road_Button49.Active = 1;
 Road_Button49.Transparent = 1;
 Road_Button49.Caption = Road_Button49_Caption;
 Road_Button49.TextAlign = _taCenter;
 Road_Button49.FontName = Tahoma13x13_Bold;
 Road_Button49.PressColEnabled = 1;
 Road_Button49.Font_Color = 0x0000;
 Road_Button49.Gradient = 0;
 Road_Button49.Gradient_Orientation = 0;
 Road_Button49.Gradient_Start_Color = 0xFFFF;
 Road_Button49.Gradient_End_Color = 0xF800;
 Road_Button49.Color = 0xFFE0;
 Road_Button49.Press_Color = 0xC618;
 Road_Button49.OnUpPtr = 0;
 Road_Button49.OnDownPtr = 0;
 Road_Button49.OnClickPtr = Road_Button49Click;
 Road_Button49.OnPressPtr = 0;

 Road_Button50.OwnerScreen = &Road;
 Road_Button50.Order = 79;
 Road_Button50.Left = 185;
 Road_Button50.Top = 117;
 Road_Button50.Width = 16;
 Road_Button50.Height = 18;
 Road_Button50.Pen_Width = 1;
 Road_Button50.Pen_Color = 0x0000;
 Road_Button50.Visible = 1;
 Road_Button50.Active = 1;
 Road_Button50.Transparent = 1;
 Road_Button50.Caption = Road_Button50_Caption;
 Road_Button50.TextAlign = _taCenter;
 Road_Button50.FontName = Tahoma13x13_Bold;
 Road_Button50.PressColEnabled = 1;
 Road_Button50.Font_Color = 0x0000;
 Road_Button50.Gradient = 0;
 Road_Button50.Gradient_Orientation = 0;
 Road_Button50.Gradient_Start_Color = 0xFFFF;
 Road_Button50.Gradient_End_Color = 0xC618;
 Road_Button50.Color = 0x8410;
 Road_Button50.Press_Color = 0xC618;
 Road_Button50.OnUpPtr = 0;
 Road_Button50.OnDownPtr = 0;
 Road_Button50.OnClickPtr = Road_Button50Click;
 Road_Button50.OnPressPtr = 0;

 Road_Button51.OwnerScreen = &Road;
 Road_Button51.Order = 80;
 Road_Button51.Left = 152;
 Road_Button51.Top = 133;
 Road_Button51.Width = 16;
 Road_Button51.Height = 18;
 Road_Button51.Pen_Width = 1;
 Road_Button51.Pen_Color = 0x0000;
 Road_Button51.Visible = 1;
 Road_Button51.Active = 1;
 Road_Button51.Transparent = 1;
 Road_Button51.Caption = Road_Button51_Caption;
 Road_Button51.TextAlign = _taCenter;
 Road_Button51.FontName = Tahoma13x13_Bold;
 Road_Button51.PressColEnabled = 1;
 Road_Button51.Font_Color = 0x0000;
 Road_Button51.Gradient = 0;
 Road_Button51.Gradient_Orientation = 0;
 Road_Button51.Gradient_Start_Color = 0xFFFF;
 Road_Button51.Gradient_End_Color = 0xC618;
 Road_Button51.Color = 0x8410;
 Road_Button51.Press_Color = 0xC618;
 Road_Button51.OnUpPtr = 0;
 Road_Button51.OnDownPtr = 0;
 Road_Button51.OnClickPtr = Road_Button51Click;
 Road_Button51.OnPressPtr = 0;

 Road_Button52.OwnerScreen = &Road;
 Road_Button52.Order = 81;
 Road_Button52.Left = 119;
 Road_Button52.Top = 117;
 Road_Button52.Width = 16;
 Road_Button52.Height = 18;
 Road_Button52.Pen_Width = 1;
 Road_Button52.Pen_Color = 0x0000;
 Road_Button52.Visible = 1;
 Road_Button52.Active = 1;
 Road_Button52.Transparent = 1;
 Road_Button52.Caption = Road_Button52_Caption;
 Road_Button52.TextAlign = _taCenter;
 Road_Button52.FontName = Tahoma13x13_Bold;
 Road_Button52.PressColEnabled = 1;
 Road_Button52.Font_Color = 0x0000;
 Road_Button52.Gradient = 0;
 Road_Button52.Gradient_Orientation = 0;
 Road_Button52.Gradient_Start_Color = 0xFFFF;
 Road_Button52.Gradient_End_Color = 0xC618;
 Road_Button52.Color = 0x8410;
 Road_Button52.Press_Color = 0xC618;
 Road_Button52.OnUpPtr = 0;
 Road_Button52.OnDownPtr = 0;
 Road_Button52.OnClickPtr = Road_Button52Click;
 Road_Button52.OnPressPtr = 0;

 Road_ButtonRound3.OwnerScreen = &Road;
 Road_ButtonRound3.Order = 82;
 Road_ButtonRound3.Left = 229;
 Road_ButtonRound3.Top = 50;
 Road_ButtonRound3.Width = 50;
 Road_ButtonRound3.Height = 32;
 Road_ButtonRound3.Pen_Width = 1;
 Road_ButtonRound3.Pen_Color = 0x0000;
 Road_ButtonRound3.Visible = 1;
 Road_ButtonRound3.Active = 1;
 Road_ButtonRound3.Transparent = 1;
 Road_ButtonRound3.Caption = Road_ButtonRound3_Caption;
 Road_ButtonRound3.TextAlign = _taCenter;
 Road_ButtonRound3.FontName = Tahoma11x13_Regular;
 Road_ButtonRound3.PressColEnabled = 1;
 Road_ButtonRound3.Font_Color = 0x0000;
 Road_ButtonRound3.Gradient = 1;
 Road_ButtonRound3.Gradient_Orientation = 0;
 Road_ButtonRound3.Gradient_Start_Color = 0xFFFF;
 Road_ButtonRound3.Gradient_End_Color = 0xC618;
 Road_ButtonRound3.Color = 0xC618;
 Road_ButtonRound3.Press_Color = 0x8410;
 Road_ButtonRound3.Corner_Radius = 3;
 Road_ButtonRound3.OnUpPtr = 0;
 Road_ButtonRound3.OnDownPtr = 0;
 Road_ButtonRound3.OnClickPtr = Road_ButtonRound3Click;
 Road_ButtonRound3.OnPressPtr = 0;
}

static char IsInsideObject (unsigned int X, unsigned int Y, unsigned int Left, unsigned int Top, unsigned int Width, unsigned int Height) {
 if ( (Left<= X) && (Left+ Width - 1 >= X) &&
 (Top <= Y) && (Top + Height - 1 >= Y) )
 return 1;
 else
 return 0;
}









 void DeleteTrailingSpaces(char* str){
 char i;
 i = 0;
 while(1) {
 if(str[0] == ' ') {
 for(i = 0; i < strlen(str); i++) {
 str[i] = str[i+1];
 }
 }
 else
 break;
 }
 }

void DrawButton(TButton *Abutton) {
 if (Abutton->Visible == 1) {
 if (object_pressed == 1) {
 object_pressed = 0;
 TFT_Set_Brush(Abutton->Transparent, Abutton->Press_Color, Abutton->Gradient, Abutton->Gradient_Orientation, Abutton->Gradient_End_Color, Abutton->Gradient_Start_Color);
 }
 else {
 TFT_Set_Brush(Abutton->Transparent, Abutton->Color, Abutton->Gradient, Abutton->Gradient_Orientation, Abutton->Gradient_Start_Color, Abutton->Gradient_End_Color);
 }
 TFT_Set_Pen(Abutton->Pen_Color, Abutton->Pen_Width);
 TFT_Rectangle(Abutton->Left, Abutton->Top, Abutton->Left + Abutton->Width - 1, Abutton->Top + Abutton->Height - 1);
 TFT_Set_Font(Abutton->FontName, Abutton->Font_Color, FO_HORIZONTAL);
 TFT_Write_Text_Return_Pos(Abutton->Caption, Abutton->Left, Abutton->Top);
 if (AButton->TextAlign == _taLeft)
 TFT_Write_Text(Abutton->Caption, Abutton->Left + 4, (Abutton->Top + ((Abutton->Height - caption_height) / 2)));
 else if (AButton->TextAlign == _taCenter)
 TFT_Write_Text(Abutton->Caption, (Abutton->Left + (Abutton->Width - caption_length) / 2), (Abutton->Top + ((Abutton->Height - caption_height) / 2)));
 else if (AButton->TextAlign == _taRight)
 TFT_Write_Text(Abutton->Caption, Abutton->Left + (Abutton->Width - caption_length - 4), (Abutton->Top + (Abutton->Height - caption_height) / 2));
 }
}

void DrawRoundButton(TButton_Round *Around_button) {
 if (Around_button->Visible == 1) {
 if (object_pressed == 1) {
 object_pressed = 0;
 TFT_Set_Brush(Around_button->Transparent, Around_button->Press_Color, Around_button->Gradient, Around_button->Gradient_Orientation,
 Around_button->Gradient_End_Color, Around_button->Gradient_Start_Color);
 }
 else {
 TFT_Set_Brush(Around_button->Transparent, Around_button->Color, Around_button->Gradient, Around_button->Gradient_Orientation,
 Around_button->Gradient_Start_Color, Around_button->Gradient_End_Color);
 }
 TFT_Set_Pen(Around_button->Pen_Color, Around_button->Pen_Width);
 if (Around_button->Height > Around_button->Width) {
 TFT_Rectangle_Round_Edges(Around_button->Left + 1, Around_button->Top + 1,
 Around_button->Left + Around_button->Width - 2,
 Around_button->Top + Around_button->Height - 2, Around_button->Corner_Radius);
 }
 else
 {
 TFT_Rectangle_Round_Edges(Around_button->Left + 1, Around_button->Top + 1,
 Around_button->Left + Around_button->Width - 2,
 Around_button->Top + Around_button->Height - 2, Around_button->Corner_Radius);
 }
 TFT_Set_Font(Around_button->FontName, Around_button->Font_Color, FO_HORIZONTAL);
 TFT_Write_Text_Return_Pos(Around_button->Caption, Around_button->Left, Around_button->Top);
 if (Around_button->TextAlign == _taLeft)
 TFT_Write_Text(Around_button->Caption, Around_button->Left + 4, (Around_button->Top + ((Around_button->Height - caption_height) / 2)));
 else if (Around_button->TextAlign == _taCenter)
 TFT_Write_Text(Around_button->Caption, (Around_button->Left + (Around_button->Width - caption_length) / 2), (Around_button->Top + ((Around_button->Height - caption_height) / 2)));
 else if (Around_button->TextAlign == _taRight)
 TFT_Write_Text(Around_button->Caption, Around_button->Left + (Around_button->Width - caption_length - 4), (Around_button->Top + (Around_button->Height - caption_height) / 2));
 }
}

void DrawLabel(TLabel *ALabel) {
 if (ALabel->Visible == 1) {
 TFT_Set_Font(ALabel->FontName, ALabel->Font_Color, FO_HORIZONTAL);
 TFT_Write_Text(ALabel->Caption, ALabel->Left, ALabel->Top);
 }
}

void DrawCircleButton(TCircleButton *ACircle_button) {
 if (ACircle_button->Visible == 1) {
 if (object_pressed == 1) {
 object_pressed = 0;
 TFT_Set_Brush(ACircle_button->Transparent, ACircle_button->Press_Color, ACircle_button->Gradient, ACircle_button->Gradient_Orientation,
 ACircle_button->Gradient_End_Color, ACircle_button->Gradient_Start_Color);
 }
 else {
 TFT_Set_Brush(ACircle_button->Transparent, ACircle_button->Color, ACircle_button->Gradient, ACircle_button->Gradient_Orientation,
 ACircle_button->Gradient_Start_Color, ACircle_button->Gradient_End_Color);
 }
 TFT_Set_Pen(ACircle_button->Pen_Color, ACircle_button->Pen_Width);
 TFT_Circle(ACircle_button->Left + ACircle_button->Radius,
 ACircle_button->Top + ACircle_button->Radius,
 ACircle_button->Radius);
 TFT_Set_Font(ACircle_button->FontName, ACircle_button->Font_Color, FO_HORIZONTAL);
 TFT_Write_Text_Return_Pos(ACircle_button->Caption, ACircle_button->Left, ACircle_button->Top);
 if (ACircle_button->TextAlign == _taLeft)
 TFT_Write_Text(ACircle_button->Caption, ACircle_button->Left + 4, (ACircle_button->Top + ACircle_button->Radius - caption_height / 2));
 else if (ACircle_button->TextAlign == _taCenter)
 TFT_Write_Text(ACircle_button->Caption, (ACircle_button->Left + (ACircle_button->Radius*2 - caption_length) / 2), (ACircle_button->Top + ACircle_button->Radius - caption_height / 2));
 else if (ACircle_button->TextAlign == _taRight)
 TFT_Write_Text(ACircle_button->Caption, ACircle_button->Left + (ACircle_button->Radius*2 - caption_length - 4), (ACircle_button->Top + ACircle_button->Radius - caption_height / 2));
 }
}

void DrawRoundBox(TBox_Round *Around_box) {
 if (Around_box->Visible == 1) {
 if (object_pressed == 1) {
 object_pressed = 0;
 TFT_Set_Brush(Around_box->Transparent, Around_box->Press_Color, Around_box->Gradient, Around_box->Gradient_Orientation,
 Around_box->Gradient_End_Color, Around_box->Gradient_Start_Color);
 }
 else {
 TFT_Set_Brush(Around_box->Transparent, Around_box->Color, Around_box->Gradient, Around_box->Gradient_Orientation,
 Around_box->Gradient_Start_Color, Around_box->Gradient_End_Color);
 }
 TFT_Set_Pen(Around_box->Pen_Color, Around_box->Pen_Width);
 if (Around_box->Height > Around_box->Width) {
 TFT_Rectangle_Round_Edges(Around_box->Left + 1, Around_box->Top + 1,
 Around_box->Left + Around_box->Width - 2,
 Around_box->Top + Around_box->Height - 2, Around_box->Corner_Radius);
 }
 else
 {
 TFT_Rectangle_Round_Edges(Around_box->Left + 1, Around_box->Top + 1,
 Around_box->Left + Around_box->Width - 2,
 Around_box->Top + Around_box->Height - 2, Around_box->Corner_Radius);
 }
 }
}

void DrawLine(TLine *Aline) {
 if (Aline->Visible == 1) {
 TFT_Set_Pen(Aline->Color, Aline->Pen_Width);
 TFT_Line(Aline->First_Point_X, Aline->First_Point_Y, Aline->Second_Point_X, Aline->Second_Point_Y);
 }
}

void DrawScreen(TScreen *aScreen) {
 int order;
 unsigned short button_idx;
 TButton *local_button;
 unsigned short round_button_idx;
 TButton_Round *local_round_button;
 unsigned short label_idx;
 TLabel *local_label;
 unsigned short circle_button_idx;
 TCircleButton *local_circle_button;
 unsigned short round_box_idx;
 TBox_Round *local_round_box;
 unsigned short line_idx;
 TLine *local_line;
 char save_bled, save_bled_direction;

 object_pressed = 0;
 order = 0;
 button_idx = 0;
 round_button_idx = 0;
 label_idx = 0;
 circle_button_idx = 0;
 round_box_idx = 0;
 line_idx = 0;
 CurrentScreen = aScreen;

 if ((display_width != CurrentScreen->Width) || (display_height != CurrentScreen->Height)) {
 save_bled = TFT_BLED;
 save_bled_direction = TFT_BLED_Direction;
 TFT_BLED_Direction = 1;
 TFT_BLED = 0;
 TFT_Init(CurrentScreen->Width, CurrentScreen->Height);
 TP_TFT_Init(CurrentScreen->Width, CurrentScreen->Height, 11, 10);
 TP_TFT_Set_ADC_Threshold(ADC_THRESHOLD);
 TFT_Fill_Screen(CurrentScreen->Color);
 display_width = CurrentScreen->Width;
 display_height = CurrentScreen->Height;
 TFT_BLED = save_bled;
 TFT_BLED_Direction = save_bled_direction;
 }
 else
 TFT_Fill_Screen(CurrentScreen->Color);


 while (order < CurrentScreen->ObjectsCount) {
 if (button_idx < CurrentScreen->ButtonsCount) {
 local_button =  CurrentScreen->Buttons[button_idx] ;
 if (order == local_button->Order) {
 button_idx++;
 order++;
 DrawButton(local_button);
 }
 }

 if (round_button_idx < CurrentScreen->Buttons_RoundCount) {
 local_round_button =  CurrentScreen->Buttons_Round[round_button_idx] ;
 if (order == local_round_button->Order) {
 order++;
 round_button_idx++;
 DrawRoundButton(local_round_button);
 }
 }

 if (label_idx < CurrentScreen->LabelsCount) {
 local_label =  CurrentScreen->Labels[label_idx] ;
 if (order == local_label->Order) {
 label_idx++;
 order++;
 DrawLabel(local_label);
 }
 }

 if (circle_button_idx < CurrentScreen->CircleButtonsCount) {
 local_circle_button =  CurrentScreen->CircleButtons[circle_button_idx] ;
 if (order == local_circle_button->Order) {
 circle_button_idx++;
 order++;
 DrawCircleButton(local_circle_button);
 }
 }

 if (round_box_idx < CurrentScreen->Boxes_RoundCount) {
 local_round_box =  CurrentScreen->Boxes_Round[round_box_idx] ;
 if (order == local_round_box->Order) {
 round_box_idx++;
 order++;
 DrawRoundBox(local_round_box);
 }
 }

 if (line_idx < CurrentScreen->LinesCount) {
 local_line =  CurrentScreen->Lines[line_idx] ;
 if (order == local_line->Order) {
 line_idx++;
 order++;
 DrawLine(local_line);
 }
 }

 }
}

void Get_Object(unsigned int X, unsigned int Y) {
 button_order = -1;
 round_button_order = -1;
 label_order = -1;
 circle_button_order = -1;
 box_round_order = -1;

 for ( _object_count = 0 ; _object_count < CurrentScreen->ButtonsCount ; _object_count++ ) {
 local_button =  CurrentScreen->Buttons[_object_count] ;
 if (local_button->Active == 1) {
 if (IsInsideObject(X, Y, local_button->Left, local_button->Top,
 local_button->Width, local_button->Height) == 1) {
 button_order = local_button->Order;
 exec_button = local_button;
 }
 }
 }


 for ( _object_count = 0 ; _object_count < CurrentScreen->Buttons_RoundCount ; _object_count++ ) {
 local_round_button =  CurrentScreen->Buttons_Round[_object_count] ;
 if (local_round_button->Active == 1) {
 if (IsInsideObject(X, Y, local_round_button->Left, local_round_button->Top,
 local_round_button->Width, local_round_button->Height) == 1) {
 round_button_order = local_round_button->Order;
 exec_round_button = local_round_button;
 }
 }
 }


 for ( _object_count = 0 ; _object_count < CurrentScreen->LabelsCount ; _object_count++ ) {
 local_label =  CurrentScreen->Labels[_object_count] ;
 if (local_label->Active == 1) {
 if (IsInsideObject(X, Y, local_label->Left, local_label->Top,
 local_label->Width, local_label->Height) == 1) {
 label_order = local_label->Order;
 exec_label = local_label;
 }
 }
 }


 for ( _object_count = 0 ; _object_count < CurrentScreen->CircleButtonsCount ; _object_count++ ) {
 local_circle_button =  CurrentScreen->CircleButtons[_object_count] ;
 if (local_circle_button->Active == 1) {
 if (IsInsideObject(X, Y, local_circle_button->Left, local_circle_button->Top,
 (local_circle_button->Radius * 2), (local_circle_button->Radius * 2)) == 1) {
 circle_button_order = local_circle_button->Order;
 exec_circle_button = local_circle_button;
 }
 }
 }


 for ( _object_count = 0 ; _object_count < CurrentScreen->Boxes_RoundCount ; _object_count++ ) {
 local_round_box =  CurrentScreen->Boxes_Round[_object_count] ;
 if (local_round_box->Active == 1) {
 if (IsInsideObject(X, Y, local_round_box->Left, local_round_box->Top,
 local_round_box->Width, local_round_box->Height) == 1) {
 box_round_order = local_round_box->Order;
 exec_round_box = local_round_box;
 }
 }
 }

 _object_count = -1;
 if (button_order > _object_count)
 _object_count = button_order;
 if (round_button_order > _object_count)
 _object_count = round_button_order;
 if (label_order > _object_count )
 _object_count = label_order;
 if (circle_button_order > _object_count )
 _object_count = circle_button_order;
 if (box_round_order > _object_count )
 _object_count = box_round_order;
}


static void Process_TP_Press(unsigned int X, unsigned int Y) {
 exec_button = 0;
 exec_round_button = 0;
 exec_label = 0;
 exec_circle_button = 0;
 exec_round_box = 0;

 Get_Object(X, Y);


 if (_object_count != -1) {
 if (_object_count == button_order) {
 if (exec_button->Active == 1) {
 if (exec_button->OnPressPtr != 0) {
 exec_button->OnPressPtr();
 return;
 }
 }
 }

 if (_object_count == round_button_order) {
 if (exec_round_button->Active == 1) {
 if (exec_round_button->OnPressPtr != 0) {
 exec_round_button->OnPressPtr();
 return;
 }
 }
 }

 if (_object_count == label_order) {
 if (exec_label->Active == 1) {
 if (exec_label->OnPressPtr != 0) {
 exec_label->OnPressPtr();
 return;
 }
 }
 }

 if (_object_count == circle_button_order) {
 if (exec_circle_button->Active == 1) {
 if (exec_circle_button->OnPressPtr != 0) {
 exec_circle_button->OnPressPtr();
 return;
 }
 }
 }

 if (_object_count == box_round_order) {
 if (exec_round_box->Active == 1) {
 if (exec_round_box->OnPressPtr != 0) {
 exec_round_box->OnPressPtr();
 return;
 }
 }
 }

 }
}

static void Process_TP_Up(unsigned int X, unsigned int Y) {

 switch (PressedObjectType) {

 case 0: {
 if (PressedObject != 0) {
 exec_button = (TButton*)PressedObject;
 if ((exec_button->PressColEnabled == 1) && (exec_button->OwnerScreen == CurrentScreen)) {
 DrawButton(exec_button);
 }
 break;
 }
 break;
 }

 case 1: {
 if (PressedObject != 0) {
 exec_round_button = (TButton_Round*)PressedObject;
 if ((exec_round_button->PressColEnabled == 1) && (exec_round_button->OwnerScreen == CurrentScreen)) {
 DrawRoundButton(exec_round_button);
 }
 break;
 }
 break;
 }

 case 5: {
 if (PressedObject != 0) {
 exec_circle_button = (TCircleButton*)PressedObject;
 if ((exec_circle_button->PressColEnabled == 1) && (exec_circle_button->OwnerScreen == CurrentScreen)) {
 DrawCircleButton(exec_circle_button);
 }
 break;
 }
 break;
 }

 case 7: {
 if (PressedObject != 0) {
 exec_round_box = (TBox_Round*)PressedObject;
 if ((exec_round_box->PressColEnabled == 1) && (exec_round_box->OwnerScreen == CurrentScreen)) {
 DrawRoundBox(exec_round_box);
 }
 break;
 }
 break;
 }
 }

 exec_label = 0;

 Get_Object(X, Y);


 if (_object_count != -1) {

 if (_object_count == button_order) {
 if (exec_button->Active == 1) {
 if (exec_button->OnUpPtr != 0)
 exec_button->OnUpPtr();
 if (PressedObject == (void *)exec_button)
 if (exec_button->OnClickPtr != 0)
 exec_button->OnClickPtr();
 PressedObject = 0;
 PressedObjectType = -1;
 return;
 }
 }


 if (_object_count == round_button_order) {
 if (exec_round_button->Active == 1) {
 if (exec_round_button->OnUpPtr != 0)
 exec_round_button->OnUpPtr();
 if (PressedObject == (void *)exec_round_button)
 if (exec_round_button->OnClickPtr != 0)
 exec_round_button->OnClickPtr();
 PressedObject = 0;
 PressedObjectType = -1;
 return;
 }
 }


 if (_object_count == label_order) {
 if (exec_label->Active == 1) {
 if (exec_label->OnUpPtr != 0)
 exec_label->OnUpPtr();
 if (PressedObject == (void *)exec_label)
 if (exec_label->OnClickPtr != 0)
 exec_label->OnClickPtr();
 PressedObject = 0;
 PressedObjectType = -1;
 return;
 }
 }


 if (_object_count == circle_button_order) {
 if (exec_circle_button->Active == 1) {
 if (exec_circle_button->OnUpPtr != 0)
 exec_circle_button->OnUpPtr();
 if (PressedObject == (void *)exec_circle_button)
 if (exec_circle_button->OnClickPtr != 0)
 exec_circle_button->OnClickPtr();
 PressedObject = 0;
 PressedObjectType = -1;
 return;
 }
 }


 if (_object_count == box_round_order) {
 if (exec_round_box->Active == 1) {
 if (exec_round_box->OnUpPtr != 0)
 exec_round_box->OnUpPtr();
 if (PressedObject == (void *)exec_round_box)
 if (exec_round_box->OnClickPtr != 0)
 exec_round_box->OnClickPtr();
 PressedObject = 0;
 PressedObjectType = -1;
 return;
 }
 }

 }
 PressedObject = 0;
 PressedObjectType = -1;
}

static void Process_TP_Down(unsigned int X, unsigned int Y) {

 object_pressed = 0;
 exec_button = 0;
 exec_round_button = 0;
 exec_label = 0;
 exec_circle_button = 0;
 exec_round_box = 0;

 Get_Object(X, Y);

 if (_object_count != -1) {
 if (_object_count == button_order) {
 if (exec_button->Active == 1) {
 if (exec_button->PressColEnabled == 1) {
 object_pressed = 1;
 DrawButton(exec_button);
 }
 PressedObject = (void *)exec_button;
 PressedObjectType = 0;
 if (exec_button->OnDownPtr != 0) {
 exec_button->OnDownPtr();
 return;
 }
 }
 }

 if (_object_count == round_button_order) {
 if (exec_round_button->Active == 1) {
 if (exec_round_button->PressColEnabled == 1) {
 object_pressed = 1;
 DrawRoundButton(exec_round_button);
 }
 PressedObject = (void *)exec_round_button;
 PressedObjectType = 1;
 if (exec_round_button->OnDownPtr != 0) {
 exec_round_button->OnDownPtr();
 return;
 }
 }
 }

 if (_object_count == label_order) {
 if (exec_label->Active == 1) {
 PressedObject = (void *)exec_label;
 PressedObjectType = 2;
 if (exec_label->OnDownPtr != 0) {
 exec_label->OnDownPtr();
 return;
 }
 }
 }

 if (_object_count == circle_button_order) {
 if (exec_circle_button->Active == 1) {
 if (exec_circle_button->PressColEnabled == 1) {
 object_pressed = 1;
 DrawCircleButton(exec_circle_button);
 }
 PressedObject = (void *)exec_circle_button;
 PressedObjectType = 5;
 if (exec_circle_button->OnDownPtr != 0) {
 exec_circle_button->OnDownPtr();
 return;
 }
 }
 }

 if (_object_count == box_round_order) {
 if (exec_round_box->Active == 1) {
 if (exec_round_box->PressColEnabled == 1) {
 object_pressed = 1;
 DrawRoundBox(exec_round_box);
 }
 PressedObject = (void *)exec_round_box;
 PressedObjectType = 7;
 if (exec_round_box->OnDownPtr != 0) {
 exec_round_box->OnDownPtr();
 return;
 }
 }
 }

 }
}

void Check_TP() {
 if (TP_TFT_Press_Detect()) {

 if (TP_TFT_Get_Coordinates(&Xcoord, &Ycoord) == 0) {
 Process_TP_Press(Xcoord, Ycoord);
 if (PenDown == 0) {
 PenDown = 1;
 Process_TP_Down(Xcoord, Ycoord);
 }
 }
 }
 else if (PenDown == 1) {
 PenDown = 0;
 Process_TP_Up(Xcoord, Ycoord);
 }
}

void Init_MCU(){
 GPIO_Config(&GPIO_PORTD_DATA_BITS, 0b00001000, _GPIO_DIR_OUTPUT, _GPIO_CFG_DIGITAL_ENABLE | _GPIO_CFG_DRIVE_8mA, 0);
 TFT_BLED = 1;
 TP_TFT_Rotate_180(0);
}

void Start_TP() {
 Init_MCU();

 InitializeTouchPanel();


 TP_TFT_Set_Calibration_Consts(69, 925, 64, 917);

 InitializeObjects();
 display_width = Start.Width;
 display_height = Start.Height;
 DrawScreen(&Start);
}
