#include "TFR_objects.h"
#include "TFR_resources.h"

//--------------------- User code ---------------------//
#include "__Time.h"
#include "USB_Driver.h"
#include "Buffers.h"
#include "MMC_Driver.h"
//#include "printf.h"

#define True 1
#define False 0


char Entry[32] = "";
char temp_label[32];
char DateString[10];
char TimeString[10];
char SiteString[10];
char WorkString[10];
int Count = 0;
int DisplayFlag = True;
int ButtonPressed;
int CharNo = 0;
char Ch[4];
int Interval = 0;

extern char filename[];      // Defined in MMC_Driver.c



// This is necessary because sprintf doesn't work properly
char Year[6];
char Month[4];
char Day[4];
char Hours[4];
char Minutes[4];
char Seconds[4];



extern TimeStruct ts1;
extern long Epoch;

/* Variables used by Road keys ************************************************/
char CounterString[64];
long  Spare1, NPC, Spare2, NHR, NHT, NHL, NTR, NTT, NTL, NCR, NCT, NCL;
long  SCL, SCT, SCR, STL, STT, STR, SHL, SHT, SHR, Spare6, SPC, Spare5;
long  Spare8, WHL, WTL, WCL, WPC, WHT, WTT, WCT, Spare7, WHR, WTR, WCR;
long  ECR, ETR, EHR, Spare3, ECT, ETT, EHT, EPC, ECL, ETL, EHL, Spare4;
long  *CounterSelected;
char ValueInCounter[16];

/* Subroutines used by Road screen ********************************************/
void PaintRoundButton1() {
     int x1, y1, x2, y2;
     
     x1 = Road_ButtonRound1.Left;
     y1 = Road_ButtonRound1.Top;
     x2 = x1 + Road_ButtonRound1.Width;
     y2 = y1 + Road_ButtonRound1.Height;
     TFT_Set_Pen(CL_GRAY, 1);
     TFT_Set_Brush(1, CL_GRAY, 0, TOP_TO_BOTTOM, CL_BLACK, CL_BLACK);
     TFT_Rectangle(x1,y1,x2,y2);
     Road_ButtonRound1.Caption = CounterString;
     DrawRoundButton(&Road_ButtonRound1);
}     

void PaintRoundButton2() {
     int x1, y1, x2, y2;
     
     x1 = Road_ButtonRound2.Left;
     y1 = Road_ButtonRound2.Top;
     x2 = x1 + Road_ButtonRound2.Width;
     y2 = y1 + Road_ButtonRound2.Height;
     TFT_Set_Pen(CL_GRAY, 1);
     TFT_Set_Brush(1, CL_GRAY, 0, TOP_TO_BOTTOM, CL_BLACK, CL_BLACK);
     TFT_Rectangle(x1,y1,x2,y2);
     sprintf(ValueInCounter,"%d",*CounterSelected);
     Road_ButtonRound2.Caption = ValueInCounter;
     DrawRoundButton(&Road_ButtonRound2);
}
/*
void PaintCircleBtn(TCircleButton *ButPtr, int X1, int Y1, int X2, int Y2) {
     TFT_Set_Pen(CL_GRAY, 1);
     TFT_Set_Brush(1, CL_GRAY, 0, TOP_TO_BOTTOM, CL_BLACK, CL_BLACK);
     TFT_Rectangle(X1, Y1, X2, Y2);
     DrawCircleButton(ButPtr);
}     
*/
void PaintButton(TButton *ButPtr, int X1, int Y1, int X2, int Y2) {
     TFT_Set_Pen(CL_GRAY, 1);
     TFT_Set_Brush(1, CL_GRAY, 0, TOP_TO_BOTTOM, CL_BLACK, CL_BLACK);
     TFT_Rectangle(X1, Y1, X2, Y2);
     DrawButton(ButPtr);
}
/* Subroutines used by Start screen *******************************************/

void ClearLbl( TLabel *_label) {
     TFT_Set_Font(_label->FontName, CL_SILVER, FO_HORIZONTAL);
     TFT_Write_Text(_label->Caption, _label->Left, _label->Top);
}

void DrawLbl( TLabel *_label) {
     TFT_Set_Font(_label->FontName, _label->Font_Color, FO_HORIZONTAL);
     TFT_Write_Text(_label->Caption, _label->Left, _label->Top);
}

void ClearLabel( TLabel *_label) {
     ClearLbl(_label);
     strcpy(_label->Caption, " ");
}

void UpdateDate() {
     sprintf(Year,"%d",ts1.yy);
     sprintf(Month,"%02d",ts1.mo);
     sprintf(Day,"%02d",ts1.md);

     strcpy(DateString,Year);
     strcat(DateString,"/");
     strcat(DateString,Month);
     strcat(DateString,"/");
     strcat(DateString,Day);

     ClearLabel(&Start_Label1);
     strcpy(Start_Label1.Caption,DateString);
     DrawLbl(&Start_Label1);
}

void UpdateTime() {
     //sprintf(TimeString,"%02d:%02d:%02d",ts1.hh,ts1.mn,ts1.ss);  // Doesn't work
     //sprintf(TimeString,"%02d:%02d:%02d",2,3,4);  // Doesn't work
     //sprintf(TimeString,"%02d",ts1.ss);  // Works
     //sprintf(TimeString,"%d",Count);  // Works
     //strcpy(TimeString,"Hello");  // Works
     //IntToStr(Count,TimeString);  // Works

     sprintf(Hours,"%02d",ts1.hh);
     sprintf(Minutes,"%02d",ts1.mn);
     sprintf(Seconds,"%02d",ts1.ss);

     strcpy(TimeString,Hours);
     strcat(TimeString,":");
     strcat(TimeString,Minutes);
     strcat(TimeString,":");
     strcat(TimeString,Seconds);

     ClearLabel(&Start_Label2);
     strcpy(Start_Label2.Caption,TimeString);
     DrawLbl(&Start_Label2);
}

void UpdateSite() {
     strcpy(SiteString,TimeString);
     ClearLabel(&Start_Label3);
     strcpy(Start_Label3.Caption,SiteString);
     DrawLbl(&Start_Label3);
}

void UpdateStatus(char * msg) {
     ClearLabel(&Start_Label5);
     strcpy(Start_Label5.Caption,msg);
     DrawLbl(&Start_Label5);
}

/* Subroutines used by KeyBoard screen ****************************************/
void StateMachine() {
     switch (ButtonPressed) {
         case (1):            // Set Date

             switch (CharNo) {
                 case (0):    // Year
                     strcat(Entry,Ch);
                     CharNo = 1;
                     break;
                 case (1):    // Year
                     strcat(Entry,Ch);
                     CharNo = 2;
                     break;
                 case (2):    // Year
                     strcat(Entry,Ch);
                     CharNo = 3;
                     break;
                 case (3):    // Year
                     strcat(Entry,Ch);
                     strcat(Entry,"/");
                     CharNo = 4;
                     
                     ClearLabel(&KeyBoard_Label2);
                     strcpy(KeyBoard_Label2.Caption,"Enter 2 digit month");
                     DrawLbl(&KeyBoard_Label2);
                     break;
                 case (4):    // Month
                     strcat(Entry,Ch);
                     CharNo = 5;
                     break;
                 case (5):    // Month
                     strcat(Entry,Ch);
                     strcat(Entry,"/");
                     CharNo = 6;
                     
                     ClearLabel(&KeyBoard_Label2);
                     strcpy(KeyBoard_Label2.Caption,"Enter 2 digit day");
                     DrawLbl(&KeyBoard_Label2);
                     break;
                 case (6):    // Day
                     strcat(Entry,Ch);
                     CharNo = 7;
                     break;
                 case (7):    // Day
                     strcat(Entry,Ch);
                     CharNo = 8;
                     break;
                 case (8):    // Hold here
                 
                     CharNo = 8;
                     break;
             }

             ClearLabel(&KeyBoard_Label1);
             strcpy(KeyBoard_Label1.Caption,Entry);
             DrawLbl(&KeyBoard_Label1);
             break;
         
         case (2):            // Set Time
             
             switch (CharNo) {
                 case (0):    // Hour
                     strcat(Entry,Ch);
                     CharNo = 1;
                     break;
                 case (1):    // Hour
                     strcat(Entry,Ch);
                     strcat(Entry,":");
                     CharNo = 2;
                     
                     ClearLabel(&KeyBoard_Label2);
                     strcpy(KeyBoard_Label2.Caption,"Enter 2 digit minute");
                     DrawLbl(&KeyBoard_Label2);
                     break;
                 case (2):    // Minute
                     strcat(Entry,Ch);
                     CharNo = 3;
                     break;
                 case (3):    // Minute
                     strcat(Entry,Ch);
                     strcat(Entry,":");
                     CharNo = 4;
                     
                     ClearLabel(&KeyBoard_Label2);
                     strcpy(KeyBoard_Label2.Caption,"Enter 2 digit second");
                     DrawLbl(&KeyBoard_Label2);
                     break;
                 case (4):    // Second
                     strcat(Entry,Ch);
                     CharNo = 5;
                     break;
                 case (5):    // Second
                     strcat(Entry,Ch);
                     CharNo = 6;
                     break;
                 case (6):    // Hold here
                 
                     CharNo = 6;
                     break;
             }
             
             ClearLabel(&KeyBoard_Label1);
             strcpy(KeyBoard_Label1.Caption,Entry);
             DrawLbl(&KeyBoard_Label1);
             break;
     
         case (3):            // Set Site
             switch (CharNo) {
                 case (0):    // Digit 1
                     strcat(Entry,Ch);
                     CharNo = 1;
                     break;
                 case (1):    // Digit 2
                     strcat(Entry,Ch);
                     CharNo = 2;
                     break;
                 case (2):    // Digit 3
                     strcat(Entry,Ch);
                     CharNo = 3;
                     break;
                 case (3):    // Digit 4
                     strcat(Entry,Ch);
                     CharNo = 4;
                     break;
                 case (4):    // Digit 5
                     strcat(Entry,Ch);
                     CharNo = 5;
                     break;
                 case (5):    // Digit 6
                     strcat(Entry,Ch);
                     CharNo = 6;
                     break;
                 case (6):    // Digit 7
                     strcat(Entry,Ch);
                     CharNo = 7;
                     break;
                 case (7):    // Digit 8
                     strcat(Entry,Ch);
                     CharNo = 8;
                     break;
                 case (8):    // Digit 9
                     strcat(Entry,Ch);
                     CharNo = 9;
                     break;
                 case (9):    // Digit 10
                     strcat(Entry,Ch);
                     CharNo = 10;
                     break;
                 case (10):    // Hold here

                     CharNo = 10;
                     break;
             }

             ClearLabel(&KeyBoard_Label1);
             strcpy(KeyBoard_Label1.Caption,Entry);
             DrawLbl(&KeyBoard_Label1);
             break;     
     }
}
//----------------- End of User code ------------------//

// Event Handlers

/* Events generated by Start screen ****************************************/
void Start_Button1Click() {  // Set Date button
     DrawScreen(&KeyBoard);
     
     strcpy(Entry," ");
     ClearLabel(&KeyBoard_Label1);
     strcpy(KeyBoard_Label1.Caption,Entry);
     DrawLbl(&KeyBoard_Label1);
     
     ClearLabel(&KeyBoard_Label2);
     strcpy(KeyBoard_Label2.Caption,"Enter 4 digit year");
     DrawLbl(&KeyBoard_Label2);
     
     DisplayFlag = False;
     ButtonPressed = 1;
}

void Start_Button2Click() {  // Set Time button
     DrawScreen(&KeyBoard);

     strcpy(Entry," ");
     ClearLabel(&KeyBoard_Label1);
     strcpy(KeyBoard_Label1.Caption,Entry);
     DrawLbl(&KeyBoard_Label1);

     ClearLabel(&KeyBoard_Label2);
     strcpy(KeyBoard_Label2.Caption,"Enter 2 digit hour");
     DrawLbl(&KeyBoard_Label2);

     DisplayFlag = False;
     ButtonPressed = 2;
}

void Start_Button3Click() {  // Set Site button
     DrawScreen(&KeyBoard);

     strcpy(Entry," ");

     ClearLabel(&KeyBoard_Label1);
     strcpy(KeyBoard_Label1.Caption,Entry);
     DrawLbl(&KeyBoard_Label1);

     ClearLabel(&KeyBoard_Label2);
     strcpy(KeyBoard_Label2.Caption,"Enter 10 digit site");
     DrawLbl(&KeyBoard_Label2);
     
     DisplayFlag = False;
     ButtonPressed = 3;
}

void Start_Button4Click() {  // 0 Interval button
     Interval = 0;

     Start_Button4.Gradient_Start_Color = CL_AQUA;
     DrawButton(&Start_Button4);
     Start_Button5.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button5);
     Start_Button6.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button6);
     Start_Button7.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button7);
     Start_Button8.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button8);
     Start_Button9.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button9);
     Start_Button10.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button10);
}

void Start_Button5Click() {  // 1 Interval button
     Interval = 1;

     Start_Button4.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button4);
     Start_Button5.Gradient_Start_Color = CL_AQUA;
     DrawButton(&Start_Button5);
     Start_Button6.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button6);
     Start_Button7.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button7);
     Start_Button8.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button8);
     Start_Button9.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button9);
     Start_Button10.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button10);
}

void Start_Button6Click() {  // 5 Interval button
     Interval = 2;

     Start_Button4.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button4);
     Start_Button5.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button5);
     Start_Button6.Gradient_Start_Color = CL_AQUA;
     DrawButton(&Start_Button6);
     Start_Button7.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button7);
     Start_Button8.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button8);
     Start_Button9.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button9);
     Start_Button10.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button10);
}

void Start_Button7Click() {  // 10 Interval button
     Interval = 3;

     Start_Button4.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button4);
     Start_Button5.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button5);
     Start_Button6.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button6);
     Start_Button7.Gradient_Start_Color = CL_AQUA;
     DrawButton(&Start_Button7);
     Start_Button8.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button8);
     Start_Button9.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button9);
     Start_Button10.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button10);
}

void Start_Button8Click() {  // 15 Interval button
     Interval = 4;

     Start_Button4.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button4);
     Start_Button5.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button5);
     Start_Button6.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button6);
     Start_Button7.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button7);
     Start_Button8.Gradient_Start_Color = CL_AQUA;
     DrawButton(&Start_Button8);
     Start_Button9.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button9);
     Start_Button10.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button10);
}

void Start_Button9Click() {  // 30 Interval button
     Interval = 5;

     Start_Button4.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button4);
     Start_Button5.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button5);
     Start_Button6.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button6);
     Start_Button7.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button7);
     Start_Button8.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button8);
     Start_Button9.Gradient_Start_Color = CL_AQUA;
     DrawButton(&Start_Button9);
     Start_Button10.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button10);
}

void Start_Button10Click() {  // 60 Interval button
     Interval = 6;

     Start_Button4.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button4);
     Start_Button5.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button5);
     Start_Button6.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button6);
     Start_Button7.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button7);
     Start_Button8.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button8);
     Start_Button9.Gradient_Start_Color = CL_WHITE;
     DrawButton(&Start_Button9);
     Start_Button10.Gradient_Start_Color = CL_AQUA;
     DrawButton(&Start_Button10);
}

void Start_ButtonRound4Click() {  // Go to Road Keys button
     DrawScreen(&Road);
     DisplayFlag = False;
}

void Start_Button11Click() {  // Start Recording button
/*
     char* BufNum;
     
     BufNum = GetBuffer();                // Get a free buffer
     strcpy(BufNum,"Try this one for size");
     USB_PutQueue(BufNum);
*/


     if (Mmc_Fat_Init() == 0) {
         ClearLabel(&Start_Label5);
         strcpy(Start_Label5.Caption,"MMC is recording");
         DrawLbl(&Start_Label5);

         StartRecording();

         Start_Button11.Gradient = False;
         DrawButton(&Start_Button11);
         Start_Button12.Gradient = True;
         DrawButton(&Start_Button12);
     }
     else
     {
         ClearLabel(&Start_Label5);
         strcpy(Start_Label5.Caption,"FAT16 not found");
         DrawLbl(&Start_Label5);
     }
}

void Start_Button12Click() {  // Stop Recording button
     ClearLabel(&Start_Label5);
     DrawLbl(&Start_Label5);
     
     StopRecording();

     Start_Button11.Gradient = True;
     DrawButton(&Start_Button11);
     Start_Button12.Gradient = False;
     DrawButton(&Start_Button12);
}




/* Events generated by KeyBoard screen ****************************************/
void KeyBoard_Button1Click() {  // #1 button
     strcpy(Ch,"1");
     StateMachine();
}

void KeyBoard_Button2Click() {  // #2 button
     strcpy(Ch,"2");
     StateMachine();
}

void KeyBoard_Button3Click() {  // #3 button
     strcpy(Ch,"3");
     StateMachine();
}

void KeyBoard_Button4Click() {  // #4 button
     strcpy(Ch,"4");
     StateMachine();
}

void KeyBoard_Button5Click() {  // #5 button
     strcpy(Ch,"5");
     StateMachine();
}

void KeyBoard_Button6Click() {  // #6 button
     strcpy(Ch,"6");
     StateMachine();
}

void KeyBoard_Button7Click() {  // #7 button
     strcpy(Ch,"7");
     StateMachine();
}

void KeyBoard_Button8Click() {  // #8 button
     strcpy(Ch,"8");
     StateMachine();
}

void KeyBoard_Button9Click() {  // #9 button
     strcpy(Ch,"9");
     StateMachine();
}

void KeyBoard_Button10Click() {  // #0 button
     strcpy(Ch,"0");
     StateMachine();
}

void KeyBoard_Button11Click() {  // Enter button
     char delims[] = "/:";
     char *result = 0;

     /*
     ButtonPressed: 1 - Set Date
                    2 - Set Time
                    3 - Set Site
     */
     switch (ButtonPressed) {
         case (1):  // Set Date
             if (CharNo == 8) {
                 result = strtok(KeyBoard_Label1.Caption,delims);
                 strcpy(WorkString,result);
                 ts1.yy = atoi(WorkString);  // Year
             
                 result = strtok(0,delims);
                 strcpy(WorkString,result);
                 ts1.mo = atoi(WorkString);  // Month
             
                 result = strtok(0,delims);
                 strcpy(WorkString,result);
                 ts1.md = atoi(WorkString);  // Day
             
                 Epoch = Time_dateToEpoch(&ts1);
                 CharNo = 0;
                 
                 DrawScreen(&Start);
                 DisplayFlag = True;
             }else {
                  ClearLabel(&KeyBoard_Label2);
                  strcpy(KeyBoard_Label2.Caption,"Incomplete entry");
                  DrawLbl(&KeyBoard_Label2);
             }
             break;
         
         case (2):  // Set Time
             if (CharNo == 6) {
                 result = strtok(KeyBoard_Label1.Caption,delims);
                 strcpy(WorkString,result);
                 ts1.hh = atoi(WorkString);  // Hour
             
                 result = strtok(0,delims);
                 strcpy(WorkString,result);
                 ts1.mn = atoi(WorkString);  // Minute
             
                 result = strtok(0,delims);
                 strcpy(WorkString,result);
                 ts1.ss = atoi(WorkString);  // Second
             
                 Epoch = Time_dateToEpoch(&ts1);
                 CharNo = 0;
                 
                 DrawScreen(&Start);
                 DisplayFlag = True;
             }else {
                  ClearLabel(&KeyBoard_Label2);
                  strcpy(KeyBoard_Label2.Caption,"Incomplete entry");
                  DrawLbl(&KeyBoard_Label2);
             }
             break;
     
         case (3):  // Set Site
             if (CharNo == 10) {

                 // Enter site number to a variable

                 DrawScreen(&Start);
                 DisplayFlag = True;
                 CharNo = 0;                 

                 ClearLabel(&Start_Label3);
                 strcpy(Start_Label3.Caption,KeyBoard_Label1.Caption);
                 DrawLbl(&Start_Label3);
             }else {
                  ClearLabel(&KeyBoard_Label2);
                  strcpy(KeyBoard_Label2.Caption,"Incomplete entry");
                  DrawLbl(&KeyBoard_Label2);
             }
             break;
     }
}

void KeyBoard_Button12Click() {  // Cancel button
     CharNo = 0;
     DrawScreen(&Start);
     DisplayFlag = True;
}

void KeyBoard_Button13Click() {  // Rst button
     ClearLabel(&KeyBoard_Label1);
     strcpy(Entry," ");
     strcpy(KeyBoard_Label1.Caption,Entry);
     DrawLbl(&KeyBoard_Label1);
     CharNo = 0;
     
     switch (ButtonPressed) {
         case (1):  // Set Date
             ClearLabel(&KeyBoard_Label2);
             strcpy(KeyBoard_Label2.Caption,"Enter 4 digit year");
             DrawLbl(&KeyBoard_Label2);
             break;
         case (2):  // Set Time
             ClearLabel(&KeyBoard_Label2);
             strcpy(KeyBoard_Label2.Caption,"Enter 2 digit hour");
             DrawLbl(&KeyBoard_Label2);
             break;
         case (3):  // Set Site
             ClearLabel(&KeyBoard_Label2);
             strcpy(KeyBoard_Label2.Caption,"Enter 10 digit site");
             DrawLbl(&KeyBoard_Label2);
             break;
     }
}

void KeyBoard_Button14Click() {  // Del button
     strcpy(temp_label, KeyBoard_Label1.Caption);
     ClearLabel(&KeyBoard_Label1);

     switch (ButtonPressed) {
         case (1):            // Set Date

             switch (CharNo) {
                 case (0):    // Year
                     
                     CharNo = 0;
                     break;
                 case (1):    // Year
                     temp_label[1] = 0;
                     CharNo = 0;
                     break;
                 case (2):    // Year
                     temp_label[2] = 0;
                     CharNo = 1;
                     break;
                 case (3):    // Year
                     temp_label[3] = 0;
                     CharNo = 2;
                     break;
                 case (4):    // Month
                     temp_label[4] = 0;
                     CharNo = 3;
                     
                     ClearLabel(&KeyBoard_Label2);
                     strcpy(KeyBoard_Label2.Caption,"Enter 4 digit year");
                     DrawLbl(&KeyBoard_Label2);
                     break;
                 case (5):    // Month
                     temp_label[6] = 0;
                     CharNo = 4;
                     break;
                 case (6):    // Day
                     temp_label[7] = 0;
                     CharNo = 5;
                     
                     ClearLabel(&KeyBoard_Label2);
                     strcpy(KeyBoard_Label2.Caption,"Enter 2 digit month");
                     DrawLbl(&KeyBoard_Label2);
                     break;
                 case (7):    // Day
                     temp_label[9] = 0;
                     CharNo = 6;
                     break;
                 case (8):
                     temp_label[10] = 0;
                     CharNo = 7;
                     break;
             }

             strcpy(Entry,temp_label);
             strcpy(KeyBoard_Label1.Caption, temp_label);
             DrawLbl(&KeyBoard_Label1);
             break;
         
         case (2):            // Set Time
             
             switch (CharNo) {
                 case (0):    // Hour
                     
                     CharNo = 0;
                     break;
                 case (1):    // Hour
                     temp_label[1] = 0;
                     CharNo = 0;
                     break;
                 case (2):    // Minute
                     temp_label[2] = 0;
                     CharNo = 1;
                     
                     ClearLabel(&KeyBoard_Label2);
                     strcpy(KeyBoard_Label2.Caption,"Enter 2 digit hour");
                     DrawLbl(&KeyBoard_Label2);
                     break;
                 case (3):    // Minute
                     temp_label[4] = 0;
                     CharNo = 2;
                     break;
                 case (4):    // Second
                     temp_label[5] = 0;
                     CharNo = 3;
                     
                     ClearLabel(&KeyBoard_Label2);
                     strcpy(KeyBoard_Label2.Caption,"Enter 2 digit minute");
                     DrawLbl(&KeyBoard_Label2);
                     break;
                 case (5):    // Second
                     temp_label[7] = 0;
                     CharNo = 4;
                     break;
                 case (6):
                     temp_label[8] = 0;
                     CharNo = 5;
                     break;
             }
             
             strcpy(Entry,temp_label);
             strcpy(KeyBoard_Label1.Caption, temp_label);
             DrawLbl(&KeyBoard_Label1);
             break;
     
         case (3):            // Set Site
             
             switch (CharNo) {
                 case (0):
                     
                     CharNo = 0;
                     break;
                 case (1):
                     temp_label[1] = 0;
                     CharNo = 0;
                     break;
                 case (2):
                     temp_label[2] = 0;
                     CharNo = 1;
                     break;
                 case (3):
                     temp_label[3] = 0;
                     CharNo = 2;
                     break;
                 case (4):
                     temp_label[4] = 0;
                     CharNo = 3;
                     break;
                 case (5):
                     temp_label[5] = 0;
                     CharNo = 4;
                     break;
                 case (6):
                     temp_label[6] = 0;
                     CharNo = 5;
                     break;
                 case (7):
                     temp_label[7] = 0;
                     CharNo = 6;
                     break;
                 case (8):
                     temp_label[8] = 0;
                     CharNo = 7;
                     break;
                 case (9):
                     temp_label[9] = 0;
                     CharNo = 8;
                     break;
                 case (10):
                     temp_label[10] = 0;
                     CharNo = 9;
                     break;
             }
             
             strcpy(Entry,temp_label);
             strcpy(KeyBoard_Label1.Caption, temp_label);
             DrawLbl(&KeyBoard_Label1);
             break;
     }
}




/* Events generated by Road screen ********************************************/
void Road_Button1Click() {  // Spare1 button
     int x1, y1, x2, y2;  // Variables used in erasing button

     // If Count radio button is selected and if button is enabled
     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button1.Gradient == True))
          Spare1++;  // Increment a counter

     CounterSelected = &Spare1;

     strcpy(CounterString,"Spare 1");
     PaintRoundButton1();  // Text contains counter name
     PaintRoundButton2();  // Text contains counter value


     // If Disable radio button is selected
     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button1.Left;             // Get button co-ords from object
         y1 = Road_Button1.Top;
         x2 = x1 + Road_Button1.Width;       // If object is moved, co-ords will 
         y2 = y1 + Road_Button1.Height;      // be recalculated
        
         if (Road_Button1.Gradient == True) {  // If button is enabled
             Road_Button1.Gradient = False;  // Disable the button
             PaintButton(&Road_Button1,x1,y1,x2,y2);  // Re-paint
         }
         else                      // else the button is disabled
         {
             Road_Button1.Gradient = True;  // Enable the button
             PaintButton(&Road_Button1,x1,y1,x2,y2);  // Re-paint
         }    
     }
}

void Road_Button2Click() {  // NPC button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color) && (Road_Button2.Gradient == True))
          NPC++;

     CounterSelected = &NPC;

     strcpy(CounterString,"North Pedestrian Cross");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button2.Left;
         y1 = Road_Button2.Top;
         x2 = x1 + Road_Button2.Width;
         y2 = y1 + Road_Button2.Height;
         
         if (Road_Button2.Gradient == True) {
             Road_Button2.Gradient = False;
             PaintButton(&Road_Button2,x1,y1,x2,y2);
         }
         else
         {
             Road_Button2.Gradient = True;
             PaintButton(&Road_Button2,x1,y1,x2,y2);
         }    
     }
}

void Road_Button3Click() {  // Spare2 button
     int x1, y1, x2, y2;
     
     if ((Road_CircleButton1.Gradient_Start_Color) && (Road_Button3.Gradient == True))
          Spare2++;

     CounterSelected = &Spare2;

     strcpy(CounterString,"Spare 2");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button3.Left;
         y1 = Road_Button3.Top;
         x2 = x1 + Road_Button3.Width;
         y2 = y1 + Road_Button3.Height;
         
         if (Road_Button3.Gradient == True) {
             Road_Button3.Gradient = False;
             PaintButton(&Road_Button3,x1,y1,x2,y2);
         }
         else
         {
             Road_Button3.Gradient = True;
             PaintButton(&Road_Button3,x1,y1,x2,y2);
         }    
     }
}

void Road_Button4Click() {  // NHR button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button4.Gradient == True))
          NHR++;

     CounterSelected = &NHR;

     strcpy(CounterString,"North Heavy Right");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button4.Left;
         y1 = Road_Button4.Top;
         x2 = x1 + Road_Button4.Width;
         y2 = y1 + Road_Button4.Height;
         
         if (Road_Button4.Gradient == True) {
             Road_Button4.Gradient = False;
             PaintButton(&Road_Button4,x1,y1,x2,y2);
         }
         else
         {
             Road_Button4.Gradient = True;
             PaintButton(&Road_Button4,x1,y1,x2,y2);
         }    
     }
}

void Road_Button5Click() {  // NHT button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button5.Gradient == True))
          NHT++;

     CounterSelected = &NHT;

     strcpy(CounterString,"North Heavy Through");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button5.Left;
         y1 = Road_Button5.Top;
         x2 = x1 + Road_Button5.Width;
         y2 = y1 + Road_Button5.Height;
        
         if (Road_Button5.Gradient == True) {
             Road_Button5.Gradient = False;
             PaintButton(&Road_Button5,x1,y1,x2,y2);
         }
         else
         {
             Road_Button5.Gradient = True;
             PaintButton(&Road_Button5,x1,y1,x2,y2);
         }    
     }
}

void Road_Button6Click() {  // NHL button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button6.Gradient == True))
          NHL++;
     
     CounterSelected = &NHL;

     strcpy(CounterString,"North Heavy Left");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button6.Left;
         y1 = Road_Button6.Top;
         x2 = x1 + Road_Button6.Width;
         y2 = y1 + Road_Button6.Height;
        
         if (Road_Button6.Gradient == True) {
             Road_Button6.Gradient = False;
             PaintButton(&Road_Button6,x1,y1,x2,y2);
         }
         else
         {
             Road_Button6.Gradient = True;
             PaintButton(&Road_Button6,x1,y1,x2,y2);
         }    
     }
}

void Road_Button7Click() {  // NTR button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button7.Gradient == True))
          NTR++;
     
     CounterSelected = &NTR;

     strcpy(CounterString,"North Truck Right");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button7.Left;
         y1 = Road_Button7.Top;
         x2 = x1 + Road_Button7.Width;
         y2 = y1 + Road_Button7.Height;
        
         if (Road_Button7.Gradient == True) {
             Road_Button7.Gradient = False;
             PaintButton(&Road_Button7,x1,y1,x2,y2);
         }
         else
         {
             Road_Button7.Gradient = True;
             PaintButton(&Road_Button7,x1,y1,x2,y2);
         }    
     }
}

void Road_Button8Click() {  // NTT button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button8.Gradient == True))
          NTT++;
     
     CounterSelected = &NTT;

     strcpy(CounterString,"North Truck Through");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button8.Left;
         y1 = Road_Button8.Top;
         x2 = x1 + Road_Button8.Width;
         y2 = y1 + Road_Button8.Height;
        
         if (Road_Button8.Gradient == True) {
             Road_Button8.Gradient = False;
             PaintButton(&Road_Button8,x1,y1,x2,y2);
         }
         else
         {
             Road_Button8.Gradient = True;
             PaintButton(&Road_Button8,x1,y1,x2,y2);
         }    
     }
}

void Road_Button9Click() {  // NTL button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button9.Gradient == True))
          NTL++;
     
     CounterSelected = &NTL;

     strcpy(CounterString,"North Truck Left");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button9.Left;
         y1 = Road_Button9.Top;
         x2 = x1 + Road_Button9.Width;
         y2 = y1 + Road_Button9.Height;
        
         if (Road_Button9.Gradient == True) {
             Road_Button9.Gradient = False;
             PaintButton(&Road_Button9,x1,y1,x2,y2);
         }
         else
         {
             Road_Button9.Gradient = True;
             PaintButton(&Road_Button9,x1,y1,x2,y2);
         }    
     }
}

void Road_Button10Click() {  // NCR button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button10.Gradient == True))
          NCR++;
     
     CounterSelected = &NCR;

     strcpy(CounterString,"North Car Right");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button10.Left;
         y1 = Road_Button10.Top;
         x2 = x1 + Road_Button10.Width;
         y2 = y1 + Road_Button10.Height;
        
         if (Road_Button10.Gradient == True) {
             Road_Button10.Gradient = False;
             PaintButton(&Road_Button10,x1,y1,x2,y2);
         }
         else
         {
             Road_Button10.Gradient = True;
             PaintButton(&Road_Button10,x1,y1,x2,y2);
         }    
     }
}

void Road_Button11Click() {  // NCT button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button11.Gradient == True))
          NCT++;
     
     CounterSelected = &NCT;

     strcpy(CounterString,"North Car Through");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button11.Left;
         y1 = Road_Button11.Top;
         x2 = x1 + Road_Button11.Width;
         y2 = y1 + Road_Button11.Height;
        
         if (Road_Button11.Gradient == True) {
             Road_Button11.Gradient = False;
             PaintButton(&Road_Button11,x1,y1,x2,y2);
         }
         else
         {
             Road_Button11.Gradient = True;
             PaintButton(&Road_Button11,x1,y1,x2,y2);
         }    
     }
}

void Road_Button12Click() {  // NCL button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button12.Gradient == True))
          NCL++;
     
     CounterSelected = &NCL;

     strcpy(CounterString,"North Car Left");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button12.Left;
         y1 = Road_Button12.Top;
         x2 = x1 + Road_Button12.Width;
         y2 = y1 + Road_Button12.Height;
        
         if (Road_Button12.Gradient == True) {
             Road_Button12.Gradient = False;
             PaintButton(&Road_Button12,x1,y1,x2,y2);
         }
         else
         {
             Road_Button12.Gradient = True;
             PaintButton(&Road_Button12,x1,y1,x2,y2);
         }    
     }
}

void Road_Button13Click() {  // SCL button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button13.Gradient == True))
          SCL++;
     
     CounterSelected = &SCL;

     strcpy(CounterString,"South Car Left");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button13.Left;
         y1 = Road_Button13.Top;
         x2 = x1 + Road_Button13.Width;
         y2 = y1 + Road_Button13.Height;
        
         if (Road_Button13.Gradient == True) {
             Road_Button13.Gradient = False;
             PaintButton(&Road_Button13,x1,y1,x2,y2);
         }
         else
         {
             Road_Button13.Gradient = True;
             PaintButton(&Road_Button13,x1,y1,x2,y2);
         }    
     }
}

void Road_Button14Click() {  // SCT button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button14.Gradient == True))
          SCT++;
     
     CounterSelected = &SCT;

     strcpy(CounterString,"South Car Through");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button14.Left;
         y1 = Road_Button14.Top;
         x2 = x1 + Road_Button14.Width;
         y2 = y1 + Road_Button14.Height;
        
         if (Road_Button14.Gradient == True) {
             Road_Button14.Gradient = False;
             PaintButton(&Road_Button14,x1,y1,x2,y2);
         }
         else
         {
             Road_Button14.Gradient = True;
             PaintButton(&Road_Button14,x1,y1,x2,y2);
         }    
     }
}

void Road_Button15Click() {  // SCR button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button15.Gradient == True))
          SCR++;
     
     CounterSelected = &SCR;

     strcpy(CounterString,"South Car Right");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button15.Left;
         y1 = Road_Button15.Top;
         x2 = x1 + Road_Button15.Width;
         y2 = y1 + Road_Button15.Height;
        
         if (Road_Button15.Gradient == True) {
             Road_Button15.Gradient = False;
             PaintButton(&Road_Button15,x1,y1,x2,y2);
         }
         else
         {
             Road_Button15.Gradient = True;
             PaintButton(&Road_Button15,x1,y1,x2,y2);
         }    
     }
}

void Road_Button16Click() {  // STL button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button16.Gradient == True))
          STL++;
     
     CounterSelected = &STL;

     strcpy(CounterString,"South Truck Left");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button16.Left;
         y1 = Road_Button16.Top;
         x2 = x1 + Road_Button16.Width;
         y2 = y1 + Road_Button16.Height;
        
         if (Road_Button16.Gradient == True) {
             Road_Button16.Gradient = False;
             PaintButton(&Road_Button16,x1,y1,x2,y2);
         }
         else
         {
             Road_Button16.Gradient = True;
             PaintButton(&Road_Button16,x1,y1,x2,y2);
         }    
     }
}

void Road_Button17Click() {  // STT button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button17.Gradient == True))
          STT++;
     
     CounterSelected = &STT;

     strcpy(CounterString,"South Truck Through");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button17.Left;
         y1 = Road_Button17.Top;
         x2 = x1 + Road_Button17.Width;
         y2 = y1 + Road_Button17.Height;
        
         if (Road_Button17.Gradient == True) {
             Road_Button17.Gradient = False;
             PaintButton(&Road_Button17,x1,y1,x2,y2);
         }
         else
         {
             Road_Button17.Gradient = True;
             PaintButton(&Road_Button17,x1,y1,x2,y2);
         }    
     }
}

void Road_Button18Click() {  // STR button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button18.Gradient == True))
          STR++;
     
     CounterSelected = &STR;

     strcpy(CounterString,"South Truck Right");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button18.Left;
         y1 = Road_Button18.Top;
         x2 = x1 + Road_Button18.Width;
         y2 = y1 + Road_Button18.Height;
        
         if (Road_Button18.Gradient == True) {
             Road_Button18.Gradient = False;
             PaintButton(&Road_Button18,x1,y1,x2,y2);
         }
         else
         {
             Road_Button18.Gradient = True;
             PaintButton(&Road_Button18,x1,y1,x2,y2);
         }    
     }
}

void Road_Button19Click() {  // SHL button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button19.Gradient == True))
          SHL++;
     
     CounterSelected = &SHL;

     strcpy(CounterString,"South Heavy Left");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button19.Left;
         y1 = Road_Button19.Top;
         x2 = x1 + Road_Button19.Width;
         y2 = y1 + Road_Button19.Height;
        
         if (Road_Button19.Gradient == True) {
             Road_Button19.Gradient = False;
             PaintButton(&Road_Button19,x1,y1,x2,y2);
         }
         else
         {
             Road_Button19.Gradient = True;
             PaintButton(&Road_Button19,x1,y1,x2,y2);
         }    
     }
}

void Road_Button20Click() {  // SHT button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button20.Gradient == True))
          SHT++;
     
     CounterSelected = &SHT;

     strcpy(CounterString,"South Heavy Through");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button20.Left;
         y1 = Road_Button20.Top;
         x2 = x1 + Road_Button20.Width;
         y2 = y1 + Road_Button20.Height;
        
         if (Road_Button20.Gradient == True) {
             Road_Button20.Gradient = False;
             PaintButton(&Road_Button20,x1,y1,x2,y2);
         }
         else
         {
             Road_Button20.Gradient = True;
             PaintButton(&Road_Button20,x1,y1,x2,y2);
         }    
     }
}

void Road_Button21Click() {  // SHR button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button21.Gradient == True))
          SHR++;
     
     CounterSelected = &SHR;

     strcpy(CounterString,"South Heavy Right");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button21.Left;
         y1 = Road_Button21.Top;
         x2 = x1 + Road_Button21.Width;
         y2 = y1 + Road_Button21.Height;
        
         if (Road_Button21.Gradient == True) {
             Road_Button21.Gradient = False;
             PaintButton(&Road_Button21,x1,y1,x2,y2);
         }
         else
         {
             Road_Button21.Gradient = True;
             PaintButton(&Road_Button21,x1,y1,x2,y2);
         }    
     }
}

void Road_Button22Click() {  // Spare3 button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button22.Gradient == True))
          Spare6++;
     
     CounterSelected = &Spare6;

     strcpy(CounterString,"Spare 6");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button22.Left;
         y1 = Road_Button22.Top;
         x2 = x1 + Road_Button22.Width;
         y2 = y1 + Road_Button22.Height;
        
         if (Road_Button22.Gradient == True) {
             Road_Button22.Gradient = False;
             PaintButton(&Road_Button22,x1,y1,x2,y2);
         }
         else
         {
             Road_Button22.Gradient = True;
             PaintButton(&Road_Button22,x1,y1,x2,y2);
         }    
     }
}

void Road_Button23Click() {  // SPC button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button23.Gradient == True))
          SPC++;
     
     CounterSelected = &SPC;

     strcpy(CounterString,"South Pedestrian Cross");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button23.Left;
         y1 = Road_Button23.Top;
         x2 = x1 + Road_Button23.Width;
         y2 = y1 + Road_Button23.Height;
        
         if (Road_Button23.Gradient == True) {
             Road_Button23.Gradient = False;
             PaintButton(&Road_Button23,x1,y1,x2,y2);
         }
         else
         {
             Road_Button23.Gradient = True;
             PaintButton(&Road_Button23,x1,y1,x2,y2);
         }    
     }
}

void Road_Button24Click() {  // Spare4 button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button24.Gradient == True))
          Spare5++;
     
     CounterSelected = &Spare5;

     strcpy(CounterString,"Spare 5");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button24.Left;
         y1 = Road_Button24.Top;
         x2 = x1 + Road_Button24.Width;
         y2 = y1 + Road_Button24.Height;
        
         if (Road_Button24.Gradient == True) {
             Road_Button24.Gradient = False;
             PaintButton(&Road_Button24,x1,y1,x2,y2);
         }
         else
         {
             Road_Button24.Gradient = True;
             PaintButton(&Road_Button24,x1,y1,x2,y2);
         }    
     }
}

void Road_Button25Click() {  // Spare5 button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button25.Gradient == True))
          Spare8++;
     
     CounterSelected = &Spare8;

     strcpy(CounterString,"Spare 8");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button25.Left;
         y1 = Road_Button25.Top;
         x2 = x1 + Road_Button25.Width;
         y2 = y1 + Road_Button25.Height;
        
         if (Road_Button25.Gradient == True) {
             Road_Button25.Gradient = False;
             PaintButton(&Road_Button25,x1,y1,x2,y2);
         }
         else
         {
             Road_Button25.Gradient = True;
             PaintButton(&Road_Button25,x1,y1,x2,y2);
         }    
     }
}

void Road_Button26Click() {  // WHL button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button26.Gradient == True))
          WHL++;
     
     CounterSelected = &WHL;

     strcpy(CounterString,"West Heavy Left");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button26.Left;
         y1 = Road_Button26.Top;
         x2 = x1 + Road_Button26.Width;
         y2 = y1 + Road_Button26.Height;
        
         if (Road_Button26.Gradient == True) {
             Road_Button26.Gradient = False;
             PaintButton(&Road_Button26,x1,y1,x2,y2);
         }
         else
         {
             Road_Button26.Gradient = True;
             PaintButton(&Road_Button26,x1,y1,x2,y2);
         }    
     }
}

void Road_Button27Click() {  // WTL button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button27.Gradient == True))
          WTL++;
     
     CounterSelected = &WTL;

     strcpy(CounterString,"West Truck Left");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button27.Left;
         y1 = Road_Button27.Top;
         x2 = x1 + Road_Button27.Width;
         y2 = y1 + Road_Button27.Height;
        
         if (Road_Button27.Gradient == True) {
             Road_Button27.Gradient = False;
             PaintButton(&Road_Button27,x1,y1,x2,y2);
         }
         else
         {
             Road_Button27.Gradient = True;
             PaintButton(&Road_Button27,x1,y1,x2,y2);
         }    
     }
}

void Road_Button28Click() {  // WCL button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button28.Gradient == True))
          WCL++;
     
     CounterSelected = &WCL;

     strcpy(CounterString,"West Car Left");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button28.Left;
         y1 = Road_Button28.Top;
         x2 = x1 + Road_Button28.Width;
         y2 = y1 + Road_Button28.Height;
        
         if (Road_Button28.Gradient == True) {
             Road_Button28.Gradient = False;
             PaintButton(&Road_Button28,x1,y1,x2,y2);
         }
         else
         {
             Road_Button28.Gradient = True;
             PaintButton(&Road_Button28,x1,y1,x2,y2);
         }    
     }
}

void Road_Button29Click() {  // WPC button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button29.Gradient == True))
          WPC++;
     
     CounterSelected = &WPC;

     strcpy(CounterString,"West Pedestrian Cross");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button29.Left;
         y1 = Road_Button29.Top;
         x2 = x1 + Road_Button29.Width;
         y2 = y1 + Road_Button29.Height;
        
         if (Road_Button29.Gradient == True) {
             Road_Button29.Gradient = False;
             PaintButton(&Road_Button29,x1,y1,x2,y2);
         }
         else
         {
             Road_Button29.Gradient = True;
             PaintButton(&Road_Button29,x1,y1,x2,y2);
         }    
     }
}

void Road_Button30Click() {  // WHT button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button30.Gradient == True))
          WHT++;
     
     CounterSelected = &WHT;

     strcpy(CounterString,"West Heavy Through");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button30.Left;
         y1 = Road_Button30.Top;
         x2 = x1 + Road_Button30.Width;
         y2 = y1 + Road_Button30.Height;
        
         if (Road_Button30.Gradient == True) {
             Road_Button30.Gradient = False;
             PaintButton(&Road_Button30,x1,y1,x2,y2);
         }
         else
         {
             Road_Button30.Gradient = True;
             PaintButton(&Road_Button30,x1,y1,x2,y2);
         }    
     }
}

void Road_Button31Click() {  // WTT button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button31.Gradient == True))
          WTT++;
     
     CounterSelected = &WTT;

     strcpy(CounterString,"West Truck Through");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button31.Left;
         y1 = Road_Button31.Top;
         x2 = x1 + Road_Button31.Width;
         y2 = y1 + Road_Button31.Height;
        
         if (Road_Button31.Gradient == True) {
             Road_Button31.Gradient = False;
             PaintButton(&Road_Button31,x1,y1,x2,y2);
         }
         else
         {
             Road_Button31.Gradient = True;
             PaintButton(&Road_Button31,x1,y1,x2,y2);
         }    
     }
}

void Road_Button32Click() {  // WCT button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button32.Gradient == True))
          WCT++;
     
     CounterSelected = &WCT;

     strcpy(CounterString,"West Car Through");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button32.Left;
         y1 = Road_Button32.Top;
         x2 = x1 + Road_Button32.Width;
         y2 = y1 + Road_Button32.Height;
        
         if (Road_Button32.Gradient == True) {
             Road_Button32.Gradient = False;
             PaintButton(&Road_Button32,x1,y1,x2,y2);
         }
         else
         {
             Road_Button32.Gradient = True;
             PaintButton(&Road_Button32,x1,y1,x2,y2);
         }    
     }
}

void Road_Button33Click() {  // Spare6 button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button33.Gradient == True))
          Spare7++;
     
     CounterSelected = &Spare7;

     strcpy(CounterString,"Spare 7");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button33.Left;
         y1 = Road_Button33.Top;
         x2 = x1 + Road_Button33.Width;
         y2 = y1 + Road_Button33.Height;
        
         if (Road_Button33.Gradient == True) {
             Road_Button33.Gradient = False;
             PaintButton(&Road_Button33,x1,y1,x2,y2);
         }
         else
         {
             Road_Button33.Gradient = True;
             PaintButton(&Road_Button33,x1,y1,x2,y2);
         }    
     }
}

void Road_Button34Click() {  // WHR button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button34.Gradient == True))
          WHR++;
     
     CounterSelected = &WHR;

     strcpy(CounterString,"West Heavy Right");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button34.Left;
         y1 = Road_Button34.Top;
         x2 = x1 + Road_Button34.Width;
         y2 = y1 + Road_Button34.Height;
        
         if (Road_Button34.Gradient == True) {
             Road_Button34.Gradient = False;
             PaintButton(&Road_Button34,x1,y1,x2,y2);
         }
         else
         {
             Road_Button34.Gradient = True;
             PaintButton(&Road_Button34,x1,y1,x2,y2);
         }    
     }
}

void Road_Button35Click() {  // WTR button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button35.Gradient == True))
          WTR++;
     
     CounterSelected = &WTR;

     strcpy(CounterString,"West Truck Right");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button35.Left;
         y1 = Road_Button35.Top;
         x2 = x1 + Road_Button35.Width;
         y2 = y1 + Road_Button35.Height;
        
         if (Road_Button35.Gradient == True) {
             Road_Button35.Gradient = False;
             PaintButton(&Road_Button35,x1,y1,x2,y2);
         }
         else
         {
             Road_Button35.Gradient = True;
             PaintButton(&Road_Button35,x1,y1,x2,y2);
         }    
     }
}

void Road_Button36Click() {  // WCR button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button36.Gradient == True))
          WCR++;
     
     CounterSelected = &WCR;

     strcpy(CounterString,"West Car Right");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button36.Left;
         y1 = Road_Button36.Top;
         x2 = x1 + Road_Button36.Width;
         y2 = y1 + Road_Button36.Height;
        
         if (Road_Button36.Gradient == True) {
             Road_Button36.Gradient = False;
             PaintButton(&Road_Button36,x1,y1,x2,y2);
         }
         else
         {
             Road_Button36.Gradient = True;
             PaintButton(&Road_Button36,x1,y1,x2,y2);
         }    
     }
}

void Road_Button37Click() {  // ECR button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button37.Gradient == True))
          ECR++;
     
     CounterSelected = &ECR;

     strcpy(CounterString,"East Car Right");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button37.Left;
         y1 = Road_Button37.Top;
         x2 = x1 + Road_Button37.Width;
         y2 = y1 + Road_Button37.Height;
        
         if (Road_Button37.Gradient == True) {
             Road_Button37.Gradient = False;
             PaintButton(&Road_Button37,x1,y1,x2,y2);
         }
         else
         {
             Road_Button37.Gradient = True;
             PaintButton(&Road_Button37,x1,y1,x2,y2);
         }    
     }
}

void Road_Button38Click() {  // ETR button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button38.Gradient == True))
          ETR++;
     
     CounterSelected = &ETR;

     strcpy(CounterString,"East Truck Right");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button38.Left;
         y1 = Road_Button38.Top;
         x2 = x1 + Road_Button38.Width;
         y2 = y1 + Road_Button38.Height;
        
         if (Road_Button38.Gradient == True) {
             Road_Button38.Gradient = False;
             PaintButton(&Road_Button38,x1,y1,x2,y2);
         }
         else
         {
             Road_Button38.Gradient = True;
             PaintButton(&Road_Button38,x1,y1,x2,y2);
         }    
     }
}

void Road_Button39Click() {  // EHR button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button39.Gradient == True))
          EHR++;
     
     CounterSelected = &EHR;

     strcpy(CounterString,"East Heavy Right");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button39.Left;
         y1 = Road_Button39.Top;
         x2 = x1 + Road_Button39.Width;
         y2 = y1 + Road_Button39.Height;
        
         if (Road_Button39.Gradient == True) {
             Road_Button39.Gradient = False;
             PaintButton(&Road_Button39,x1,y1,x2,y2);
         }
         else
         {
             Road_Button39.Gradient = True;
             PaintButton(&Road_Button39,x1,y1,x2,y2);
         }    
     }
}

void Road_Button40Click() {  // Spare7 button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button40.Gradient == True))
          Spare3++;
     
     CounterSelected = &Spare3;

     strcpy(CounterString,"Spare 3");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button40.Left;
         y1 = Road_Button40.Top;
         x2 = x1 + Road_Button40.Width;
         y2 = y1 + Road_Button40.Height;
        
         if (Road_Button40.Gradient == True) {
             Road_Button40.Gradient = False;
             PaintButton(&Road_Button40,x1,y1,x2,y2);
         }
         else
         {
             Road_Button40.Gradient = True;
             PaintButton(&Road_Button40,x1,y1,x2,y2);
         }    
     }
}

void Road_Button41Click() {  // ECT button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button41.Gradient == True))
          ECT++;
     
     CounterSelected = &ECT;

     strcpy(CounterString,"East Car Through");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button41.Left;
         y1 = Road_Button41.Top;
         x2 = x1 + Road_Button41.Width;
         y2 = y1 + Road_Button41.Height;
        
         if (Road_Button41.Gradient == True) {
             Road_Button41.Gradient = False;
             PaintButton(&Road_Button41,x1,y1,x2,y2);
         }
         else
         {
             Road_Button41.Gradient = True;
             PaintButton(&Road_Button41,x1,y1,x2,y2);
         }    
     }
}

void Road_Button42Click() {  // ETT button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button42.Gradient == True))
          ETT++;
     
     CounterSelected = &ETT;

     strcpy(CounterString,"East Truck Through");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button42.Left;
         y1 = Road_Button42.Top;
         x2 = x1 + Road_Button42.Width;
         y2 = y1 + Road_Button42.Height;
        
         if (Road_Button42.Gradient == True) {
             Road_Button42.Gradient = False;
             PaintButton(&Road_Button42,x1,y1,x2,y2);
         }
         else
         {
             Road_Button42.Gradient = True;
             PaintButton(&Road_Button42,x1,y1,x2,y2);
         }    
     }
}

void Road_Button43Click() {  // EHT button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button43.Gradient == True))
          EHT++;
     
     CounterSelected = &EHT;

     strcpy(CounterString,"East Heavy Through");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button43.Left;
         y1 = Road_Button43.Top;
         x2 = x1 + Road_Button43.Width;
         y2 = y1 + Road_Button43.Height;
        
         if (Road_Button43.Gradient == True) {
             Road_Button43.Gradient = False;
             PaintButton(&Road_Button43,x1,y1,x2,y2);
         }
         else
         {
             Road_Button43.Gradient = True;
             PaintButton(&Road_Button43,x1,y1,x2,y2);
         }    
     }
}

void Road_Button44Click() {  // EPC button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button44.Gradient == True))
          EPC++;
     
     CounterSelected = &EPC;

     strcpy(CounterString,"East Pedestrian Cross");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button44.Left;
         y1 = Road_Button44.Top;
         x2 = x1 + Road_Button44.Width;
         y2 = y1 + Road_Button44.Height;
        
         if (Road_Button44.Gradient == True) {
             Road_Button44.Gradient = False;
             PaintButton(&Road_Button44,x1,y1,x2,y2);
         }
         else
         {
             Road_Button44.Gradient = True;
             PaintButton(&Road_Button44,x1,y1,x2,y2);
         }    
     }
}

void Road_Button45Click() {  // ECL button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button45.Gradient == True))
          ECL++;
     
     CounterSelected = &ECL;

     strcpy(CounterString,"East Car Left");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button45.Left;
         y1 = Road_Button45.Top;
         x2 = x1 + Road_Button45.Width;
         y2 = y1 + Road_Button45.Height;
        
         if (Road_Button45.Gradient == True) {
             Road_Button45.Gradient = False;
             PaintButton(&Road_Button45,x1,y1,x2,y2);
         }
         else
         {
             Road_Button45.Gradient = True;
             PaintButton(&Road_Button45,x1,y1,x2,y2);
         }    
     }
}

void Road_Button46Click() {  // ETL button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button46.Gradient == True))
          ETL++;
     
     CounterSelected = &ETL;

     strcpy(CounterString,"East Truck Left");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button46.Left;
         y1 = Road_Button46.Top;
         x2 = x1 + Road_Button46.Width;
         y2 = y1 + Road_Button46.Height;
        
         if (Road_Button46.Gradient == True) {
             Road_Button46.Gradient = False;
             PaintButton(&Road_Button46,x1,y1,x2,y2);
         }
         else
         {
             Road_Button46.Gradient = True;
             PaintButton(&Road_Button46,x1,y1,x2,y2);
         }    
     }
}

void Road_Button47Click() {  // EHL button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button47.Gradient == True))
          EHL++;
     
     CounterSelected = &EHL;

     strcpy(CounterString,"East Heavy Left");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button47.Left;
         y1 = Road_Button47.Top;
         x2 = x1 + Road_Button47.Width;
         y2 = y1 + Road_Button47.Height;
        
         if (Road_Button47.Gradient == True) {
             Road_Button47.Gradient = False;
             PaintButton(&Road_Button47,x1,y1,x2,y2);
         }
         else
         {
             Road_Button47.Gradient = True;
             PaintButton(&Road_Button47,x1,y1,x2,y2);
         }    
     }
}

void Road_Button48Click() {  // Spare8 button
     int x1, y1, x2, y2;

     if ((Road_CircleButton1.Gradient_Start_Color == CL_RED) && (Road_Button48.Gradient == True))
          Spare4++;
     
     CounterSelected = &Spare4;

     strcpy(CounterString,"Spare 4");
     PaintRoundButton1();
     PaintRoundButton2();

     if (Road_CircleButton3.Gradient_Start_Color == CL_RED) {
         x1 = Road_Button48.Left;
         y1 = Road_Button48.Top;
         x2 = x1 + Road_Button48.Width;
         y2 = y1 + Road_Button48.Height;
        
         if (Road_Button48.Gradient == True) {
             Road_Button48.Gradient = False;
             PaintButton(&Road_Button48,x1,y1,x2,y2);
         }
         else
         {
             Road_Button48.Gradient = True;
             PaintButton(&Road_Button48,x1,y1,x2,y2);
         }    
     }
}

void Road_CircleButton1Click() {  // Count button
     Road_CircleButton1.Gradient_Start_Color = CL_RED;
     DrawCircleButton(&Road_CircleButton1);
     Road_CircleButton2.Gradient_Start_Color = CL_WHITE;
     DrawCircleButton(&Road_CircleButton2);
     Road_CircleButton3.Gradient_Start_Color = CL_WHITE;
     DrawCircleButton(&Road_CircleButton3);
}

void Road_CircleButton2Click() {  // View button
     Road_CircleButton1.Gradient_Start_Color = CL_WHITE;
     DrawCircleButton(&Road_CircleButton1);
     Road_CircleButton2.Gradient_Start_Color = CL_RED;
     DrawCircleButton(&Road_CircleButton2);
     Road_CircleButton3.Gradient_Start_Color = CL_WHITE;
     DrawCircleButton(&Road_CircleButton3);

}

void Road_CircleButton3Click() {  // Disable button
     Road_CircleButton1.Gradient_Start_Color = CL_WHITE;
     DrawCircleButton(&Road_CircleButton1);
     Road_CircleButton2.Gradient_Start_Color = CL_WHITE;
     DrawCircleButton(&Road_CircleButton2);
     Road_CircleButton3.Gradient_Start_Color = CL_RED;
     DrawCircleButton(&Road_CircleButton3);
}

void Road_CircleButton4Click() {  // - button
     if ((CounterSelected != 0) && (*CounterSelected > 0)) {
         *CounterSelected -= 1;
         PaintRoundButton2();
     }
}

void Road_CircleButton5Click() {  // + button
     if ((CounterSelected != 0) && (*CounterSelected > 0)) {
         *CounterSelected += 1;
         PaintRoundButton2();
     }
}

// North at 12 o'clock
void Road_Button49Click() {  // N button
     Road_Button49.Color = CL_YELLOW;
     Road_Button49.Caption = "N";
     //PaintButton(&Road_Button49,152,100,168,118);
     
     Road_Button50.Color = CL_GRAY;
     Road_Button50.Caption = "E";
     //PaintButton(&Road_Button50,185,117,201,135);
     
     Road_Button51.Color = CL_GRAY;
     Road_Button51.Caption = "S";
     //PaintButton(&Road_Button51,152,133,168,151);
     
     Road_Button52.Color = CL_GRAY;
     Road_Button52.Caption = "W";
     //PaintButton(&Road_Button52,119,117,135,135);

     // North Bank     
     Road_Button1.Left = 118; Road_Button1.Top = 34;
     Road_Button2.Left = 146; Road_Button2.Top = 34;
     Road_Button3.Left = 174; Road_Button3.Top = 34;
     Road_Button4.Left = 118; Road_Button4.Top = 50;
     Road_Button5.Left = 146; Road_Button5.Top = 50;
     Road_Button6.Left = 174; Road_Button6.Top = 50;
     Road_Button7.Left = 118; Road_Button7.Top = 66;
     Road_Button8.Left = 146; Road_Button8.Top = 66;
     Road_Button9.Left = 174; Road_Button9.Top = 66;
     Road_Button10.Left = 118; Road_Button10.Top = 82;
     Road_Button11.Left = 146; Road_Button11.Top = 82;
     Road_Button12.Left = 174; Road_Button12.Top = 82;

     // South Bank     
     Road_Button13.Left = 118; Road_Button13.Top = 153;
     Road_Button14.Left = 146; Road_Button14.Top = 153;
     Road_Button15.Left = 174; Road_Button15.Top = 153;
     Road_Button16.Left = 118; Road_Button16.Top = 169;
     Road_Button17.Left = 146; Road_Button17.Top = 169;
     Road_Button18.Left = 174; Road_Button18.Top = 169;
     Road_Button19.Left = 118; Road_Button19.Top = 185;
     Road_Button20.Left = 146; Road_Button20.Top = 185;
     Road_Button21.Left = 174; Road_Button21.Top = 185;
     Road_Button22.Left = 118; Road_Button22.Top = 201;
     Road_Button23.Left = 146; Road_Button23.Top = 201;
     Road_Button24.Left = 174; Road_Button24.Top = 201;

     // West Bank     
     Road_Button25.Left = 4; Road_Button25.Top = 101;
     Road_Button26.Left = 32; Road_Button26.Top = 101;
     Road_Button27.Left = 60; Road_Button27.Top = 101;
     Road_Button28.Left = 88; Road_Button28.Top = 101;
     Road_Button29.Left = 4; Road_Button29.Top = 117;
     Road_Button30.Left = 32; Road_Button30.Top = 117;
     Road_Button31.Left = 60; Road_Button31.Top = 117;
     Road_Button32.Left = 88; Road_Button32.Top = 117;
     Road_Button33.Left = 4; Road_Button33.Top = 133;
     Road_Button34.Left = 32; Road_Button34.Top = 133;
     Road_Button35.Left = 60; Road_Button35.Top = 133;
     Road_Button36.Left = 88; Road_Button36.Top = 133;

     // East Bank     
     Road_Button37.Left = 204; Road_Button37.Top = 101;
     Road_Button38.Left = 232; Road_Button38.Top = 101;
     Road_Button39.Left = 260; Road_Button39.Top = 101;
     Road_Button40.Left = 288; Road_Button40.Top = 101;
     Road_Button41.Left = 204; Road_Button41.Top = 117;
     Road_Button42.Left = 232; Road_Button42.Top = 117;
     Road_Button43.Left = 260; Road_Button43.Top = 117;
     Road_Button44.Left = 288; Road_Button44.Top = 117;
     Road_Button45.Left = 204; Road_Button45.Top = 133;
     Road_Button46.Left = 232; Road_Button46.Top = 133;
     Road_Button47.Left = 260; Road_Button47.Top = 133;
     Road_Button48.Left = 288; Road_Button48.Top = 133;

     DrawScreen(&Road);
}

// North at 3 o'clock
void Road_Button50Click() {  // E button
     Road_Button49.Color = CL_GRAY;
     Road_Button49.Caption = "W";
     //PaintButton(&Road_Button49,152,100,168,118);
     
     Road_Button50.Color = CL_YELLOW;
     Road_Button50.Caption = "N";
     //PaintButton(&Road_Button50,185,117,201,135);
     
     Road_Button51.Color = CL_GRAY;
     Road_Button51.Caption = "E";
     //PaintButton(&Road_Button51,152,133,168,151);
     
     Road_Button52.Color = CL_GRAY;
     Road_Button52.Caption = "S";
     //PaintButton(&Road_Button52,119,117,135,135);

     // North Bank     
     Road_Button1.Left = 288; Road_Button1.Top = 101;
     Road_Button2.Left = 288; Road_Button2.Top = 117;
     Road_Button3.Left = 288; Road_Button3.Top = 133;
     Road_Button4.Left = 260; Road_Button4.Top = 101;
     Road_Button5.Left = 260; Road_Button5.Top = 117;
     Road_Button6.Left = 260; Road_Button6.Top = 133;
     Road_Button7.Left = 232; Road_Button7.Top = 101;
     Road_Button8.Left = 232; Road_Button8.Top = 117;
     Road_Button9.Left = 232; Road_Button9.Top = 133;
     Road_Button10.Left = 204; Road_Button10.Top = 101;
     Road_Button11.Left = 204; Road_Button11.Top = 117;
     Road_Button12.Left = 204; Road_Button12.Top = 133;

     // South Bank     
     Road_Button13.Left = 88; Road_Button13.Top = 101;
     Road_Button14.Left = 88; Road_Button14.Top = 117;
     Road_Button15.Left = 88; Road_Button15.Top = 133;
     Road_Button16.Left = 60; Road_Button16.Top = 101;
     Road_Button17.Left = 60; Road_Button17.Top = 117;
     Road_Button18.Left = 60; Road_Button18.Top = 133;
     Road_Button19.Left = 32; Road_Button19.Top = 101;
     Road_Button20.Left = 32; Road_Button20.Top = 117;
     Road_Button21.Left = 32; Road_Button21.Top = 133;
     Road_Button22.Left = 4; Road_Button22.Top = 101;
     Road_Button23.Left = 4; Road_Button23.Top = 117;
     Road_Button24.Left = 4; Road_Button24.Top = 133;

     // West Bank     
     Road_Button25.Left = 174; Road_Button25.Top = 34;
     Road_Button26.Left = 174; Road_Button26.Top = 50;
     Road_Button27.Left = 174; Road_Button27.Top = 66;
     Road_Button28.Left = 174; Road_Button28.Top = 82;
     Road_Button29.Left = 146; Road_Button29.Top = 34;
     Road_Button30.Left = 146; Road_Button30.Top = 50;
     Road_Button31.Left = 146; Road_Button31.Top = 66;
     Road_Button32.Left = 146; Road_Button32.Top = 82;
     Road_Button33.Left = 118; Road_Button33.Top = 34;
     Road_Button34.Left = 118; Road_Button34.Top = 50;
     Road_Button35.Left = 118; Road_Button35.Top = 66;
     Road_Button36.Left = 118; Road_Button36.Top = 82;

     // East Bank     
     Road_Button37.Left = 174; Road_Button37.Top = 153;
     Road_Button38.Left = 174; Road_Button38.Top = 169;
     Road_Button39.Left = 174; Road_Button39.Top = 185;
     Road_Button40.Left = 174; Road_Button40.Top = 201;
     Road_Button41.Left = 146; Road_Button41.Top = 153;
     Road_Button42.Left = 146; Road_Button42.Top = 169;
     Road_Button43.Left = 146; Road_Button43.Top = 185;
     Road_Button44.Left = 146; Road_Button44.Top = 201;
     Road_Button45.Left = 118; Road_Button45.Top = 153;
     Road_Button46.Left = 118; Road_Button46.Top = 169;
     Road_Button47.Left = 118; Road_Button47.Top = 185;
     Road_Button48.Left = 118; Road_Button48.Top = 201;

     DrawScreen(&Road);
}

// North at 6 o'clock
void Road_Button51Click() {  // S button
     Road_Button49.Color = CL_GRAY;
     Road_Button49.Caption = "S";
     //PaintButton(&Road_Button49,152,100,168,118);
     
     Road_Button50.Color = CL_GRAY;
     Road_Button50.Caption = "W";
     //PaintButton(&Road_Button50,185,117,201,135);
     
     Road_Button51.Color = CL_YELLOW;
     Road_Button51.Caption = "N";
     //PaintButton(&Road_Button51,152,133,168,151);
     
     Road_Button52.Color = CL_GRAY;
     Road_Button52.Caption = "E";
     //PaintButton(&Road_Button52,119,117,135,135);

     // North Bank     
     Road_Button1.Left = 174; Road_Button1.Top = 201;
     Road_Button2.Left = 146; Road_Button2.Top = 201;
     Road_Button3.Left = 118; Road_Button3.Top = 201;
     Road_Button4.Left = 174; Road_Button4.Top = 185;
     Road_Button5.Left = 146; Road_Button5.Top = 185;
     Road_Button6.Left = 118; Road_Button6.Top = 185;
     Road_Button7.Left = 174; Road_Button7.Top = 169;
     Road_Button8.Left = 146; Road_Button8.Top = 169;
     Road_Button9.Left = 118; Road_Button9.Top = 169;
     Road_Button10.Left = 174; Road_Button10.Top = 153;
     Road_Button11.Left = 146; Road_Button11.Top = 153;
     Road_Button12.Left = 118; Road_Button12.Top = 153;

     // South Bank     
     Road_Button13.Left = 174; Road_Button13.Top = 82;
     Road_Button14.Left = 146; Road_Button14.Top = 82;
     Road_Button15.Left = 118; Road_Button15.Top = 82;
     Road_Button16.Left = 174; Road_Button16.Top = 66;
     Road_Button17.Left = 146; Road_Button17.Top = 66;
     Road_Button18.Left = 118; Road_Button18.Top = 66;
     Road_Button19.Left = 174; Road_Button19.Top = 50;
     Road_Button20.Left = 146; Road_Button20.Top = 50;
     Road_Button21.Left = 118; Road_Button21.Top = 50;
     Road_Button22.Left = 174; Road_Button22.Top = 34;
     Road_Button23.Left = 146; Road_Button23.Top = 34;
     Road_Button24.Left = 118; Road_Button24.Top = 34;

     // West Bank     
     Road_Button25.Left = 288; Road_Button25.Top = 133;
     Road_Button26.Left = 260; Road_Button26.Top = 133;
     Road_Button27.Left = 232; Road_Button27.Top = 133;
     Road_Button28.Left = 204; Road_Button28.Top = 133;
     Road_Button29.Left = 288; Road_Button29.Top = 117;
     Road_Button30.Left = 260; Road_Button30.Top = 117;
     Road_Button31.Left = 232; Road_Button31.Top = 117;
     Road_Button32.Left = 204; Road_Button32.Top = 117;
     Road_Button33.Left = 288; Road_Button33.Top = 101;
     Road_Button34.Left = 260; Road_Button34.Top = 101;
     Road_Button35.Left = 232; Road_Button35.Top = 101;
     Road_Button36.Left = 204; Road_Button36.Top = 101;

     // East Bank     
     Road_Button37.Left = 88; Road_Button37.Top = 133;
     Road_Button38.Left = 60; Road_Button38.Top = 133;
     Road_Button39.Left = 32; Road_Button39.Top = 133;
     Road_Button40.Left = 4; Road_Button40.Top = 133;
     Road_Button41.Left = 88; Road_Button41.Top = 117;
     Road_Button42.Left = 60; Road_Button42.Top = 117;
     Road_Button43.Left = 32; Road_Button43.Top = 117;
     Road_Button44.Left = 4; Road_Button44.Top = 117;
     Road_Button45.Left = 88; Road_Button45.Top = 101;
     Road_Button46.Left = 60; Road_Button46.Top = 101;
     Road_Button47.Left = 32; Road_Button47.Top = 101;
     Road_Button48.Left = 4; Road_Button48.Top = 101;

     DrawScreen(&Road);
}

// North at 9 o'clock
void Road_Button52Click() {  // W button
     Road_Button49.Color = CL_GRAY;
     Road_Button49.Caption = "E";
     //PaintButton(&Road_Button49,152,100,168,118);
     
     Road_Button50.Color = CL_GRAY;
     Road_Button50.Caption = "S";
     //PaintButton(&Road_Button50,185,117,201,135);
     
     Road_Button51.Color = CL_GRAY;
     Road_Button51.Caption = "W";
     //PaintButton(&Road_Button51,152,133,168,151);
     
     Road_Button52.Color = CL_YELLOW;
     Road_Button52.Caption = "N";
     //PaintButton(&Road_Button52,119,117,135,135);
     
          // North Bank     
     Road_Button1.Left = 4; Road_Button1.Top = 133;
     Road_Button2.Left = 4; Road_Button2.Top = 117;
     Road_Button3.Left = 4; Road_Button3.Top = 101;
     Road_Button4.Left = 32; Road_Button4.Top = 133;
     Road_Button5.Left = 32; Road_Button5.Top = 117;
     Road_Button6.Left = 32; Road_Button6.Top = 101;
     Road_Button7.Left = 60; Road_Button7.Top = 133;
     Road_Button8.Left = 60; Road_Button8.Top = 117;
     Road_Button9.Left = 60; Road_Button9.Top = 101;
     Road_Button10.Left = 88; Road_Button10.Top = 133;
     Road_Button11.Left = 88; Road_Button11.Top = 117;
     Road_Button12.Left = 88; Road_Button12.Top = 101;

     // South Bank     
     Road_Button13.Left = 204; Road_Button13.Top = 133;
     Road_Button14.Left = 204; Road_Button14.Top = 117;
     Road_Button15.Left = 204; Road_Button15.Top = 101;
     Road_Button16.Left = 232; Road_Button16.Top = 133;
     Road_Button17.Left = 232; Road_Button17.Top = 117;
     Road_Button18.Left = 232; Road_Button18.Top = 101;
     Road_Button19.Left = 260; Road_Button19.Top = 133;
     Road_Button20.Left = 260; Road_Button20.Top = 117;
     Road_Button21.Left = 260; Road_Button21.Top = 101;
     Road_Button22.Left = 288; Road_Button22.Top = 133;
     Road_Button23.Left = 288; Road_Button23.Top = 117;
     Road_Button24.Left = 288; Road_Button24.Top = 101;

     // West Bank     
     Road_Button25.Left = 118; Road_Button25.Top = 201;
     Road_Button26.Left = 118; Road_Button26.Top = 185;
     Road_Button27.Left = 118; Road_Button27.Top = 169;
     Road_Button28.Left = 118; Road_Button28.Top = 153;
     Road_Button29.Left = 146; Road_Button29.Top = 201;
     Road_Button30.Left = 146; Road_Button30.Top = 185;
     Road_Button31.Left = 146; Road_Button31.Top = 169;
     Road_Button32.Left = 146; Road_Button32.Top = 153;
     Road_Button33.Left = 174; Road_Button33.Top = 201;
     Road_Button34.Left = 174; Road_Button34.Top = 185;
     Road_Button35.Left = 174; Road_Button35.Top = 169;
     Road_Button36.Left = 174; Road_Button36.Top = 153;

     // East Bank     
     Road_Button37.Left = 118; Road_Button37.Top = 82;
     Road_Button38.Left = 118; Road_Button38.Top = 66;
     Road_Button39.Left = 118; Road_Button39.Top = 50;
     Road_Button40.Left = 118; Road_Button40.Top = 34;
     Road_Button41.Left = 146; Road_Button41.Top = 82;
     Road_Button42.Left = 146; Road_Button42.Top = 66;
     Road_Button43.Left = 146; Road_Button43.Top = 50;
     Road_Button44.Left = 146; Road_Button44.Top = 34;
     Road_Button45.Left = 174; Road_Button45.Top = 82;
     Road_Button46.Left = 174; Road_Button46.Top = 66;
     Road_Button47.Left = 174; Road_Button47.Top = 50;
     Road_Button48.Left = 174; Road_Button48.Top = 34;

     DrawScreen(&Road);
}

void Road_ButtonRound3Click() {  // Go to Set Up button
     DrawScreen(&Start);
     DisplayFlag = True;
}
/*Diagnostic Tools ************************************************************/
