typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct  Button {
  TScreen*  OwnerScreen;
  char          Order;
  unsigned int  Left;
  unsigned int  Top;
  unsigned int  Width;
  unsigned int  Height;
  char          Pen_Width;
  unsigned int  Pen_Color;
  char          Visible;
  char          Active;
  char          Transparent;
  char          *Caption;
  TTextAlign    TextAlign;
  const char    *FontName;
  unsigned int  Font_Color;
  char          Gradient;
  char          Gradient_Orientation;
  unsigned int  Gradient_Start_Color;
  unsigned int  Gradient_End_Color;
  unsigned int  Color;
  char          PressColEnabled;
  unsigned int  Press_Color;
  void          (*OnUpPtr)();
  void          (*OnDownPtr)();
  void          (*OnClickPtr)();
  void          (*OnPressPtr)();
} TButton;

typedef struct  Button_Round {
  TScreen*  OwnerScreen;
  char          Order;
  unsigned int  Left;
  unsigned int  Top;
  unsigned int  Width;
  unsigned int  Height;
  char          Pen_Width;
  unsigned int  Pen_Color;
  char          Visible;
  char          Active;
  char          Transparent;
  char          *Caption;
  TTextAlign    TextAlign;
  const char    *FontName;
  unsigned int  Font_Color;
  char          Gradient;
  char          Gradient_Orientation;
  unsigned int  Gradient_Start_Color;
  unsigned int  Gradient_End_Color;
  unsigned int  Color;
  char          Corner_Radius;
  char          PressColEnabled;
  unsigned int  Press_Color;
  void          (*OnUpPtr)();
  void          (*OnDownPtr)();
  void          (*OnClickPtr)();
  void          (*OnPressPtr)();
} TButton_Round;

typedef struct  Label {
  TScreen*  OwnerScreen;
  char          Order;
  unsigned int  Left;
  unsigned int  Top;
  unsigned int  Width;
  unsigned int  Height;
  char          *Caption;
  const char    *FontName;
  unsigned int  Font_Color;
  char          Visible;
  char          Active;
  void          (*OnUpPtr)();
  void          (*OnDownPtr)();
  void          (*OnClickPtr)();
  void          (*OnPressPtr)();
} TLabel;

typedef struct  CircleButton {
  TScreen*  OwnerScreen;
  char          Order;
  unsigned int  Left;
  unsigned int  Top;
  unsigned int  Radius;
  char          Pen_Width;
  unsigned int  Pen_Color;
  char          Visible;
  char          Active;
  char          Transparent;
  char          *Caption;
  TTextAlign     TextAlign;
  const char    *FontName;
  unsigned int  Font_Color;
  char          Gradient;
  char          Gradient_Orientation;
  unsigned int  Gradient_Start_Color;
  unsigned int  Gradient_End_Color;
  unsigned int  Color;
  char          PressColEnabled;
  unsigned int  Press_Color;
  void          (*OnUpPtr)();
  void          (*OnDownPtr)();
  void          (*OnClickPtr)();
  void          (*OnPressPtr)();
} TCircleButton;

typedef struct  Box_Round {
  TScreen*  OwnerScreen;
  char          Order;
  unsigned int  Left;
  unsigned int  Top;
  unsigned int  Width;
  unsigned int  Height;
  char          Pen_Width;
  unsigned int  Pen_Color;
  char          Visible;
  char          Active;
  char          Transparent;
  char          Gradient;
  char          Gradient_Orientation;
  unsigned int  Gradient_Start_Color;
  unsigned int  Gradient_End_Color;
  unsigned int  Color;
  char          Corner_Radius;
  char          PressColEnabled;
  unsigned int  Press_Color;
  void          (*OnUpPtr)();
  void          (*OnDownPtr)();
  void          (*OnClickPtr)();
  void          (*OnPressPtr)();
} TBox_Round;

typedef struct  Line {
  TScreen*  OwnerScreen;
  char          Order;
  unsigned int  First_Point_X;
  unsigned int  First_Point_Y;
  unsigned int  Second_Point_X;
  unsigned int  Second_Point_Y;
  char          Pen_Width;
  char          Visible;
  unsigned int  Color;
} TLine;

struct Screen {
  unsigned int           Color;
  unsigned int           Width;
  unsigned int           Height;
  unsigned short         ObjectsCount;
  unsigned int           ButtonsCount;
  TButton                * const code *Buttons;
  unsigned int           Buttons_RoundCount;
  TButton_Round          * const code *Buttons_Round;
  unsigned int           LabelsCount;
  TLabel                 * const code *Labels;
  unsigned int           CircleButtonsCount;
  TCircleButton          * const code *CircleButtons;
  unsigned int           Boxes_RoundCount;
  TBox_Round             * const code *Boxes_Round;
  unsigned int           LinesCount;
  TLine                 * const code *Lines;
};

extern   TScreen                Start;
extern   TButton               Start_Button1;
extern   TButton               Start_Button2;
extern   TButton               Start_Button3;
extern   TButton_Round          Start_ButtonRound1;
extern   TButton_Round          Start_ButtonRound2;
extern   TButton_Round          Start_ButtonRound3;
extern   TLabel                 Start_Label1;
extern   TLabel                 Start_Label2;
extern   TLabel                 Start_Label3;
extern   TLabel                 Start_Label4;
extern   TLine                  Start_Line1;
extern   TLine                  Start_Line2;
extern   TButton               Start_Button4;
extern   TButton               Start_Button5;
extern   TButton               Start_Button6;
extern   TButton               Start_Button7;
extern   TButton               Start_Button8;
extern   TButton               Start_Button9;
extern   TButton               Start_Button10;
extern   TButton_Round          Start_ButtonRound4;
extern   TButton               Start_Button11;
extern   TButton               Start_Button12;
extern   TBox_Round             Start_BoxRound1;
extern   TLabel                 Start_Label5;
extern   TButton                * const code Screen1_Buttons[12];
extern   TButton_Round          * const code Screen1_Buttons_Round[4];
extern   TLabel                 * const code Screen1_Labels[5];
extern   TBox_Round             * const code Screen1_Boxes_Round[1];
extern   TLine                  * const code Screen1_Lines[2];


extern   TScreen                KeyBoard;
extern   TButton               KeyBoard_Button1;
extern   TButton               KeyBoard_Button2;
extern   TButton               KeyBoard_Button3;
extern   TButton               KeyBoard_Button4;
extern   TButton               KeyBoard_Button5;
extern   TButton               KeyBoard_Button6;
extern   TButton               KeyBoard_Button7;
extern   TButton               KeyBoard_Button8;
extern   TButton               KeyBoard_Button9;
extern   TButton               KeyBoard_Button10;
extern   TButton               KeyBoard_Button11;
extern   TButton               KeyBoard_Button12;
extern   TButton               KeyBoard_Button13;
extern   TButton               KeyBoard_Button14;
extern   TLabel                 KeyBoard_Label1;
extern   TLabel                 KeyBoard_Label2;
extern   TButton                * const code Screen2_Buttons[14];
extern   TLabel                 * const code Screen2_Labels[2];


extern   TScreen                Road;
extern   TButton               Road_Button1;
extern   TButton               Road_Button2;
extern   TButton               Road_Button3;
extern   TButton               Road_Button4;
extern   TButton               Road_Button5;
extern   TButton               Road_Button6;
extern   TButton               Road_Button7;
extern   TButton               Road_Button8;
extern   TButton               Road_Button9;
extern   TButton               Road_Button10;
extern   TButton               Road_Button11;
extern   TButton               Road_Button12;
extern   TButton               Road_Button13;
extern   TButton               Road_Button14;
extern   TButton               Road_Button15;
extern   TButton               Road_Button16;
extern   TButton               Road_Button17;
extern   TButton               Road_Button18;
extern   TButton               Road_Button19;
extern   TButton               Road_Button20;
extern   TButton               Road_Button21;
extern   TButton               Road_Button22;
extern   TButton               Road_Button23;
extern   TButton               Road_Button24;
extern   TButton               Road_Button25;
extern   TButton               Road_Button26;
extern   TButton               Road_Button27;
extern   TButton               Road_Button28;
extern   TButton               Road_Button29;
extern   TButton               Road_Button30;
extern   TButton               Road_Button31;
extern   TButton               Road_Button32;
extern   TButton               Road_Button33;
extern   TButton               Road_Button34;
extern   TButton               Road_Button35;
extern   TButton               Road_Button36;
extern   TButton               Road_Button37;
extern   TButton               Road_Button38;
extern   TButton               Road_Button39;
extern   TButton               Road_Button40;
extern   TButton               Road_Button41;
extern   TButton               Road_Button42;
extern   TButton               Road_Button43;
extern   TButton               Road_Button44;
extern   TButton               Road_Button45;
extern   TButton               Road_Button46;
extern   TButton               Road_Button47;
extern   TButton               Road_Button48;
extern   TButton_Round          Road_ButtonRound1;
extern   TLabel                 Road_Label1;
extern   TLabel                 Road_Label2;
extern   TLabel                 Road_Label3;
extern   TLabel                 Road_Label4;
extern   TLine                  Road_Line1;
extern   TLine                  Road_Line2;
extern   TLine                  Road_Line3;
extern   TLine                  Road_Line4;
extern   TLine                  Road_Line5;
extern   TLine                  Road_Line6;
extern   TLabel                 Road_Label5;
extern   TLabel                 Road_Label6;
extern   TLabel                 Road_Label7;
extern   TLabel                 Road_Label8;
extern   TLine                  Road_Line7;
extern   TLine                  Road_Line8;
extern   TLine                  Road_Line9;
extern   TLine                  Road_Line10;
extern   TLine                  Road_Line11;
extern   TLine                  Road_Line12;
extern   TCircleButton          Road_CircleButton1;
extern   TLabel                 Road_Label9;
extern   TCircleButton          Road_CircleButton2;
extern   TLabel                 Road_Label10;
extern   TCircleButton          Road_CircleButton3;
extern   TLabel                 Road_Label11;
extern   TCircleButton          Road_CircleButton4;
extern   TCircleButton          Road_CircleButton5;
extern   TButton_Round          Road_ButtonRound2;
extern   TButton               Road_Button49;
extern   TButton               Road_Button50;
extern   TButton               Road_Button51;
extern   TButton               Road_Button52;
extern   TButton_Round          Road_ButtonRound3;
extern   TButton                * const code Screen3_Buttons[52];
extern   TButton_Round          * const code Screen3_Buttons_Round[3];
extern   TLabel                 * const code Screen3_Labels[11];
extern   TCircleButton          * const code Screen3_CircleButtons[5];
extern   TLine                  * const code Screen3_Lines[12];



/////////////////////////
// Events Code Declarations
void KeyBoard_Button10Click();
void KeyBoard_Button11Click();
void KeyBoard_Button12Click();
void KeyBoard_Button13Click();
void KeyBoard_Button14Click();
void KeyBoard_Button1Click();
void KeyBoard_Button2Click();
void KeyBoard_Button3Click();
void KeyBoard_Button4Click();
void KeyBoard_Button5Click();
void KeyBoard_Button6Click();
void KeyBoard_Button7Click();
void KeyBoard_Button8Click();
void KeyBoard_Button9Click();
void Road_Button10Click();
void Road_Button11Click();
void Road_Button12Click();
void Road_Button13Click();
void Road_Button14Click();
void Road_Button15Click();
void Road_Button16Click();
void Road_Button17Click();
void Road_Button18Click();
void Road_Button19Click();
void Road_Button1Click();
void Road_Button20Click();
void Road_Button21Click();
void Road_Button22Click();
void Road_Button23Click();
void Road_Button24Click();
void Road_Button25Click();
void Road_Button26Click();
void Road_Button27Click();
void Road_Button28Click();
void Road_Button29Click();
void Road_Button2Click();
void Road_Button30Click();
void Road_Button31Click();
void Road_Button32Click();
void Road_Button33Click();
void Road_Button34Click();
void Road_Button35Click();
void Road_Button36Click();
void Road_Button37Click();
void Road_Button38Click();
void Road_Button39Click();
void Road_Button3Click();
void Road_Button40Click();
void Road_Button41Click();
void Road_Button42Click();
void Road_Button43Click();
void Road_Button44Click();
void Road_Button45Click();
void Road_Button46Click();
void Road_Button47Click();
void Road_Button48Click();
void Road_Button49Click();
void Road_Button4Click();
void Road_Button50Click();
void Road_Button51Click();
void Road_Button52Click();
void Road_Button5Click();
void Road_Button6Click();
void Road_Button7Click();
void Road_Button8Click();
void Road_Button9Click();
void Road_ButtonRound3Click();
void Road_CircleButton1Click();
void Road_CircleButton2Click();
void Road_CircleButton3Click();
void Road_CircleButton4Click();
void Road_CircleButton5Click();
void Start_Button10Click();
void Start_Button11Click();
void Start_Button12Click();
void Start_Button1Click();
void Start_Button2Click();
void Start_Button3Click();
void Start_Button4Click();
void Start_Button5Click();
void Start_Button6Click();
void Start_Button7Click();
void Start_Button8Click();
void Start_Button9Click();
void Start_ButtonRound4Click();
/////////////////////////

/////////////////////////////////
// Caption variables Declarations
extern char Start_Button1_Caption[];
extern char Start_Button2_Caption[];
extern char Start_Button3_Caption[];
extern char Start_ButtonRound1_Caption[];
extern char Start_ButtonRound2_Caption[];
extern char Start_ButtonRound3_Caption[];
extern char Start_Label1_Caption[];
extern char Start_Label2_Caption[];
extern char Start_Label3_Caption[];
extern char Start_Label4_Caption[];
extern char Start_Line1_Caption[];
extern char Start_Line2_Caption[];
extern char Start_Button4_Caption[];
extern char Start_Button5_Caption[];
extern char Start_Button6_Caption[];
extern char Start_Button7_Caption[];
extern char Start_Button8_Caption[];
extern char Start_Button9_Caption[];
extern char Start_Button10_Caption[];
extern char Start_ButtonRound4_Caption[];
extern char Start_Button11_Caption[];
extern char Start_Button12_Caption[];
extern char Start_BoxRound1_Caption[];
extern char Start_Label5_Caption[];
extern char KeyBoard_Button1_Caption[];
extern char KeyBoard_Button2_Caption[];
extern char KeyBoard_Button3_Caption[];
extern char KeyBoard_Button4_Caption[];
extern char KeyBoard_Button5_Caption[];
extern char KeyBoard_Button6_Caption[];
extern char KeyBoard_Button7_Caption[];
extern char KeyBoard_Button8_Caption[];
extern char KeyBoard_Button9_Caption[];
extern char KeyBoard_Button10_Caption[];
extern char KeyBoard_Button11_Caption[];
extern char KeyBoard_Button12_Caption[];
extern char KeyBoard_Button13_Caption[];
extern char KeyBoard_Button14_Caption[];
extern char KeyBoard_Label1_Caption[];
extern char KeyBoard_Label2_Caption[];
extern char Road_Button1_Caption[];
extern char Road_Button2_Caption[];
extern char Road_Button3_Caption[];
extern char Road_Button4_Caption[];
extern char Road_Button5_Caption[];
extern char Road_Button6_Caption[];
extern char Road_Button7_Caption[];
extern char Road_Button8_Caption[];
extern char Road_Button9_Caption[];
extern char Road_Button10_Caption[];
extern char Road_Button11_Caption[];
extern char Road_Button12_Caption[];
extern char Road_Button13_Caption[];
extern char Road_Button14_Caption[];
extern char Road_Button15_Caption[];
extern char Road_Button16_Caption[];
extern char Road_Button17_Caption[];
extern char Road_Button18_Caption[];
extern char Road_Button19_Caption[];
extern char Road_Button20_Caption[];
extern char Road_Button21_Caption[];
extern char Road_Button22_Caption[];
extern char Road_Button23_Caption[];
extern char Road_Button24_Caption[];
extern char Road_Button25_Caption[];
extern char Road_Button26_Caption[];
extern char Road_Button27_Caption[];
extern char Road_Button28_Caption[];
extern char Road_Button29_Caption[];
extern char Road_Button30_Caption[];
extern char Road_Button31_Caption[];
extern char Road_Button32_Caption[];
extern char Road_Button33_Caption[];
extern char Road_Button34_Caption[];
extern char Road_Button35_Caption[];
extern char Road_Button36_Caption[];
extern char Road_Button37_Caption[];
extern char Road_Button38_Caption[];
extern char Road_Button39_Caption[];
extern char Road_Button40_Caption[];
extern char Road_Button41_Caption[];
extern char Road_Button42_Caption[];
extern char Road_Button43_Caption[];
extern char Road_Button44_Caption[];
extern char Road_Button45_Caption[];
extern char Road_Button46_Caption[];
extern char Road_Button47_Caption[];
extern char Road_Button48_Caption[];
extern char Road_ButtonRound1_Caption[];
extern char Road_Label1_Caption[];
extern char Road_Label2_Caption[];
extern char Road_Label3_Caption[];
extern char Road_Label4_Caption[];
extern char Road_Line1_Caption[];
extern char Road_Line2_Caption[];
extern char Road_Line3_Caption[];
extern char Road_Line4_Caption[];
extern char Road_Line5_Caption[];
extern char Road_Line6_Caption[];
extern char Road_Label5_Caption[];
extern char Road_Label6_Caption[];
extern char Road_Label7_Caption[];
extern char Road_Label8_Caption[];
extern char Road_Line7_Caption[];
extern char Road_Line8_Caption[];
extern char Road_Line9_Caption[];
extern char Road_Line10_Caption[];
extern char Road_Line11_Caption[];
extern char Road_Line12_Caption[];
extern char Road_CircleButton1_Caption[];
extern char Road_Label9_Caption[];
extern char Road_CircleButton2_Caption[];
extern char Road_Label10_Caption[];
extern char Road_CircleButton3_Caption[];
extern char Road_Label11_Caption[];
extern char Road_CircleButton4_Caption[];
extern char Road_CircleButton5_Caption[];
extern char Road_ButtonRound2_Caption[];
extern char Road_Button49_Caption[];
extern char Road_Button50_Caption[];
extern char Road_Button51_Caption[];
extern char Road_Button52_Caption[];
extern char Road_ButtonRound3_Caption[];
/////////////////////////////////

void DrawScreen(TScreen *aScreen);
void DrawButton(TButton *aButton);
void DrawRoundButton(TButton_Round *Around_button);
void DrawLabel(TLabel *ALabel);
void DrawCircleButton(TCircleButton *ACircle_button);
void DrawRoundBox(TBox_Round *Around_box);
void DrawLine(TLine *Aline);
void Check_TP();
void Start_TP();
