_Timer0A_interrupt:
;Timer0_Interrupt.c,23 :: 		void Timer0A_interrupt() iv IVT_INT_TIMER0A {
;Timer0_Interrupt.c,24 :: 		TIMER_ICR_TATOCINT_bit = 1;         // Clear time-out timer A interrupt
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(TIMER_ICR_TATOCINT_bit+0)
MOVT	R0, #hi_addr(TIMER_ICR_TATOCINT_bit+0)
STR	R1, [R0, #0]
;Timer0_Interrupt.c,25 :: 		Epoch += 1;                         // Increment Date/Time by 1 second
MOVW	R1, #lo_addr(_Epoch+0)
MOVT	R1, #hi_addr(_Epoch+0)
LDR	R0, [R1, #0]
ADDS	R0, R0, #1
STR	R0, [R1, #0]
;Timer0_Interrupt.c,26 :: 		TimerFlag = 1;                      // Set timer flag
MOVS	R1, #1
SXTH	R1, R1
MOVW	R0, #lo_addr(_TimerFlag+0)
MOVT	R0, #hi_addr(_TimerFlag+0)
STRH	R1, [R0, #0]
;Timer0_Interrupt.c,27 :: 		}
L_end_Timer0A_interrupt:
BX	LR
; end of _Timer0A_interrupt
_TimerInit:
;Timer0_Interrupt.c,30 :: 		void TimerInit() {
SUB	SP, SP, #8
STR	LR, [SP, #0]
;Timer0_Interrupt.c,32 :: 		SYSCTL_RCGC1_TIMER0_bit = 1;        // Enable clock gating for timer module 0
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(SYSCTL_RCGC1_TIMER0_bit+0)
MOVT	R0, #hi_addr(SYSCTL_RCGC1_TIMER0_bit+0)
STR	R1, [R0, #0]
;Timer0_Interrupt.c,34 :: 		TIMER_CTL_TAEN_bit = 0;             // Disable timer
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(TIMER_CTL_TAEN_bit+0)
MOVT	R0, #hi_addr(TIMER_CTL_TAEN_bit+0)
STR	R0, [SP, #4]
STR	R1, [R0, #0]
;Timer0_Interrupt.c,35 :: 		TIMER0_CFG = 0;                     // Set 32-bit timer configuration
MOVS	R1, #0
MOVW	R0, #lo_addr(TIMER0_CFG+0)
MOVT	R0, #hi_addr(TIMER0_CFG+0)
STR	R1, [R0, #0]
;Timer0_Interrupt.c,36 :: 		TIMER0_TAMR |= 2;                   // Set periodic mode
MOVW	R0, #lo_addr(TIMER0_TAMR+0)
MOVT	R0, #hi_addr(TIMER0_TAMR+0)
LDR	R0, [R0, #0]
ORR	R1, R0, #2
MOVW	R0, #lo_addr(TIMER0_TAMR+0)
MOVT	R0, #hi_addr(TIMER0_TAMR+0)
STR	R1, [R0, #0]
;Timer0_Interrupt.c,37 :: 		TIMER0_TAILR = Get_Fosc_kHz()*1000; // Set interval load
BL	_Get_Fosc_kHz+0
MOVW	R1, #1000
MULS	R1, R0, R1
MOVW	R0, #lo_addr(TIMER0_TAILR+0)
MOVT	R0, #hi_addr(TIMER0_TAILR+0)
STR	R1, [R0, #0]
;Timer0_Interrupt.c,38 :: 		NVIC_IntEnable(IVT_INT_TIMER0A);    // Enable timer interrupt
MOVW	R0, #35
BL	_NVIC_IntEnable+0
;Timer0_Interrupt.c,39 :: 		TIMER_IMR_TATOIM_bit = 1;           // Enable time-out timer A interrupt
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(TIMER_IMR_TATOIM_bit+0)
MOVT	R0, #hi_addr(TIMER_IMR_TATOIM_bit+0)
STR	R1, [R0, #0]
;Timer0_Interrupt.c,40 :: 		TIMER_CTL_TAEN_bit = 1;             // Enable timer A
LDR	R0, [SP, #4]
STR	R1, [R0, #0]
;Timer0_Interrupt.c,42 :: 		ts1.ss = 0;  // Cold Start values
MOVS	R1, #0
MOVW	R0, #lo_addr(_ts1+0)
MOVT	R0, #hi_addr(_ts1+0)
STRB	R1, [R0, #0]
;Timer0_Interrupt.c,43 :: 		ts1.mn = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_ts1+1)
MOVT	R0, #hi_addr(_ts1+1)
STRB	R1, [R0, #0]
;Timer0_Interrupt.c,44 :: 		ts1.hh = 0;
MOVS	R1, #0
MOVW	R0, #lo_addr(_ts1+2)
MOVT	R0, #hi_addr(_ts1+2)
STRB	R1, [R0, #0]
;Timer0_Interrupt.c,45 :: 		ts1.md = 28;
MOVS	R1, #28
MOVW	R0, #lo_addr(_ts1+3)
MOVT	R0, #hi_addr(_ts1+3)
STRB	R1, [R0, #0]
;Timer0_Interrupt.c,46 :: 		ts1.wd = 3;
MOVS	R1, #3
MOVW	R0, #lo_addr(_ts1+4)
MOVT	R0, #hi_addr(_ts1+4)
STRB	R1, [R0, #0]
;Timer0_Interrupt.c,47 :: 		ts1.mo = 6;
MOVS	R1, #6
MOVW	R0, #lo_addr(_ts1+5)
MOVT	R0, #hi_addr(_ts1+5)
STRB	R1, [R0, #0]
;Timer0_Interrupt.c,48 :: 		ts1.yy = 2012;
MOVW	R1, #2012
MOVW	R0, #lo_addr(_ts1+6)
MOVT	R0, #hi_addr(_ts1+6)
STRH	R1, [R0, #0]
;Timer0_Interrupt.c,50 :: 		Epoch = Time_dateToEpoch(&ts1);
MOVW	R0, #lo_addr(_ts1+0)
MOVT	R0, #hi_addr(_ts1+0)
BL	_Time_dateToEpoch+0
MOVW	R1, #lo_addr(_Epoch+0)
MOVT	R1, #hi_addr(_Epoch+0)
STR	R0, [R1, #0]
;Timer0_Interrupt.c,51 :: 		}
L_end_TimerInit:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _TimerInit
_TimerCheck:
;Timer0_Interrupt.c,54 :: 		void TimerCheck() {
SUB	SP, SP, #4
STR	LR, [SP, #0]
;Timer0_Interrupt.c,55 :: 		if (TimerFlag == 1) {
MOVW	R0, #lo_addr(_TimerFlag+0)
MOVT	R0, #hi_addr(_TimerFlag+0)
LDRSH	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_TimerCheck0
;Timer0_Interrupt.c,56 :: 		TimerFlag = 0;  // Reset timer flag
MOVS	R1, #0
SXTH	R1, R1
MOVW	R0, #lo_addr(_TimerFlag+0)
MOVT	R0, #hi_addr(_TimerFlag+0)
STRH	R1, [R0, #0]
;Timer0_Interrupt.c,57 :: 		Time_epochToDate(Epoch, &ts1);
MOVW	R0, #lo_addr(_Epoch+0)
MOVT	R0, #hi_addr(_Epoch+0)
LDR	R0, [R0, #0]
MOVW	R1, #lo_addr(_ts1+0)
MOVT	R1, #hi_addr(_ts1+0)
BL	_Time_epochToDate+0
;Timer0_Interrupt.c,60 :: 		if (DisplayFlag == 1) {
MOVW	R0, #lo_addr(_DisplayFlag+0)
MOVT	R0, #hi_addr(_DisplayFlag+0)
LDRSH	R0, [R0, #0]
CMP	R0, #1
IT	NE
BNE	L_TimerCheck1
;Timer0_Interrupt.c,61 :: 		UpdateDate();
BL	_UpdateDate+0
;Timer0_Interrupt.c,62 :: 		UpdateTime();
BL	_UpdateTime+0
;Timer0_Interrupt.c,63 :: 		}
L_TimerCheck1:
;Timer0_Interrupt.c,66 :: 		if (Interval > 0) {
MOVW	R0, #lo_addr(_Interval+0)
MOVT	R0, #hi_addr(_Interval+0)
LDRSH	R0, [R0, #0]
CMP	R0, #0
IT	LE
BLE	L_TimerCheck2
;Timer0_Interrupt.c,67 :: 		if (((ts1.mn % IntervalTable[Interval])==0) && (ts1.ss==0) && (Start_Button11.Gradient==0)) {
MOVW	R0, #lo_addr(_Interval+0)
MOVT	R0, #hi_addr(_Interval+0)
LDRSH	R0, [R0, #0]
LSLS	R1, R0, #1
MOVW	R0, #lo_addr(_IntervalTable+0)
MOVT	R0, #hi_addr(_IntervalTable+0)
ADDS	R0, R0, R1
LDRSH	R2, [R0, #0]
MOVW	R0, #lo_addr(_ts1+1)
MOVT	R0, #hi_addr(_ts1+1)
LDRB	R1, [R0, #0]
SDIV	R0, R1, R2
MLS	R0, R2, R0, R1
SXTH	R0, R0
CMP	R0, #0
IT	NE
BNE	L__TimerCheck9
MOVW	R0, #lo_addr(_ts1+0)
MOVT	R0, #hi_addr(_ts1+0)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L__TimerCheck8
MOVW	R0, #lo_addr(_Start_Button11+38)
MOVT	R0, #hi_addr(_Start_Button11+38)
LDRB	R0, [R0, #0]
CMP	R0, #0
IT	NE
BNE	L__TimerCheck7
L__TimerCheck6:
;Timer0_Interrupt.c,68 :: 		RecordOnInterval();  // Record counters to flash card
BL	_RecordOnInterval+0
;Timer0_Interrupt.c,67 :: 		if (((ts1.mn % IntervalTable[Interval])==0) && (ts1.ss==0) && (Start_Button11.Gradient==0)) {
L__TimerCheck9:
L__TimerCheck8:
L__TimerCheck7:
;Timer0_Interrupt.c,70 :: 		}
L_TimerCheck2:
;Timer0_Interrupt.c,71 :: 		}
L_TimerCheck0:
;Timer0_Interrupt.c,72 :: 		}
L_end_TimerCheck:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _TimerCheck
