/******************************************************************************
  USB_Driver.h
******************************************************************************/
#ifndef USB_DRIVER_H
#define USB_DRIVER_H

#define txqsize0 32       // Number of pointers in transmit FIFO


typedef char *pnt;

// Tx buffer FIFO and its input and output pointers
typedef struct tx_q0_struct
{
     unsigned int in;     // Input pointer
     unsigned int out;    // Output pointer
     pnt q[txqsize0];     // Queue array of pointers
}tx_q0_struct;


// Function Prototypes
void USB_Init();
void USB_TxQueueInit(void);
void USB_PutQueue(char *msg);
void USB_CheckOut(void);
void USB_CheckIn();

#endif