﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using microgeniosUsbHID;       //USBHIDNetClass.dll 

namespace USBHID_Projetc

{


    // Enumerations
    public enum LogMsgType { Incoming, Outgoing, Normal, Warning, Error };
    
    
    public partial class Form1 : Form
    {


        // Various colors for logging info
        private Color[] LogMsgTypeColor = { Color.Blue, Color.Green, Color.Black, Color.Orange, Color.Red };
        
        
        
        
        // Variables
        byte[] DataWrite = new byte[64];      //Buffer write 
        byte[] DataRead = new byte[64];       //Buffer Read  

        private char[] ReceiveBfr = new char[64];
        private string OutBuf;





        /****************************************************************************
          Function:
            public Form1()

          Summary:
            The main contructor for the Form1 class.

          Description:
            The main contructor for the Form1 class.  This function creates and
            initializes all of the form objects.
         
          Precondition:
            None

          Parameters:
            None

          Return Values:
            None

          Remarks:
            None
          ***************************************************************************/
        public Form1()
        {
            InitializeComponent(); 
            microgeniosUsbHID_Port1.SerialNumber = "1234567890"; //Put your USBHIDNetClass 'license code here
            //if you don't have, you can to buy for a few U.S.dollars here: http://www.USBHIDNetClass.org (by PayPal).
        }

        //This function is called when your device is found
        private void microgeniosUsbHID_Port1_microgeniosDeviceUsbHID_Encontrado(object sender, EventArgs e)
        {
            lblStatus.Text = "Device found";
        }


       
        //this function is called when you send any data
        private void microgeniosUsbHID_Port1_microgeniosDeviceUsbHID_EnviarDados(object sender, EventArgs e)
        {
            lblStatus.Text = "Data sent successfully!";
        }


        /****************************************************************************
          Function:
            private void microgeniosUsbHID_Port1_microgeniosDeviceUsbHID_ReceberDados(object sender, DataRecievedEventArgs args)

          Summary:
            This function prints any data received on the USB.

          Description:
            This function is called when the data is received on the USB.  This
            function attempts to write that data to the txtDataReceived textbox.  
         
          Precondition:
            None

          Parameters:
            object sender     - Sender of the event (this form)
            args              - The event arguments

          Return Values:
            None

          Remarks:
            None
          ***************************************************************************/
        //this funtion is called when any data USB is received. The variable args received the Data
        private void microgeniosUsbHID_Port1_microgeniosDeviceUsbHID_ReceberDados(object sender, DataRecievedEventArgs args)
        {
            //InvokeRequired required compares the thread ID of the
            //  calling thread to the thread ID of the creating thread.
            //  If these threads are different, it returns true.  We can
            //  use this attribute to determine if we can append text
            //  directly to the textbox or if we must launch an a delegate
            //  function instance to write to the textbox.

            if (InvokeRequired)  
            {
                //InvokeRequired returned TRUE meaning that this function
                //  was called from a thread different than the current
                //  thread.  We must launch a deleage function.
                //  Invoke the new delegate sending the same Data to the
                //  delegate that was passed into this function from the
                //  other thread.
                
                Invoke(new DataRecievedEventHandler(microgeniosUsbHID_Port1_microgeniosDeviceUsbHID_ReceberDados), new object[] { sender, args });
         
            }
            else
            {
                //  If this function was called from the same thread that 
                //  holds the required objects then just add the text.
                ////***********************************
                //Example: 
                // args.data contains the value received on the USB.
                // Buffer PC        Buffer Microcontroller
                // args.data[0] <=> writebuff[0] 
                // args.data[1] <=> writebuff[1]
                // args.data[2] <=> writebuff[2]
                // ...
                // args.data[63] <=> writebuff[63]
                //************************************
                try
                {
                    //lblResult.Text = ((args.data[12]<<8) + args.data[11]).ToString() +  " °C";
                    
                    OutBuf = ByteArrayToHexString(args.data);
                    label1.Text = OutBuf;

                    string value = ASCIIEncoding.ASCII.GetString(args.data);
                    lblResult.Text = value;

                    string text = lblResult.Text + "\n";
                    Log(LogMsgType.Incoming, text);
                }
                catch { }
                

            }
        }

    
        // This funtion is called when any USB HID device found. 
        private void microgeniosUsbHID_Port1_microgeniosAnyDeviceUSBHid_Encontrado(object sender, EventArgs e)
        {
            lblStatus.Text = "Any Device USB HID found";
        }


        // This funtion is called when USB device removed. 
        private void microgeniosUsbHID_Port1_microgeniosDeviceUsbHID_Removido(object sender, EventArgs e)
        {
            lblStatus.Text = "Device not found";
        }

        // This funtion is called when any USB HID device removed. 
        private void microgeniosUsbHID_Port1_microgeniosAnyDeviceUSBHid_Removido(object sender, EventArgs e)
        {
            //InvokeRequired required compares the thread ID of the
            //  calling thread to the thread ID of the creating thread.
            //  If these threads are different, it returns true.  We can
            //  use this attribute to determine if we can append text
            //  directly to the label or if we must launch an a delegate
            //  function instance to write to the label.

            if (InvokeRequired)
            {
                //InvokeRequired returned TRUE meaning that this function
                //  was called from a thread different than the current
                //  thread.  We must launch a deleage function.
                //  Invoke the new delegate sending the same Data to the
                //  delegate that was passed into this function from the
                //  other thread.
                Invoke(new EventHandler(microgeniosUsbHID_Port1_microgeniosAnyDeviceUSBHid_Removido), new object[] { sender, e });
            }
            else
            {
                lblStatus.Text = "Any Device USB HID not found";
            }

        }


        //This is necessary to register the this.Handle 
        protected override void OnHandleCreated(EventArgs e)
        {
            base.OnHandleCreated(e);
            microgeniosUsbHID_Port1.RegistrarHandle(Handle);
        }


        //This is a callback function that gets called when a Windows message is received by the form.
        //We will receive various different types of messages, but the ones we really want to use are the WM_DEVICECHANGE messages.
        protected override void WndProc(ref Message m)
        {
            microgeniosUsbHID_Port1.UsbHIDMensagens(ref m);
            base.WndProc(ref m);

        }


        //Event Form1_Activated 
        //Configuration of the VID and PIC 
        //Use the formatting: 0XNUMBER where NUMBER is a 16-bit hexadecimal number.
        private void Form1_Activated(object sender, EventArgs e)
        {
            microgeniosUsbHID_Port1.DeviceUsbHID_Init(0x1234, 0x1234); //VID and PID
        }


        //button 
        private void btnLED_D0_Click(object sender, EventArgs e)
        {
            //DataWrite[62] = (byte)1;      //
            //DataWrite[63] ^= (byte)1;
            //EnviarDadosUSB(DataWrite);    //Send to Microcontroller the USB Buffer 
            //DataWrite[62] = (byte)0;
            //DataWrite[0] = (byte)97;
            DataWrite[0] = (byte)'a';
            EnviarDadosUSB(DataWrite);
            Log(LogMsgType.Outgoing, "Sent command a\n");
        }


        // This function is responsible for sending USB data
        public void EnviarDadosUSB(byte[] Data)
        {
            try
            {
                if (this.microgeniosUsbHID_Port1.DeviceUsbHID != null)          //Verify USB conection
                {
                    this.microgeniosUsbHID_Port1.DeviceUsbHID.EnviarDados(Data); //Send to Microcontroller the USB Writebuffer 
                }
                else
                {
                    MessageBox.Show("Was not possible to send data");
                }
            }
            catch (Exception w) //error Exception
            {
                MessageBox.Show(w.ToString()); //show error message
            }

        }






        /* Author:     Noah Coad, http://coad.net/noah */
        private void Log(LogMsgType msgtype, string msg)
        {
            richTextBox1.Invoke(new EventHandler(delegate
            {
                richTextBox1.SelectedText = string.Empty;
                richTextBox1.SelectionFont = new Font(richTextBox1.SelectionFont, FontStyle.Bold);
                richTextBox1.SelectionColor = LogMsgTypeColor[(int)msgtype];
                richTextBox1.AppendText(msg);
                richTextBox1.ScrollToCaret();
            }));
        }

        /* Author:     Noah Coad, http://coad.net/noah */
        /// <summary> Converts an array of bytes into a formatted string of hex digits (ex: E4CAB2)</summary>
        /// <param name="data"> The array of bytes to be translated into a string of hex digits. </param>
        /// <returns> Returns a string of hex digits without spacing. </returns>
        private string ByteArrayToHexString(byte[] data)
        {
            StringBuilder sb = new StringBuilder(data.Length * 2);
            foreach (byte b in data)
                sb.Append(Convert.ToString(b, 16).PadLeft(2, '0'));
            return sb.ToString().ToUpper();
        }




        static string GetString(byte[] bytes)
        {
            char[] chars = new char[bytes.Length / sizeof(char)];
            System.Buffer.BlockCopy(bytes, 0, chars, 0, bytes.Length);
            return new string(chars);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DataWrite[0] = (byte)'b';
            EnviarDadosUSB(DataWrite);
            Log(LogMsgType.Outgoing, "Sent command b\n");
        }     
    
    } //end Form class 
}//end namespace
